local aegerUI = ...

local LibStub = _G.LibStub
local aegerUI = LibStub("AceAddon-3.0"):GetAddon("aegerUI")
local L = LibStub("AceLocale-3.0"):GetLocale("aegerUI")

local profileVersion = "1.0"

function aegerUI:InstallHandyNotes()
	if not IsAddOnLoaded("HandyNotes") then return end
	
	if aegerUI.db.global.addonProfileVersion.HandyNotes ~= profileVersion then
	
		_G.aegerUI_HandyNotes_Install = {
		["AhnQirajTheFallenKingdom"] = {
			[46570731] = {
				["title"] = "Temple of Ahn'Qiraj 40",
				["icon"] = 28,
				["desc"] = "Entrance",
			},
			[59091404] = {
				["icon"] = 28,
				["title"] = " Temple of Ahn'Qiraj 20",
				["desc"] = "Entrance",
			},
		},
		["VashjirRuins"] = {
			[58128221] = {
				["icon"] = 8,
				["title"] = "Poseidus",
				["desc"] = "",
			},
			[46255045] = {
				["icon"] = 8,
				["title"] = "Poseidus",
				["desc"] = "",
			},
			[66144307] = {
				["icon"] = 8,
				["title"] = "Poseidus",
				["desc"] = "",
			},
			[39306810] = {
				["icon"] = 8,
				["title"] = "Poseidus",
				["desc"] = "",
			},
		},
		["Barrens"] = {
			[40182001] = {
				["title"] = "Repair",
				["level"] = 1,
				["icon"] = 15,
				["desc"] = "",
			},
			[48155658] = {
				["title"] = "Repair",
				["level"] = 1,
				["icon"] = 15,
				["desc"] = "",
			},
			[49105748] = {
				["title"] = "Stable Master",
				["level"] = 1,
				["icon"] = 16,
				["desc"] = "",
			},
			[50175903] = {
				["title"] = "Baker",
				["level"] = 1,
				["icon"] = 21,
				["desc"] = "",
			},
			[68497129] = {
				["title"] = "Bank",
				["level"] = 1,
				["icon"] = 10,
				["desc"] = "",
			},
			[38986945] = {
				["title"] = "Wailing Caverns Entrance",
				["level"] = 1,
				["icon"] = 3,
				["desc"] = "",
			},
			[67617157] = {
				["title"] = "Food/Drink",
				["level"] = 1,
				["icon"] = 21,
				["desc"] = "",
			},
			[48525843] = {
				["title"] = "Reagents",
				["level"] = 1,
				["icon"] = 23,
				["desc"] = "",
			},
			[55116176] = {
				["title"] = "Baker",
				["level"] = 1,
				["icon"] = 21,
				["desc"] = "",
			},
			[40311981] = {
				["title"] = "Smokeywood Pastures",
				["level"] = 1,
				["icon"] = 21,
				["desc"] = "",
			},
			[55376122] = {
				["title"] = "Cooking Trainer",
				["level"] = 1,
				["icon"] = 18,
				["desc"] = "",
			},
			[70067324] = {
				["title"] = "Ship to STV",
				["level"] = 1,
				["icon"] = 28,
				["desc"] = "",
			},
			[49685887] = {
				["title"] = "Mailbox",
				["level"] = 1,
				["icon"] = 14,
				["desc"] = "",
			},
			[39982026] = {
				["title"] = "Warsong Gulch Entrance",
				["level"] = 1,
				["icon"] = 25,
				["desc"] = "",
			},
			[62381692] = {
				["title"] = "Stable Master",
				["level"] = 1,
				["icon"] = 16,
				["desc"] = "",
			},
			[42451500] = {
				["title"] = "Repair",
				["level"] = 1,
				["icon"] = 15,
				["desc"] = "",
			},
			[67507268] = {
				["title"] = "Repair",
				["level"] = 1,
				["icon"] = 15,
				["desc"] = "",
			},
			[67537425] = {
				["title"] = "Stable Master",
				["level"] = 1,
				["icon"] = 16,
				["desc"] = "",
			},
			[62711684] = {
				["title"] = "Repair",
				["level"] = 1,
				["icon"] = 15,
				["desc"] = "",
			},
			[62971727] = {
				["title"] = "General Goods",
				["level"] = 1,
				["icon"] = 21,
				["desc"] = "",
			},
		},
		["DragonSoul"] = {
			[35215821] = {
				["icon"] = 8,
				["level"] = 1,
				["title"] = "Warlord Zon'ozz",
				["desc"] = "",
			},
			[70505949] = {
				["icon"] = 8,
				["level"] = 1,
				["title"] = "Yor'sahj the Unsleeping",
				["desc"] = "",
			},
		},
		["TheStormPeaks"] = {
			[41767868] = {
				["icon"] = 4,
				["title"] = "Val'kyr Pet",
				["desc"] = "",
			},
			[65604227] = {
				["icon"] = 4,
				["title"] = "Val'kyr Pet",
				["desc"] = "",
			},
			[28935093] = {
				["icon"] = 4,
				["title"] = "Val'kyr Pet",
				["desc"] = "",
			},
		},
		["CrystalsongForest"] = {
			[17055670] = {
				["icon"] = 4,
				["title"] = "Val'kyr Pet",
				["desc"] = "",
			},
			[66885062] = {
				["icon"] = 4,
				["title"] = "Val'kyr Pet",
				["desc"] = "",
			},
			[43574420] = {
				["icon"] = 4,
				["title"] = "Val'kyr Pet",
				["desc"] = "",
			},
			[50005912] = {
				["title"] = "Nearly Headless Jacob",
				["icon"] = 16,
				["desc"] = "Pet-Trainer\nUndead, Undead, Undead",
			},
		},
		["BoreanTundra"] = {
			[48170795] = {
				["title"] = "Val'kyr Pet",
				["icon"] = 4,
				["desc"] = "",
			},
			[32565960] = {
				["title"] = "Val'kyr Pet",
				["icon"] = 4,
				["desc"] = "",
			},
			[81214821] = {
				["title"] = "Val'kyr Pet",
				["icon"] = 4,
				["desc"] = "",
			},
		},
		["Hyjal"] = {
			[61323281] = {
				["title"] = "Brok",
				["icon"] = 16,
				["desc"] = "Pet-Trainer\nWildlife, Magic, Critter",
			},
		},
		["Naxxramas"] = {
			[38952870] = {
				["title"] = "Gluth",
				["level"] = 5,
				["icon"] = 8,
				["desc"] = "Pet: Stitched Pup",
			},
			[76271202] = {
				["title"] = "Maexxna",
				["level"] = 5,
				["icon"] = 8,
				["desc"] = "Pet: Giant Bone Spider",
			},
			[81195757] = {
				["icon"] = 8,
				["level"] = 5,
				["title"] = "Loatheb",
				["desc"] = "Pet: Fungal Abomination",
			},
		},
		["TheHiddenPass"] = {
			[64107467] = {
				["icon"] = 9,
				["title"] = "Black Market",
				["cont"] = 1,
				["desc"] = "Auction House",
			},
			[74587371] = {
				["title"] = "The Hammer of Folly",
				["icon"] = 4,
				["desc"] = "100g 354k ep",
			},
		},
		["Orgrimmar"] = {
			[69913182] = {
				["icon"] = 27,
				["level"] = 1,
				["title"] = "Brawlers Guild",
				["desc"] = "",
			},
			[47375335] = {
				["icon"] = 14,
				["level"] = 1,
				["title"] = "Mailbox",
				["desc"] = "",
			},
			[37287789] = {
				["icon"] = 9,
				["level"] = 1,
				["title"] = "Auctioneer",
				["desc"] = "",
			},
			[66773678] = {
				["icon"] = 9,
				["level"] = 1,
				["title"] = "Auction House",
				["desc"] = "",
			},
			[66695022] = {
				["icon"] = 14,
				["level"] = 1,
				["title"] = "Mailbox",
				["desc"] = "",
			},
			[63563234] = {
				["icon"] = 18,
				["level"] = 1,
				["title"] = "Hunters Hall",
				["desc"] = "",
			},
			[42504918] = {
				["icon"] = 9,
				["level"] = 1,
				["title"] = "Auction house",
				["desc"] = "",
			},
			[46166445] = {
				["icon"] = 28,
				["level"] = 2,
				["title"] = "Portal to Blasted Lands",
				["desc"] = "",
			},
			[71305022] = {
				["title"] = "Innkeeper",
				["level"] = 1,
				["icon"] = 13,
				["desc"] = "",
			},
			[46507293] = {
				["icon"] = 15,
				["level"] = 1,
				["title"] = "Repair",
				["desc"] = "",
			},
			[48245897] = {
				["icon"] = 18,
				["level"] = 1,
				["title"] = "Flight Trainer",
				["desc"] = "",
			},
			[53645923] = {
				["icon"] = 18,
				["level"] = 1,
				["title"] = "Battle Pet Trainer",
				["desc"] = "",
			},
			[50427280] = {
				["icon"] = 21,
				["level"] = 1,
				["title"] = "Food and drink",
				["desc"] = "",
			},
			[44686197] = {
				["title"] = "Zeppelin to Borean Tundra",
				["level"] = 1,
				["icon"] = 3,
				["desc"] = "",
			},
			[41208050] = {
				["icon"] = 16,
				["level"] = 1,
				["title"] = "Stable Master",
				["desc"] = "",
			},
			[53647502] = {
				["icon"] = 14,
				["level"] = 1,
				["title"] = "Mailbox",
				["desc"] = "",
			},
			[75393417] = {
				["icon"] = 18,
				["level"] = 1,
				["title"] = "Blacksmith",
				["desc"] = "",
			},
			[31716379] = {
				["icon"] = 10,
				["level"] = 1,
				["title"] = "Banker",
				["desc"] = "",
			},
			[39896105] = {
				["icon"] = 1,
				["level"] = 1,
				["title"] = "Barber",
				["desc"] = "",
			},
			[54864618] = {
				["icon"] = 18,
				["level"] = 1,
				["title"] = "Alchemy",
				["desc"] = "",
			},
			[58166627] = {
				["icon"] = 25,
				["level"] = 1,
				["title"] = "Void Storage/Transmog",
				["desc"] = "",
			},
			[50687554] = {
				["icon"] = 14,
				["level"] = 1,
				["title"] = "Mailbox",
				["desc"] = "",
			},
			[53818115] = {
				["icon"] = 21,
				["level"] = 1,
				["title"] = "General Store",
				["desc"] = "",
			},
			[60425870] = {
				["icon"] = 18,
				["level"] = 1,
				["title"] = "Tailoring",
				["desc"] = "",
			},
			[53647345] = {
				["icon"] = 9,
				["level"] = 1,
				["title"] = "Auction house",
				["desc"] = "",
			},
			[60515427] = {
				["icon"] = 18,
				["level"] = 1,
				["title"] = "Leatherworker/Skinning",
				["desc"] = "",
			},
			[43723717] = {
				["icon"] = 23,
				["level"] = 2,
				["title"] = "Reagents",
				["desc"] = "",
			},
			[39724539] = {
				["icon"] = 10,
				["level"] = 1,
				["title"] = "Bank",
				["desc"] = "",
			},
			[50775518] = {
				["icon"] = 3,
				["level"] = 1,
				["title"] = "Zeppelin to Trisfal",
				["desc"] = "",
			},
			[32416340] = {
				["icon"] = 9,
				["level"] = 1,
				["title"] = "Auctioneer",
				["desc"] = "",
			},
			[44505296] = {
				["icon"] = 17,
				["level"] = 1,
				["title"] = "Tauren Class Trainers",
				["desc"] = "",
			},
			[67475153] = {
				["icon"] = 10,
				["level"] = 1,
				["title"] = "Bank",
				["desc"] = "",
			},
			[42505910] = {
				["icon"] = 14,
				["level"] = 1,
				["title"] = "Mailbox",
				["desc"] = "",
			},
			[56426040] = {
				["icon"] = 18,
				["level"] = 1,
				["title"] = "Cooking",
				["desc"] = "",
			},
			[74264487] = {
				["icon"] = 25,
				["level"] = 1,
				["title"] = "Hall of the Brave",
				["desc"] = "",
			},
			[55995596] = {
				["icon"] = 18,
				["level"] = 1,
				["title"] = "Engineering",
				["desc"] = "",
			},
			[56516601] = {
				["icon"] = 14,
				["level"] = 1,
				["title"] = "Mailbox",
				["desc"] = "",
			},
			[40946993] = {
				["icon"] = 14,
				["level"] = 1,
				["title"] = "Mailbox",
				["desc"] = "",
			},
			[50513678] = {
				["icon"] = 28,
				["level"] = 1,
				["title"] = "Cataclysm Portals",
				["desc"] = "",
			},
			[38334879] = {
				["icon"] = 13,
				["level"] = 1,
				["title"] = "Innkeeper",
				["desc"] = "",
			},
			[68953991] = {
				["icon"] = 28,
				["level"] = 1,
				["title"] = "Portal to Pandaria",
				["desc"] = "",
			},
			[49118259] = {
				["icon"] = 10,
				["level"] = 1,
				["title"] = "Bank",
				["desc"] = "",
			},
			[54685022] = {
				["icon"] = 18,
				["level"] = 1,
				["title"] = "Herbalism",
				["desc"] = "",
			},
			[47207423] = {
				["icon"] = 3,
				["level"] = 1,
				["title"] = "Tabard Vendor",
				["desc"] = "",
			},
			[55035479] = {
				["icon"] = 18,
				["level"] = 1,
				["title"] = "Inscription",
				["desc"] = "",
			},
			[33636627] = {
				["icon"] = 14,
				["level"] = 1,
				["title"] = "Mailbox",
				["desc"] = "",
			},
			[43206419] = {
				["icon"] = 3,
				["level"] = 1,
				["title"] = "Zeppelin to Thunder Bluff",
				["desc"] = "",
			},
			[66604148] = {
				["icon"] = 18,
				["level"] = 1,
				["title"] = "Fishing Trainer",
				["desc"] = "",
			},
			[61643456] = {
				["icon"] = 16,
				["level"] = 1,
				["title"] = "Stable Master",
				["desc"] = "",
			},
			[62164866] = {
				["icon"] = 25,
				["level"] = 1,
				["title"] = "Training Dummies",
				["desc"] = "",
			},
			[48167528] = {
				["icon"] = 23,
				["level"] = 1,
				["title"] = "Guild Vendor",
				["desc"] = "",
			},
			[36676497] = {
				["icon"] = 14,
				["level"] = 1,
				["title"] = "Mailbox",
				["desc"] = "",
			},
			[39287867] = {
				["icon"] = 10,
				["level"] = 1,
				["title"] = "Banker",
				["desc"] = "",
			},
			[39376523] = {
				["icon"] = 14,
				["level"] = 1,
				["title"] = "Mailbox",
				["desc"] = "",
			},
			[72173443] = {
				["icon"] = 18,
				["level"] = 1,
				["title"] = "Jeweller/Miner",
				["desc"] = "",
			},
			[48248063] = {
				["icon"] = 14,
				["level"] = 1,
				["title"] = "Mailbox",
				["desc"] = "",
			},
			[52515401] = {
				["icon"] = 3,
				["level"] = 1,
				["title"] = "Zeppelin to STV",
				["desc"] = "",
			},
			[33196458] = {
				["icon"] = 13,
				["level"] = 1,
				["title"] = "Innkeeper",
				["desc"] = "",
			},
			[48427097] = {
				["icon"] = 25,
				["level"] = 1,
				["title"] = "Grommosh Hold",
				["desc"] = "",
			},
			[38857097] = {
				["icon"] = 25,
				["level"] = 1,
				["title"] = "Hall of Legends",
				["desc"] = "",
			},
			[54257815] = {
				["icon"] = 13,
				["level"] = 1,
				["title"] = "Innkeeper",
				["desc"] = "",
			},
			[51464931] = {
				["icon"] = 14,
				["level"] = 1,
				["title"] = "Mailbox",
				["desc"] = "",
			},
		},
		["ThuntheKingLootRoom"] = {
			[35141777] = {
				["title"] = "Golden Box",
				["icon"] = 9,
				["desc"] = "",
			},
			[44461913] = {
				["title"] = "Golden Box",
				["icon"] = 9,
				["desc"] = "",
			},
			[40891362] = {
				["title"] = "Golden Box",
				["icon"] = 9,
				["desc"] = "",
			},
			[29234796] = {
				["title"] = "Golden Box",
				["icon"] = 9,
				["desc"] = "",
			},
			[25032408] = {
				["title"] = "Golden Box",
				["icon"] = 9,
				["desc"] = "",
			},
			[40682304] = {
				["title"] = "Golden Box",
				["icon"] = 9,
				["desc"] = "",
			},
			[26205282] = {
				["title"] = "Golden Box",
				["icon"] = 9,
				["desc"] = "",
			},
			[47181530] = {
				["title"] = "Golden Box",
				["icon"] = 9,
				["desc"] = "",
			},
			[29714915] = {
				["title"] = "Golden Box",
				["icon"] = 9,
				["desc"] = "",
			},
			[25032249] = {
				["title"] = "Golden Box",
				["icon"] = 9,
				["desc"] = "",
			},
			[27705011] = {
				["title"] = "Golden Box",
				["icon"] = 9,
				["desc"] = "",
			},
			[29192600] = {
				["title"] = "Golden Box",
				["icon"] = 9,
				["desc"] = "",
			},
			[53931378] = {
				["title"] = "Golden Box",
				["icon"] = 9,
				["desc"] = "",
			},
			[29455019] = {
				["title"] = "Golden Box",
				["icon"] = 9,
				["desc"] = "",
			},
			[27485961] = {
				["icon"] = 19,
				["title"] = "Start",
				["desc"] = "",
			},
			[36052025] = {
				["title"] = "Golden Box",
				["icon"] = 9,
				["desc"] = "",
			},
			[42382504] = {
				["title"] = "Golden Box",
				["icon"] = 9,
				["desc"] = "",
			},
			[28124117] = {
				["title"] = "Golden Box",
				["icon"] = 9,
				["desc"] = "",
			},
			[52121107] = {
				["title"] = "Tenwu of the Red Smoke",
				["icon"] = 7,
				["desc"] = "",
			},
			[54151825] = {
				["title"] = "Golden Box",
				["icon"] = 9,
				["desc"] = "",
			},
			[29711554] = {
				["title"] = "Golden Box",
				["icon"] = 9,
				["desc"] = "",
			},
			[31471538] = {
				["title"] = "Golden Box",
				["icon"] = 9,
				["desc"] = "",
			},
			[26793199] = {
				["title"] = "Golden Box",
				["icon"] = 9,
				["desc"] = "",
			},
			[27211993] = {
				["title"] = "Golden Box",
				["icon"] = 9,
				["desc"] = "",
			},
			[29334626] = {
				["title"] = "Golden Box",
				["icon"] = 9,
				["desc"] = "",
			},
			[25671817] = {
				["title"] = "Golden Box",
				["icon"] = 9,
				["desc"] = "",
			},
			[51382783] = {
				["title"] = "Golden Box",
				["icon"] = 9,
				["desc"] = "",
			},
			[29084005] = {
				["title"] = "Golden Box",
				["icon"] = 9,
				["desc"] = "",
			},
			[28283191] = {
				["title"] = "Golden Box",
				["icon"] = 9,
				["desc"] = "",
			},
			[53241905] = {
				["title"] = "God-Hulk Gulkan (Boss)",
				["icon"] = 8,
				["desc"] = "",
			},
			[26253622] = {
				["icon"] = 20,
				["title"] = "Switch",
				["desc"] = "",
			},
			[32801610] = {
				["icon"] = 20,
				["title"] = "Switch",
				["desc"] = "",
			},
			[54201969] = {
				["title"] = "Golden Box",
				["icon"] = 9,
				["desc"] = "",
			},
			[44191290] = {
				["icon"] = 20,
				["title"] = "Switch",
				["desc"] = "",
			},
			[26045554] = {
				["title"] = "Golden Box",
				["icon"] = 9,
				["desc"] = "",
			},
		},
		["ZulDrak"] = {
			[23796424] = {
				["icon"] = 4,
				["title"] = "Val'kyr Pet",
				["desc"] = "",
			},
			[13116681] = {
				["icon"] = 16,
				["title"] = "Gutretch <Master Pet Tamer>",
				["desc"] = "Pet-Trainer\nWildlife, Critter, Wildlife",
			},
			[58013938] = {
				["icon"] = 4,
				["title"] = "Val'kyr Pet",
				["desc"] = "",
			},
			[74912238] = {
				["icon"] = 4,
				["title"] = "Val'kyr Pet",
				["desc"] = "",
			},
		},
		["ThunderBluff"] = {
			[46615867] = {
				["title"] = "Bank",
				["level"] = 1,
				["icon"] = 10,
				["desc"] = "",
			},
			[15972561] = {
				["title"] = "Zeppelin to Ogrimir",
				["level"] = 1,
				["icon"] = 3,
				["desc"] = "",
			},
			[40245180] = {
				["title"] = "Auction House",
				["level"] = 1,
				["icon"] = 9,
				["desc"] = "",
			},
			[23111363] = {
				["title"] = "Portal to Blasted Lands",
				["level"] = 1,
				["icon"] = 28,
				["desc"] = "",
			},
		},
		["BlackwingLair"] = {
			[41626086] = {
				["icon"] = 8,
				["level"] = 1,
				["title"] = "Boss",
				["desc"] = "",
			},
			[39277216] = {
				["icon"] = 8,
				["level"] = 4,
				["title"] = "Chromaggus",
				["desc"] = "Pet: Chrominius",
			},
			[50186188] = {
				["title"] = "Broodlord Lashlayer",
				["level"] = 3,
				["icon"] = 8,
				["desc"] = "",
			},
		},
		["Durotar"] = {
			[52014189] = {
				["title"] = "Stable Master",
				["level"] = 1,
				["icon"] = 16,
				["desc"] = "",
			},
			[56597304] = {
				["title"] = "Repair",
				["level"] = 1,
				["icon"] = 15,
				["desc"] = "",
			},
			[51934214] = {
				["title"] = "Mailbox",
				["level"] = 1,
				["icon"] = 14,
				["desc"] = "",
			},
			[48944027] = {
				["title"] = "Ravika",
				["icon"] = 10,
				["desc"] = "Pet: [Gahz'rooki]",
			},
			[55727370] = {
				["title"] = "Butcher",
				["level"] = 1,
				["icon"] = 21,
				["desc"] = "",
			},
			[51524165] = {
				["title"] = "Innkeeper",
				["level"] = 1,
				["icon"] = 13,
				["desc"] = "",
			},
			[56027446] = {
				["title"] = "Mailbox",
				["level"] = 1,
				["icon"] = 14,
				["desc"] = "",
			},
			[52904121] = {
				["title"] = "Repair",
				["level"] = 1,
				["icon"] = 15,
				["desc"] = "",
			},
		},
		["TownlongWastes"] = {
			[32786216] = {
				["icon"] = 4,
				["title"] = "Fragment of Dread",
				["desc"] = "90g Grey Item 431k XP\nIn the cave 48.49, 89.46\nCounts as treasure",
			},
			[57475831] = {
				["icon"] = 4,
				["title"] = "Hardened Sap of Kri'vess",
				["desc"] = "110g Grey Item 420k XP\nSpawns: 52,60 53,58 53,61 56,55 57,41\nCounts as treasure",
			},
			[61753463] = {
				["title"] = "Kah'tir",
				["icon"] = 8,
				["desc"] = "Rare Mob",
			},
			[32586087] = {
				["icon"] = 8,
				["title"] = "Yul Wildpaw",
				["desc"] = "Evil Rare Panda",
			},
			[66724781] = {
				["title"] = "Lon the Bull",
				["icon"] = 8,
				["desc"] = "Rare Mob",
			},
			[66727393] = {
				["title"] = "The Yowler",
				["icon"] = 8,
				["desc"] = "Rare Mob\nMonkey",
			},
			[65878654] = {
				["title"] = "Amber Encased Moth",
				["icon"] = 4,
				["desc"] = "105g Grey Item 451k XP\nCounts as treasure!",
			},
			[36215219] = {
				["icon"] = 16,
				["title"] = "Seeker Zusshi <Grand Master Pet Tamer>",
				["desc"] = "Critter, Aquatik, Elemental",
			},
			[52675574] = {
				["icon"] = 4,
				["title"] = "Hardened Sap of Kri'vess",
				["desc"] = "110g Grey Item 420k XP\nSpawns: 52,60 53,58 53,61 56,55 57,41\nCounts as treasure",
			},
			[58708543] = {
				["icon"] = 8,
				["title"] = "Siltriss the Sharpener",
				["desc"] = "Rare Mob",
			},
			[62773393] = {
				["icon"] = 4,
				["title"] = "Abandoned Crate of Goods",
				["desc"] = "Box contains approximately. 103g\nin tent at 62.82 34.05\nCounts as treasure",
			},
			[51707157] = {
				["title"] = "Dailys Shado-Pan",
				["icon"] = 6,
				["desc"] = "",
			},
			[35258276] = {
				["icon"] = 28,
				["title"] = "Siege of Niuzao temple",
				["desc"] = "Instance Entrance (90 Heroic)",
			},
			[56914229] = {
				["title"] = "Burning Pandaren Spirit",
				["cont"] = 1,
				["icon"] = 16,
				["desc"] = "Pet-Trainer\nElemental, Dragonkin, Flying",
			},
			[28772436] = {
				["title"] = "Portal",
				["icon"] = 28,
				["desc"] = "Prequest portal around the island\n(important for Dailys Shado-Pan)",
			},
			[67134449] = {
				["icon"] = 4,
				["title"] = "Yaungol Fire Carrier",
				["desc"] = "= 1h Strength Mace 450 lvl 86\nThe small torch lying around",
			},
			[63238857] = {
				["icon"] = 8,
				["title"] = "Eshelon",
				["desc"] = "Rare Mob",
			},
			[53276409] = {
				["icon"] = 8,
				["title"] = "Norlaxx",
				["desc"] = "Rare Mob",
			},
			[46008889] = {
				["title"] = "Lith'ik the Stalker",
				["icon"] = 1,
				["desc"] = "Spawn 2",
			},
			[50527291] = {
				["title"] = "Portal to the island of Thunder",
				["icon"] = 28,
				["desc"] = "",
			},
			[36958540] = {
				["title"] = "Zandalari Warbringer & Warscout",
				["cont"] = 1,
				["icon"] = 8,
				["desc"] = "5.2 Rare Mob - Drops Mount\nJade, Slate, Amber, or Golden Primordial Direhorn\nNPC-Scan id: 69769 & 69768",
			},
			[69029007] = {
				["icon"] = 1,
				["title"] = "Eshelon",
				["desc"] = "Rare Mob Spawn 2",
			},
			[67564790] = {
				["icon"] = 4,
				["title"] = "Yaungol Fire Carrier",
				["desc"] = "= 1h Strength Mace 450 lvl 86\nThe small torch lying around in a tray",
			},
			[46697420] = {
				["title"] = "Lith'ik the Stalker",
				["icon"] = 8,
				["desc"] = "Rare Mob\ngrasshopper",
			},
		},
		["TimelessIsle"] = {
			[30696252] = {
				["title"] = "Shrine",
				["icon"] = 1,
				["desc"] = "",
			},
			[33063271] = {
				["icon"] = 20,
				["title"] = "Cloudstrike Family Helm 1",
				["desc"] = "10 Min Buff\nFor Achievement [Legend of the Past]\nCave of Rare Mob Speluk can be opened with ability granted from helm",
			},
			[32066192] = {
				["icon"] = 20,
				["title"] = "Cloudstrike Family Helm 2",
				["desc"] = "",
			},
			[50167313] = {
				["title"] = "Cloudstrike Family Helm 13",
				["icon"] = 20,
				["desc"] = "",
			},
			[26705226] = {
				["title"] = "Shrine",
				["icon"] = 1,
				["desc"] = "",
			},
			[64497249] = {
				["icon"] = 20,
				["title"] = "Cloudstrike Family Helm 5",
				["desc"] = "",
			},
			[55195035] = {
				["icon"] = 20,
				["title"] = "Cloudstrike Family Helm 8",
				["desc"] = "",
			},
			[37417413] = {
				["icon"] = 1,
				["title"] = "Shrine",
				["desc"] = "",
			},
			[49807040] = {
				["icon"] = 1,
				["title"] = "Shrine",
				["desc"] = "",
			},
			[63855079] = {
				["title"] = "Shrine",
				["icon"] = 1,
				["desc"] = "",
			},
			[68246046] = {
				["icon"] = 20,
				["title"] = "Cloudstrike Family Helm 15",
				["desc"] = "",
			},
			[36914714] = {
				["icon"] = 14,
				["title"] = "Mailbox",
				["desc"] = "",
			},
			[63104554] = {
				["icon"] = 20,
				["title"] = "Cloudstrike Family Helm 6",
				["desc"] = "",
			},
			[51386232] = {
				["icon"] = 20,
				["title"] = "Cloudstrike Family Helm 9",
				["desc"] = "",
			},
			[42895645] = {
				["title"] = "Cloudstrike Family Helm 19",
				["icon"] = 20,
				["desc"] = "",
			},
			[28027210] = {
				["title"] = "Shrine",
				["icon"] = 1,
				["desc"] = "",
			},
			[30034550] = {
				["title"] = "Shrine",
				["icon"] = 1,
				["desc"] = "",
			},
			[49827036] = {
				["title"] = "Shrine",
				["icon"] = 1,
				["desc"] = "",
			},
			[28047187] = {
				["icon"] = 1,
				["title"] = "Shrine",
				["desc"] = "",
			},
			[52896068] = {
				["title"] = "Shrine",
				["icon"] = 1,
				["desc"] = "",
			},
			[39267778] = {
				["icon"] = 20,
				["title"] = "Cloudstrike Family Helm 3",
				["desc"] = "",
			},
			[65465276] = {
				["title"] = "Cloudstrike Family Helm 16",
				["icon"] = 20,
				["desc"] = "",
			},
			[22893865] = {
				["title"] = "Cloudstrike Family Helm 11",
				["icon"] = 20,
				["desc"] = "",
			},
			[25577185] = {
				["title"] = "Cloudstrike Family Helm 12",
				["icon"] = 20,
				["desc"] = "",
			},
			[33385436] = {
				["title"] = "Cloudstrike Family Helm 18",
				["icon"] = 20,
				["desc"] = "",
			},
			[55735933] = {
				["icon"] = 20,
				["title"] = "Cloudstrike Family Helm 7",
				["desc"] = "",
			},
			[55197281] = {
				["title"] = "Cloudstrike Family Helm 14",
				["icon"] = 20,
				["desc"] = "",
			},
			[47388099] = {
				["icon"] = 20,
				["title"] = "Cloudstrike Family Helm 4",
				["desc"] = "",
			},
			[48775115] = {
				["title"] = "Cloudstrike Family Helm 17",
				["icon"] = 20,
				["desc"] = "",
			},
			[23102908] = {
				["title"] = "Shrine",
				["icon"] = 1,
				["desc"] = "",
			},
			[37234185] = {
				["icon"] = 20,
				["title"] = "Cloudstrike Family Helm 10",
				["desc"] = "",
			},
			[42875522] = {
				["icon"] = 6,
				["title"] = "Daily",
				["desc"] = "Path of the Mistwalker - Kill 20 Elite's",
			},
			[65354923] = {
				["title"] = "Daily",
				["icon"] = 6,
				["desc"] = "A Timeless Question = 100 Coins",
			},
			[43695589] = {
				["title"] = "Shrine",
				["icon"] = 1,
				["desc"] = "",
			},
		},
		["SwampOfSorrows"] = {
			[47325549] = {
				["title"] = "Stable Master",
				["level"] = 1,
				["icon"] = 16,
				["desc"] = "",
			},
			[46825708] = {
				["title"] = "Innkeeper",
				["level"] = 1,
				["icon"] = 13,
				["desc"] = "",
			},
		},
		["Deepholm"] = {
			[49675735] = {
				["title"] = "Bordin Steadyfist",
				["icon"] = 16,
				["desc"] = "Pet-Trainer\nElemental, Critter, Elemental",
			},
		},
		["DreadWastes"] = {
			[27461704] = {
				["icon"] = 3,
				["title"] = "Elite shell Quest [16mile hp]",
				["desc"] = "= Quest for [Gokk'lok's Shell]\nUnderwater 27.4, 16.2",
			},
			[73342168] = {
				["icon"] = 8,
				["title"] = "Krol the Blade",
				["desc"] = "Rare Mob\nDrops 300% EP Flask",
			},
			[36933187] = {
				["icon"] = 8,
				["title"] = "Gar'lok",
				["desc"] = "Rare Mob Spawn 1\nhidden in the hut",
			},
			[36766270] = {
				["icon"] = 8,
				["title"] = "Omnis Grinlok",
				["desc"] = "Rare Mob - Runs here\nDrops golden Fleece (extra Gold Trinket)",
			},
			[71593710] = {
				["icon"] = 8,
				["title"] = "Karr the Darkener",
				["desc"] = "Rare Mob\nDrops Pet",
			},
			[47903034] = {
				["title"] = "Malik's Stalwart Spear",
				["icon"] = 4,
				["desc"] = "= Agi Polearm 450 lvl 86\nInserted between the stone and the Black Tree",
			},
			[55056401] = {
				["icon"] = 8,
				["title"] = "Ik-Ik the Nimble",
				["desc"] = "Rare Mob\nIn a cave",
			},
			[41446344] = {
				["icon"] = 4,
				["title"] = "Manipulator's Talisman",
				["desc"] = "= Trinket DMG 450 lvl 86\nNPC-Scan: 65552\n",
			},
			[24392743] = {
				["icon"] = 8,
				["title"] = "Dak the Breaker",
				["desc"] = "Rare Mob",
			},
			[35372194] = {
				["icon"] = 8,
				["title"] = "Ai-Li Skymirror",
				["desc"] = "Rare Mob",
			},
			[54943741] = {
				["icon"] = 16,
				["title"] = "Wastewalker Shu <Grand Master Pet Tamer>",
				["desc"] = "Pet-Trainer\nAquatic, Elemental, Wildlife",
			},
			[76022049] = {
				["icon"] = 28,
				["title"] = "Gate of the Setting Sun",
				["desc"] = "Instance Entrance",
			},
			[28184313] = {
				["icon"] = 4,
				["title"] = "Blade of the Poisoned Mind",
				["desc"] = "= 1h Sword Intelligence 450 lvl 86\nIn the bushes next to the Cave Entrance",
			},
			[39024128] = {
				["icon"] = 1,
				["title"] = "Gar'lok",
				["desc"] = "Rare Mob Spawn 2",
			},
			[53653240] = {
				["icon"] = 6,
				["title"] = "Dailys",
				["desc"] = "Klaxxi Dailys",
			},
			[38923462] = {
				["icon"] = 28,
				["title"] = "Heart of Fear",
				["desc"] = "Entrance 10/25 Raid",
			},
			[64105904] = {
				["icon"] = 8,
				["title"] = "Nalash Verdantis",
				["desc"] = "Rare Mob\nDrops Pet",
			},
			[29899189] = {
				["icon"] = 4,
				["title"] = "Dissector's Staff of Mutation",
				["desc"] = "= Intelligence Staff 450 lvl 86\nOn the platform below the stone column 30.2 90.8",
			},
			[25755489] = {
				["icon"] = 4,
				["title"] = "Bloodsoaked Chitin Fragment",
				["desc"] = "=Trinket Mastery+Agi 450 lvl 86\nUnderwater in the cave",
			},
			[61228740] = {
				["title"] = "Burning Pandaren Spirit <Grand Master Pet Tamer>",
				["cont"] = 1,
				["icon"] = 16,
				["desc"] = "Pet-Trainer\nAquatic, Critter, Elemental",
			},
			[65826387] = {
				["icon"] = 4,
				["title"] = "Blade of the Prime",
				["desc"] = "In the cave - Stuck in a root behind the Elite Mob",
			},
			[31882944] = {
				["icon"] = 4,
				["title"] = "Lucid Amulet of the Agile Mind",
				["desc"] = "= neck Intelligenz 450 lvl 86\nLying on stone next to Schwazem tree 32,30",
			},
			[55847799] = {
				["icon"] = 4,
				["title"] = "Swarming Cleaver of Ka'roz",
				["desc"] = "= 2h Sword 450 lvl 86\n56.8, 77.6 Between two stones in the coral\n",
			},
			[47125985] = {
				["title"] = "Zandalari Warbringer & Warscout",
				["cont"] = 1,
				["icon"] = 8,
				["desc"] = "5.2 Rare Mob - Drops Mount\nJade, Slate, Amber, or Golden Primordial Direhorn\nNPC-Scan id: 69769 & 69768",
			},
			[53525639] = {
				["icon"] = 4,
				["title"] = "Swarmkeeper's Medallion",
				["desc"] = "= Trinket: +Crit +Haste ilvl: 450 lvl: 86\nOn the ground Nearby the stone\nat 54.3, 56.5",
			},
			[71563682] = {
				["title"] = "Wind-Reaver's Dagger of Quick Strikes",
				["icon"] = 4,
				["desc"] = "= Agi dagger 450 lvl 86\nhidden in purple bush 71.8, 36.1",
			},
		},
		["Krasarang"] = {
			[53463861] = {
				["title"] = "Gaarn the Toxic",
				["icon"] = 1,
				["desc"] = "",
			},
			[50698883] = {
				["title"] = "Spriggin",
				["icon"] = 8,
				["desc"] = "Rare Mob",
			},
			[54523240] = {
				["title"] = "Gaarn the Toxic",
				["icon"] = 8,
				["desc"] = "Rare Mob",
			},
			[28753762] = {
				["title"] = "Cournith Waterstrider",
				["icon"] = 8,
				["desc"] = "Rare Mob\nin the temple",
			},
			[39555434] = {
				["title"] = "Ruun Ghostpaw",
				["icon"] = 8,
				["desc"] = "Rare Mob Panda\nIn the building top floor",
			},
			[51568996] = {
				["icon"] = 4,
				["title"] = "Recipe: Banana Infused Rum",
				["desc"] = "Up on the ship in a barrel",
			},
			[39022848] = {
				["title"] = "Go-Kan",
				["icon"] = 8,
				["desc"] = "Rare Mob",
			},
			[56574800] = {
				["title"] = "Arness the Scale",
				["icon"] = 8,
				["desc"] = "Rare Mob",
			},
			[13943527] = {
				["title"] = "Torik-Ethis",
				["icon"] = 8,
				["desc"] = "Rare Mob",
			},
			[41589133] = {
				["icon"] = 4,
				["title"] = "Equipment Locker",
				["desc"] = "= Random BoP Boots 419 lvl 86\nvery bottom of ship",
			},
			[66892142] = {
				["title"] = "Qu'nas",
				["icon"] = 8,
				["desc"] = "Rare Mob",
			},
			[49964881] = {
				["icon"] = 4,
				["title"] = "Pandaren Fishing Spear",
				["desc"] = "= Agility Polearm 419 lvl 86\nStuck in the ground behind Uncle Deming",
			},
			[68464389] = {
				["title"] = "Dailys",
				["icon"] = 6,
				["desc"] = "Angler Quests",
			},
		},
		["ValeofEternalBlossoms"] = {
			[79783344] = {
				["icon"] = 6,
				["title"] = "Daily",
				["desc"] = "Archaeology",
			},
			[43904389] = {
				["title"] = "Dailys",
				["icon"] = 6,
				["desc"] = "Lotus",
			},
			[46646014] = {
				["title"] = "Cracklefang",
				["icon"] = 2,
				["desc"] = "cooking Rare Mob",
			},
			[29109039] = {
				["title"] = "Major Nanners",
				["icon"] = 8,
				["desc"] = "Rare Mob\nHelpful Wikky's Whistle",
			},
			[46966415] = {
				["title"] = "Spirit of Lao-Fe <The Slavebinder>",
				["icon"] = 2,
				["desc"] = "cooking Rare Mob",
			},
			[67201404] = {
				["title"] = "Burning Panderan Spirit",
				["icon"] = 16,
				["desc"] = "",
			},
			[25902452] = {
				["icon"] = 4,
				["title"] = "Key exchange in the halls",
				["desc"] = "against Lotus reputation",
			},
			[41646949] = {
				["title"] = "Ai-Ran the Shifting Cloud",
				["icon"] = 8,
				["desc"] = "Rare Mob\nin the cave",
			},
			[57494232] = {
				["title"] = "Dailys",
				["icon"] = 6,
				["desc"] = "Lotus",
			},
			[78793486] = {
				["icon"] = 28,
				["title"] = "Mogu'shan Palace",
				["desc"] = "Instance Entrance (87-89 / 90 Heroic)",
			},
			[36265067] = {
				["title"] = "Vicejaw",
				["icon"] = 2,
				["desc"] = "cooking Rare Mob",
			},
			[68683096] = {
				["title"] = "Sahn Tidehunter",
				["icon"] = 8,
				["desc"] = "Rare Mob\nDrops +50% swim speed",
			},
			[65893976] = {
				["title"] = "Quid <Spirit of the Misty Falls>",
				["icon"] = 2,
				["desc"] = "cooking Rare Mob",
			},
			[15887302] = {
				["icon"] = 28,
				["title"] = "Gate of the Setting Sun",
				["desc"] = "Instance Entrance",
			},
			[43205147] = {
				["title"] = "Moldo One-Eye",
				["icon"] = 1,
				["desc"] = "",
			},
			[8033367] = {
				["title"] = "Vyraxxis <Krik'thik Swarm-Lord>",
				["icon"] = 2,
				["desc"] = "cooking Rare Mob",
			},
			[73374227] = {
				["title"] = "Lotus",
				["icon"] = 3,
				["desc"] = "",
			},
			[24391394] = {
				["title"] = "Huo-Shuang <Shao-Tien Imperion>",
				["icon"] = 2,
				["desc"] = "cooking Rare Mob\nIn Gou-Lai halls",
			},
			[30497874] = {
				["title"] = "Shadowmaster Sydow <The Soul-Gatherer>",
				["icon"] = 2,
				["desc"] = "cooking Rare Mob",
			},
			[34988997] = {
				["title"] = "Aetha",
				["icon"] = 2,
				["desc"] = "cooking Rare Mob",
			},
			[83925959] = {
				["title"] = "Alliance Daily+Weekly",
				["icon"] = 6,
				["desc"] = "",
			},
			[61142430] = {
				["title"] = "Horde Daily+Weekly",
				["icon"] = 6,
				["desc"] = "",
			},
			[87624337] = {
				["title"] = "Yorik Sharpeye",
				["icon"] = 8,
				["desc"] = "Rare Mob",
			},
			[6645885] = {
				["title"] = "Kri'chon <The Corpse-Reaver>",
				["icon"] = 2,
				["desc"] = "cooking Rare Mob",
			},
			[39072529] = {
				["icon"] = 8,
				["title"] = "Urgolax",
				["desc"] = "Rare Mob\nSpecial Drop: Chalice of Secrets (Funitem)",
			},
			[14125852] = {
				["icon"] = 8,
				["title"] = "Kal'tik the Veröthe",
				["desc"] = "Rare Mob",
			},
			[27395661] = {
				["title"] = "General Temuja <The Soul-Slaver>",
				["icon"] = 2,
				["desc"] = "cooking Rare Mob",
			},
			[14813344] = {
				["title"] = "Kang the Soul Thief",
				["icon"] = 8,
				["desc"] = "Rare Mob\nSpecial Drop: Kang's Bindstone (Funitem)",
			},
			[27714169] = {
				["title"] = "Baolai the Immolator <Shao-Tien Imperion>",
				["icon"] = 2,
				["desc"] = "cooking Rare Mob",
			},
			[17024795] = {
				["title"] = "Bai-Jin the Butcher <Shao-Tien Imperion>",
				["icon"] = 2,
				["desc"] = "cooking Rare Mob",
			},
			[26751330] = {
				["title"] = "Gochao the Ironfist <Shao-Tien Imperion>",
				["icon"] = 2,
				["desc"] = "cooking Rare Mob",
			},
			[25681603] = {
				["title"] = "Bloodtip <Ashweb Matriarch>",
				["icon"] = 2,
				["desc"] = "cooking Rare Mob\nIn Gou-Lai halls\n(Spider in ritual chamber)",
			},
			[45257666] = {
				["title"] = "Wulon",
				["icon"] = 2,
				["desc"] = "cooking Rare Mob",
			},
			[33976192] = {
				["title"] = "Moldo One-Eye",
				["icon"] = 8,
				["desc"] = "Rare Mob\non the banks of the river up direction Lake",
			},
			[67564093] = {
				["icon"] = 16,
				["title"] = "Aki the Chosen <Grand Master Pet Tamer>",
				["desc"] = "Pet-Trainer\nCritter, Dragonkin, Aquatic",
			},
		},
		["Krasarang_terrain1"] = {
			[41859219] = {
				["icon"] = 4,
				["title"] = "Equipment Locker",
				["desc"] = "Random BoP Boots 419 lvl 86\nvery bottom of the ship\nCounts as treasure for Lost and Found!",
			},
			[30463829] = {
				["icon"] = 8,
				["title"] = "Cournith Waterstrithe",
				["desc"] = "Rare Mob\nEpic Pants 440",
			},
			[15403638] = {
				["icon"] = 8,
				["title"] = "Torik-Ethis",
				["desc"] = "Rare Mob\nEpic Plate Tank Pants 440",
			},
			[66972312] = {
				["icon"] = 8,
				["title"] = "Qu'nas",
				["desc"] = "Epic Strength Plate Pants",
			},
			[52348787] = {
				["icon"] = 8,
				["title"] = "Spriggin",
				["desc"] = "Rare Mob\nEpic Will Leather Pants 440",
			},
			[56334652] = {
				["icon"] = 8,
				["title"] = "Arness the Scale",
				["desc"] = "Rare Mob\nEpic Mail Heal Pants 440",
			},
			[84962696] = {
				["icon"] = 24,
				["title"] = "Dalan Nightbreaker",
				["desc"] = "250 Honor\nEpic PvP Resilience Trinket\nNPC-Scan: 68318",
			},
			[32966448] = {
				["icon"] = 6,
				["title"] = "Dailys",
				["desc"] = "Respectful with Lotus: \nThe Celestial Exalted",
			},
			[50634883] = {
				["icon"] = 4,
				["title"] = "Pandaren Fishing Spear",
				["desc"] = "Agility Polearm 419 lvl 86\nStuck in the ground behind Uncle Deming",
			},
			[83853087] = {
				["icon"] = 24,
				["title"] = "Mavis Harms",
				["desc"] = "250 Honor\nEpic Pvp-power Trinket\nNPC-Scan: 68317",
			},
			[10505714] = {
				["title"] = "Muerta",
				["icon"] = 25,
				["desc"] = "250 Honor\nEpic insignia 1 min CD\nNPC-Scan: 68322",
			},
			[62014675] = {
				["title"] = "Mo'ruk",
				["icon"] = 16,
				["desc"] = "Pet-Trainer\nWildlife, Flying (Moth), Aquatic",
			},
			[71020859] = {
				["icon"] = 4,
				["title"] = "Saurok Stone Tablet",
				["desc"] = "100g Grey Item\nIn the cave",
			},
			[15135666] = {
				["title"] = "Kar Warmaker",
				["icon"] = 25,
				["desc"] = "250 Honor\nEpic Resiliences Trinket \nNPC-Scan: 68322\n",
			},
			[53088851] = {
				["icon"] = 4,
				["title"] = "Recipe: Banana Infused Rum",
				["desc"] = "Up on the ship in a barrel\nCounts as treasure!",
			},
			[87412895] = {
				["icon"] = 24,
				["title"] = "Disha Fearwarden",
				["desc"] = "250 Honor\nNPC-Scan: 68319",
			},
			[38986616] = {
				["title"] = "Zandalari Warbringer & Warscout",
				["cont"] = 1,
				["icon"] = 8,
				["desc"] = "5.2 Rare Mob - Drops Mount\nJade, Slate, Amber, or Golden Prinordial Direhorn\nNPC-Scan id: 69769 & 69768",
			},
			[53773550] = {
				["icon"] = 8,
				["title"] = "Gaarn the Toxic",
				["desc"] = "Rare Mob\nEpic Cloth Will Pants 440",
			},
			[67454428] = {
				["icon"] = 6,
				["title"] = "Dailys",
				["desc"] = "Angler quests",
			},
			[52077247] = {
				["icon"] = 4,
				["title"] = "Stack of Papers",
				["desc"] = "Grey Item 15g\nLocated next to the hatch\nNo treasure!",
			},
			[39032911] = {
				["icon"] = 8,
				["title"] = "Go-Kan",
				["desc"] = "Rare Mob\nEpic Mail Aggi Pants 440",
			},
			[40475514] = {
				["icon"] = 8,
				["title"] = "Ruun Ghostpaw",
				["desc"] = "Rare Mob\nPanda in the 2. floor\nEpic Aggi Leather Pants 440",
			},
			[12075660] = {
				["title"] = "Dailys (Horde)",
				["icon"] = 6,
				["desc"] = "Dominance Offensive",
			},
			[11306632] = {
				["title"] = "Ubunti the Shade",
				["icon"] = 25,
				["desc"] = "250 Honor\nEpic PvP power Trinket\nNPC-Scan: 68320",
			},
			[85922431] = {
				["icon"] = 6,
				["title"] = "Dalies (Alliance)",
				["desc"] = "Operation Shieldwall",
			},
		},
		["Ashenvale"] = {
			[12733386] = {
				["title"] = "Stable Master",
				["level"] = 1,
				["icon"] = 16,
				["desc"] = "",
			},
			[11643549] = {
				["title"] = "Repair",
				["level"] = 1,
				["icon"] = 15,
				["desc"] = "",
			},
			[50566584] = {
				["title"] = "Repair",
				["level"] = 1,
				["icon"] = 15,
				["desc"] = "",
			},
			[50776555] = {
				["title"] = "Reagents",
				["level"] = 1,
				["icon"] = 23,
				["desc"] = "",
			},
			[74006065] = {
				["title"] = "Innkeeper",
				["level"] = 1,
				["icon"] = 13,
				["desc"] = "",
			},
			[12203246] = {
				["title"] = "Reagents",
				["level"] = 1,
				["icon"] = 23,
				["desc"] = "",
			},
			[38604224] = {
				["title"] = "Innkeeper",
				["level"] = 1,
				["icon"] = 13,
				["desc"] = "",
			},
			[38684235] = {
				["title"] = "Stable Master",
				["level"] = 1,
				["icon"] = 16,
				["desc"] = "",
			},
			[50226608] = {
				["title"] = "Mailbox",
				["level"] = 1,
				["icon"] = 14,
				["desc"] = "",
			},
			[50346601] = {
				["title"] = "Stable Master",
				["level"] = 1,
				["icon"] = 16,
				["desc"] = "",
			},
			[73286069] = {
				["title"] = "Stable Master",
				["level"] = 1,
				["icon"] = 16,
				["desc"] = "",
			},
			[50436715] = {
				["title"] = "Innkeeper",
				["level"] = 1,
				["icon"] = 13,
				["desc"] = "",
			},
			[12783408] = {
				["title"] = "Mailbox",
				["level"] = 1,
				["icon"] = 14,
				["desc"] = "",
			},
			[13003418] = {
				["title"] = "Innkeeper",
				["level"] = 1,
				["icon"] = 13,
				["desc"] = "",
			},
			[74266053] = {
				["title"] = "Repair",
				["level"] = 1,
				["icon"] = 15,
				["desc"] = "",
			},
			[73616094] = {
				["title"] = "Mailbox",
				["level"] = 1,
				["icon"] = 14,
				["desc"] = "",
			},
			[37904378] = {
				["title"] = "Repair",
				["level"] = 1,
				["icon"] = 15,
				["desc"] = "",
			},
		},
		["TheJadeForest"] = {
			[56797184] = {
				["icon"] = 8,
				["title"] = "Urobi the Walker",
				["desc"] = "Rare Mob\n14% Epic Agi Staff 420 lvl 85 BoP",
			},
			[38954684] = {
				["title"] = "Jade Infused Blade",
				["icon"] = 4,
				["desc"] = "1h Strength Sword 404 lvl 85\nJade statue with sword in hand 39.26 46.65",
			},
			[54004546] = {
				["title"] = "Ferdinand",
				["icon"] = 8,
				["desc"] = "Rare Mob\nPossible Epic Drop",
			},
			[23363522] = {
				["icon"] = 4,
				["title"] = "Pandaren Ritual Stone",
				["desc"] = "105g Grey Item + 153k XP",
			},
			[38506348] = {
				["icon"] = 8,
				["title"] = "Krax'ik",
				["desc"] = "Rare Mob\n15% Epic 1h Agi Axt 420 lvl 85 BoP",
			},
			[31792824] = {
				["icon"] = 4,
				["title"] = "Lucky Pandaren Coin",
				["desc"] = "95g Grey Item 190k XP\nin fountain at 31.9, 27.8\n",
			},
			[46108061] = {
				["icon"] = 4,
				["title"] = "Offering of Remembrance",
				["desc"] = "Contains 30g + 95k XP\nLocated on the shrine 46.3, 80.7\nNo treasure!",
			},
			[33975068] = {
				["icon"] = 8,
				["title"] = "Aethis",
				["desc"] = "Rare Mob\n15% Epic 1h Will Mace 420 lvl 85 BoP",
			},
			[41461620] = {
				["icon"] = 8,
				["title"] = "Morgrinn Crackfang",
				["desc"] = "Rare Mob\n3 spawns in area\n15% Epic 2h Strength Mace 420 lvl 85",
			},
			[51279905] = {
				["icon"] = 4,
				["title"] = "Ship's Locker",
				["desc"] = "Contains 96g \nUnderwater in Ship 51.2, 100.0\nCounts as treasure!",
			},
			[55223240] = {
				["icon"] = 8,
				["title"] = "Martar the Not-So-Smart",
				["desc"] = "Rare Mob\n32% Trinket: Summons 10min Hogger Pet",
			},
			[43807542] = {
				["icon"] = 8,
				["title"] = "Kor'nas Nightsavage",
				["desc"] = "Rare Mob\n14% Epic Int/Hit Staff 420 lvl 85 BoP",
			},
			[47865410] = {
				["icon"] = 16,
				["title"] = "Hyuna of the Shrines <Grand Master Pet Tamer>",
				["desc"] = "Pet-Trainer\nWildlife, Flying, Aquatic",
			},
			[64287446] = {
				["icon"] = 8,
				["title"] = "Sarnak",
				["desc"] = "Rare Mob\nIn the cave\nEpic Agi Crossbow 420 lvl 85 BoE",
			},
			[53461963] = {
				["title"] = "Zandalari Warbringer & Warscout",
				["cont"] = 1,
				["icon"] = 8,
				["desc"] = "5.2 Rare Mob - Drops Mount\nJade, Slate, Amber, or Golden Prinordial Direhorn\nNPC-Scan id: 69842, 69769, 69841 & 69768",
			},
			[56115777] = {
				["icon"] = 28,
				["title"] = "The Temple of the Jade Serpent",
				["desc"] = "Instance Entrance (85-87 / 90 Heroic)",
			},
			[39340732] = {
				["icon"] = 4,
				["title"] = "Wodin's Mantid Shanker",
				["desc"] = "1h Agi dagger 404 lvl 85\nin fountain 39.4 7.3",
			},
			[55566579] = {
				["icon"] = 6,
				["title"] = "Dailys",
				["desc"] = "Golden Lotus:\nThe Celestial Exalted",
			},
			[42333893] = {
				["icon"] = 8,
				["title"] = "Mister Ferocious",
				["desc"] = "Rare Mob Monkey\n16% Epic 1h Strength Mace BoP",
			},
			[41091777] = {
				["title"] = "Hammer of Ten Thunders",
				["icon"] = 4,
				["desc"] = "= 2h Mace Strength 404 lvl 85\n2 Spawns: 41.8 17.6 and 43.0 11.6",
			},
			[62402728] = {
				["icon"] = 4,
				["title"] = "Stash of Gems",
				["desc"] = "6g + gems\nCaveEntrance:  62.6 26.7\nJewel box: 62.45 27.52",
			},
			[26143201] = {
				["icon"] = 4,
				["title"] = "Ancient Pandaren Tea Pot",
				["desc"] = "100g Grey Item + 303 XP\nIs on the table 26.2, 32,3",
			},
			[56094703] = {
				["title"] = "Dailys",
				["icon"] = 6,
				["desc"] = "Order of the Cloud Serpent\nMounts!",
			},
			[45547111] = {
				["title"] = "Ancient Jinyu Staff",
				["icon"] = 4,
				["desc"] = "= Staff Intelligenz 404 lvl 85\nUnderwater in This can be found up and down the entire river that runs between Grookin Hill and Pearlfin Village\n3 Spawns: 47.1 67.4 / 46.2 71.2 / 44.9 64.6\n",
			},
			[45802831] = {
				["title"] = "Ancient Pandaren Mining Pick",
				["icon"] = 4,
				["desc"] = "= 1h Axt Strength 404 lvl 85\nPrecious stone pickaxe for mining\nIn the cave stuck in a stone\n",
			},
			[45641829] = {
				["icon"] = 1,
				["title"] = "Morgrinn Crackfang",
				["desc"] = "Rare Mob Spawn 2\n3 Spawns in this area\n15% Epic 2h Strength Mace 420 lvl 85",
			},
			[42291139] = {
				["title"] = "Hammer of Ten Thunders",
				["icon"] = 4,
				["desc"] = "= 2h Mace Strength 404 lvl 85\n2 Spawns: 41.8 17.6 and 43.0 11.6",
			},
			[28823618] = {
				["title"] = "Whispering Pandaren Spirit <Grand Master Pet Tamer>",
				["cont"] = 1,
				["icon"] = 16,
				["desc"] = "Pet-Trainer\nElemental, Dragonkin, Critter",
			},
		},
		["MoltenCore"] = {
			[82588315] = {
				["icon"] = 8,
				["title"] = "Sulfuron Harbinger",
				["desc"] = "Pet: Mark of Flame",
			},
			[68255861] = {
				["icon"] = 8,
				["title"] = "Golemagg the Incinerator",
				["desc"] = "Pet: Core of Hardened Ash",
			},
			[69212405] = {
				["title"] = "Corefire inp",
				["level"] = 5,
				["icon"] = 1,
				["desc"] = "",
			},
			[68462469] = {
				["title"] = "Magmadar",
				["level"] = 5,
				["icon"] = 8,
				["desc"] = "Pet: Corefire inp",
			},
			[68782349] = {
				["icon"] = 8,
				["title"] = "Magmadar",
				["desc"] = "Pet: Corefire inp",
			},
		},
		["TwilightHighlands"] = {
			[56525639] = {
				["title"] = "Goz Banefury <Master Pet Tamer>",
				["icon"] = 16,
				["desc"] = "Pet-Trainer\nWildlife, Magical, Elemental",
			},
		},
		["GrizzlyHills"] = {
			[61121821] = {
				["icon"] = 4,
				["title"] = "Val'kyr Pet",
				["desc"] = "",
			},
			[25935591] = {
				["icon"] = 4,
				["title"] = "Val'kyr Pet",
				["desc"] = "",
			},
			[79185238] = {
				["icon"] = 4,
				["title"] = "Val'kyr Pet",
				["desc"] = "",
			},
		},
		["VashjirDepths"] = {
			[40917082] = {
				["title"] = "Poseidus",
				["icon"] = 8,
				["desc"] = "",
			},
		},
		["Dalaran"] = {
			[53191688] = {
				["title"] = "Bank",
				["level"] = 1,
				["icon"] = 10,
				["desc"] = "",
			},
			[40323473] = {
				["title"] = "Jewlcrafter",
				["level"] = 1,
				["icon"] = 18,
				["desc"] = "",
			},
			[35382866] = {
				["title"] = "Leatherworker",
				["level"] = 1,
				["icon"] = 18,
				["desc"] = "",
			},
			[42243208] = {
				["title"] = "Alchemy",
				["level"] = 1,
				["icon"] = 18,
				["desc"] = "",
			},
			[36753708] = {
				["title"] = "First Aid",
				["level"] = 1,
				["icon"] = 18,
				["desc"] = "",
			},
			[36093407] = {
				["title"] = "Tailoring",
				["level"] = 1,
				["icon"] = 18,
				["desc"] = "",
			},
			[41783679] = {
				["title"] = "Inscription",
				["level"] = 1,
				["icon"] = 18,
				["desc"] = "",
			},
			[45572844] = {
				["title"] = "Blacksmith",
				["level"] = 1,
				["icon"] = 18,
				["desc"] = "",
			},
			[39134066] = {
				["title"] = "Enchanting",
				["level"] = 1,
				["icon"] = 18,
				["desc"] = "",
			},
			[43362658] = {
				["title"] = "Enchanted Anvil",
				["level"] = 1,
				["icon"] = 18,
				["desc"] = "",
			},
			[41202540] = {
				["title"] = "Miners",
				["level"] = 1,
				["icon"] = 18,
				["desc"] = "",
			},
			[43897697] = {
				["title"] = "Bank",
				["level"] = 1,
				["icon"] = 10,
				["desc"] = "",
			},
			[39232543] = {
				["title"] = "Engineering",
				["level"] = 1,
				["icon"] = 18,
				["desc"] = "",
			},
			[43213413] = {
				["title"] = "Herbalism",
				["level"] = 1,
				["icon"] = 18,
				["desc"] = "",
			},
		},
		["Karazhan"] = {
			[43168389] = {
				["title"] = "Urne",
				["level"] = 6,
				["icon"] = 1,
				["desc"] = "Summon Boss Here",
			},
			[83694973] = {
				["title"] = "Maiden of Virtue",
				["level"] = 4,
				["icon"] = 8,
				["desc"] = "Boss",
			},
			[80056898] = {
				["title"] = "Chess Event",
				["level"] = 15,
				["icon"] = 3,
				["desc"] = "",
			},
			[84657219] = {
				["icon"] = 3,
				["level"] = 15,
				["title"] = "Continue to Prince Malchezaar",
				["desc"] = "",
			},
			[69134323] = {
				["title"] = "Back to Mores",
				["level"] = 4,
				["icon"] = 3,
				["desc"] = "",
			},
			[24236096] = {
				["icon"] = 3,
				["level"] = 12,
				["title"] = "Netherspite",
				["desc"] = "",
			},
			[58885438] = {
				["icon"] = 3,
				["level"] = 8,
				["title"] = "Back to Nightbane",
				["desc"] = "",
			},
			[27026352] = {
				["icon"] = 8,
				["level"] = 3,
				["title"] = "Moroes",
				["desc"] = "Boss",
			},
			[60151757] = {
				["title"] = "Back to Nightbane",
				["level"] = 9,
				["icon"] = 3,
				["desc"] = "",
			},
			[62307411] = {
				["title"] = "Continue to Prince Malchezaar",
				["level"] = 16,
				["icon"] = 3,
				["desc"] = "",
			},
			[53966128] = {
				["title"] = "Continue to The Curator",
				["level"] = 7,
				["icon"] = 3,
				["desc"] = "",
			},
			[57815326] = {
				["icon"] = 3,
				["level"] = 10,
				["title"] = "Continue to Netherspite",
				["desc"] = "",
			},
			[32156256] = {
				["title"] = "Back to The Curator",
				["level"] = 10,
				["icon"] = 3,
				["desc"] = "",
			},
			[45195230] = {
				["icon"] = 3,
				["level"] = 12,
				["title"] = "Back to Shade of Aran",
				["desc"] = "",
			},
			[41131412] = {
				["icon"] = 3,
				["level"] = 6,
				["title"] = "Back to The Big Bad Wolf",
				["desc"] = "",
			},
			[66894243] = {
				["icon"] = 3,
				["level"] = 3,
				["title"] = "Back to Maiden of Virtue",
				["desc"] = "",
			},
			[39738333] = {
				["icon"] = 3,
				["level"] = 3,
				["title"] = "Back to Attumen",
				["desc"] = "",
			},
			[62942198] = {
				["icon"] = 3,
				["level"] = 5,
				["title"] = "To Nightbane",
				["desc"] = "",
			},
			[19944179] = {
				["title"] = "Next to Nightbane",
				["level"] = 4,
				["icon"] = 3,
				["desc"] = "",
			},
			[27015823] = {
				["icon"] = 3,
				["level"] = 12,
				["title"] = "Skip to Chess Event",
				["desc"] = "",
			},
			[79096032] = {
				["icon"] = 3,
				["level"] = 14,
				["title"] = "Continue to Prince Malchezaar",
				["desc"] = "along here",
			},
			[49363674] = {
				["title"] = "The Curator",
				["level"] = 9,
				["icon"] = 8,
				["desc"] = "Boss\nPet: Menagerie Custodian",
			},
			[41341428] = {
				["title"] = "Prinz Malchezaar",
				["level"] = 14,
				["icon"] = 3,
				["desc"] = "along here",
			},
			[36104171] = {
				["icon"] = 8,
				["level"] = 13,
				["title"] = "Netherspite",
				["desc"] = "Boss",
			},
			[27322286] = {
				["icon"] = 3,
				["level"] = 4,
				["title"] = "The Big Bad Wolf",
				["desc"] = "",
			},
			[69576593] = {
				["title"] = "Back to Nightbane",
				["level"] = 7,
				["icon"] = 3,
				["desc"] = "",
			},
			[54175021] = {
				["title"] = "Continue to The Curator",
				["level"] = 8,
				["icon"] = 3,
				["desc"] = "",
			},
			[64876930] = {
				["title"] = "Continue to The Curator",
				["level"] = 6,
				["icon"] = 3,
				["desc"] = "",
			},
			[52886360] = {
				["title"] = "Continue to Moroes",
				["level"] = 1,
				["icon"] = 3,
				["desc"] = "",
			},
			[39631749] = {
				["icon"] = 3,
				["level"] = 12,
				["title"] = "Back to Chess Event",
				["desc"] = "",
			},
			[66472423] = {
				["icon"] = 3,
				["level"] = 11,
				["title"] = "Shade of Aran",
				["desc"] = "",
			},
			[53967924] = {
				["title"] = "Back to Shade of Aran",
				["level"] = 13,
				["icon"] = 3,
				["desc"] = "",
			},
			[36422198] = {
				["title"] = "Continue to Terestian Illhoof",
				["level"] = 10,
				["icon"] = 3,
				["desc"] = "hierlang",
			},
			[70967202] = {
				["title"] = "Back to Chess Event",
				["level"] = 16,
				["icon"] = 3,
				["desc"] = "",
			},
			[52256994] = {
				["title"] = "Terestian illhoof",
				["level"] = 11,
				["icon"] = 8,
				["desc"] = "Boss\nPet: Fiendish Imp",
			},
			[17823449] = {
				["title"] = "The Big Bad Wolf",
				["level"] = 4,
				["icon"] = 8,
				["desc"] = "Boss\nPet: Lil' Bad Wolf",
			},
			[71712599] = {
				["title"] = "Shade of Aran",
				["level"] = 10,
				["icon"] = 8,
				["desc"] = "Boss",
			},
			[46909175] = {
				["icon"] = 8,
				["level"] = 6,
				["title"] = "Nightbane",
				["desc"] = "Boss",
			},
			[51513128] = {
				["icon"] = 8,
				["level"] = 17,
				["title"] = "Prinz Malchezaar",
				["desc"] = "Boss\nPet: Netherspace Abyssal",
			},
			[36116192] = {
				["icon"] = 8,
				["level"] = 14,
				["title"] = "Chess Event",
				["desc"] = "Boss",
			},
			[45308245] = {
				["title"] = "Attumen",
				["level"] = 1,
				["icon"] = 8,
				["desc"] = "Boss\nMount: Fiery Warhorse",
			},
			[43598341] = {
				["title"] = "Back to The Big Bad Wolf",
				["level"] = 5,
				["icon"] = 3,
				["desc"] = "",
			},
			[30126417] = {
				["title"] = "Shade of Aran & Terestian Illhoof",
				["level"] = 9,
				["icon"] = 3,
				["desc"] = "along here",
			},
			[52039063] = {
				["title"] = "Back to",
				["level"] = 17,
				["icon"] = 3,
				["desc"] = "",
			},
		},
		["Dragonblight"] = {
			[59207727] = {
				["icon"] = 16,
				["title"] = "Okrut Dragonwaste <Master Pet Tamer>",
				["desc"] = "Pet-Trainer\nUndead, Dragonkin, Undead",
			},
			[82186569] = {
				["icon"] = 4,
				["title"] = "Val'kyr Pet",
				["desc"] = "",
			},
			[26795334] = {
				["icon"] = 4,
				["title"] = "Val'kyr Pet",
				["desc"] = "",
			},
			[65283489] = {
				["icon"] = 4,
				["title"] = "Val'kyr Pet",
				["desc"] = "",
			},
		},
		["IcecrownGlacier"] = {
			[73736489] = {
				["title"] = "Val'kyr Pet",
				["icon"] = 4,
				["desc"] = "",
			},
			[48398669] = {
				["title"] = "Val'kyr Pet",
				["icon"] = 4,
				["desc"] = "",
			},
			[44543377] = {
				["title"] = "Val'kyr Pet",
				["icon"] = 4,
				["desc"] = "",
			},
			[77361997] = {
				["icon"] = 16,
				["title"] = "Major Payne",
				["desc"] = "Pet-Trainer\nWildlife, Elemental, Mechanical",
			},
		},
		["SilvermoonCity"] = {
			[68022916] = {
				["title"] = "Mailbox",
				["level"] = 1,
				["icon"] = 14,
				["desc"] = "",
			},
			[91895825] = {
				["title"] = "Auction House",
				["level"] = 1,
				["icon"] = 9,
				["desc"] = "",
			},
			[86203551] = {
				["title"] = "Repair",
				["level"] = 1,
				["icon"] = 15,
				["desc"] = "",
			},
			[81065834] = {
				["title"] = "innkeeper",
				["level"] = 1,
				["icon"] = 13,
				["desc"] = "",
			},
			[58422100] = {
				["title"] = "Portal to Blasted Lands",
				["level"] = 1,
				["icon"] = 28,
				["desc"] = "",
			},
			[88005097] = {
				["title"] = "Mailbox",
				["level"] = 1,
				["icon"] = 14,
				["desc"] = "",
			},
			[61396273] = {
				["title"] = "Auction House",
				["level"] = 1,
				["icon"] = 9,
				["desc"] = "",
			},
			[82693080] = {
				["title"] = "Stable Master",
				["level"] = 1,
				["icon"] = 16,
				["desc"] = "",
			},
			[49481466] = {
				["title"] = "translocate to Undercity",
				["level"] = 1,
				["icon"] = 28,
				["desc"] = "",
			},
			[66777791] = {
				["title"] = "Bank",
				["level"] = 1,
				["icon"] = 10,
				["desc"] = "",
			},
		},
		["HowlingFjord"] = {
			[28393345] = {
				["title"] = "Beegle Blastfuse <Master Pet Tamer>",
				["icon"] = 16,
				["desc"] = "Pet-Trainer\nFlying, water, Flying",
			},
			[68386761] = {
				["title"] = "Val'kyr Pet",
				["icon"] = 4,
				["desc"] = "",
			},
			[72444307] = {
				["icon"] = 4,
				["title"] = "Val'kyr Pet",
				["desc"] = "",
			},
			[45604308] = {
				["icon"] = 4,
				["title"] = "Val'kyr Pet",
				["desc"] = "",
			},
		},
		["Undercity"] = {
			[67645239] = {
				["title"] = "Auction house",
				["level"] = 1,
				["icon"] = 9,
				["desc"] = "",
			},
			[73455558] = {
				["title"] = "First Aid",
				["level"] = 1,
				["icon"] = 18,
				["desc"] = "",
			},
			[69863670] = {
				["title"] = "Mailbox",
				["level"] = 1,
				["icon"] = 14,
				["desc"] = "",
			},
			[47551900] = {
				["title"] = "Priest Trainer",
				["level"] = 1,
				["icon"] = 17,
				["desc"] = "",
			},
			[85197127] = {
				["title"] = "Rogue Trainer",
				["level"] = 1,
				["icon"] = 17,
				["desc"] = "",
			},
			[54114984] = {
				["title"] = "Herbalism",
				["level"] = 1,
				["icon"] = 18,
				["desc"] = "",
			},
			[71334681] = {
				["title"] = "Auction house",
				["level"] = 1,
				["icon"] = 9,
				["desc"] = "",
			},
			[67763589] = {
				["title"] = "Auction House",
				["level"] = 1,
				["icon"] = 9,
				["desc"] = "",
			},
			[64175223] = {
				["title"] = "Auction House",
				["level"] = 1,
				["icon"] = 9,
				["desc"] = "",
			},
			[75663744] = {
				["title"] = "Archeology",
				["level"] = 1,
				["icon"] = 18,
				["desc"] = "",
			},
			[61203050] = {
				["title"] = "Blacksmith",
				["level"] = 1,
				["icon"] = 18,
				["desc"] = "",
			},
			[56443418] = {
				["title"] = "Monk Trainer",
				["level"] = 1,
				["icon"] = 17,
				["desc"] = "",
			},
			[67673788] = {
				["title"] = "Innkeeper",
				["level"] = 1,
				["icon"] = 13,
				["desc"] = "",
			},
			[58029054] = {
				["title"] = "Paladin Trainer",
				["level"] = 1,
				["icon"] = 17,
				["desc"] = "",
			},
			[46911539] = {
				["title"] = "Warrior Trainer",
				["level"] = 1,
				["icon"] = 17,
				["desc"] = "",
			},
			[71454163] = {
				["title"] = "Auction House",
				["level"] = 1,
				["icon"] = 9,
				["desc"] = "",
			},
			[47052835] = {
				["title"] = "Practice Dummies",
				["level"] = 1,
				["icon"] = 2,
				["desc"] = "",
			},
			[80883113] = {
				["title"] = "Fishing Trainer",
				["level"] = 1,
				["icon"] = 18,
				["desc"] = "",
			},
			[60564142] = {
				["title"] = "Auction House",
				["level"] = 1,
				["icon"] = 9,
				["desc"] = "",
			},
			[85151703] = {
				["title"] = "Portal to Blasted Lands",
				["level"] = 1,
				["icon"] = 28,
				["desc"] = "",
			},
			[71636168] = {
				["title"] = "Mailbox",
				["level"] = 1,
				["icon"] = 14,
				["desc"] = "",
			},
			[55005032] = {
				["title"] = "Shaman and Druid Trainer",
				["level"] = 1,
				["icon"] = 17,
				["desc"] = "",
			},
			[55468566] = {
				["title"] = "Battlemaster",
				["level"] = 1,
				["icon"] = 11,
				["desc"] = "",
			},
			[70614665] = {
				["title"] = "Barber",
				["level"] = 1,
				["icon"] = 2,
				["desc"] = "",
			},
			[47717303] = {
				["title"] = "Alchemy Trainer",
				["level"] = 1,
				["icon"] = 18,
				["desc"] = "",
			},
			[61095870] = {
				["title"] = "Inscription",
				["level"] = 1,
				["icon"] = 18,
				["desc"] = "",
			},
			[70565885] = {
				["title"] = "Leatherworker\\Skinner",
				["level"] = 1,
				["icon"] = 18,
				["desc"] = "",
			},
			[69905193] = {
				["title"] = "Mailbox",
				["level"] = 1,
				["icon"] = 14,
				["desc"] = "",
			},
			[76187387] = {
				["title"] = "Engineering Trainer",
				["level"] = 1,
				["icon"] = 18,
				["desc"] = "",
			},
			[55993677] = {
				["icon"] = 18,
				["level"] = 1,
				["title"] = "Jewellcrafter/Miner",
				["desc"] = "",
			},
			[56201629] = {
				["title"] = "Mage Trainer",
				["level"] = 1,
				["icon"] = 17,
				["desc"] = "",
			},
			[84101564] = {
				["title"] = "Portal Trainer",
				["level"] = 1,
				["icon"] = 28,
				["desc"] = "",
			},
			[64253588] = {
				["title"] = "Auction House",
				["level"] = 1,
				["icon"] = 9,
				["desc"] = "",
			},
			[61805168] = {
				["title"] = "Mailbox",
				["level"] = 1,
				["icon"] = 14,
				["desc"] = "",
			},
			[62193619] = {
				["title"] = "Mailbox",
				["level"] = 1,
				["icon"] = 14,
				["desc"] = "",
			},
			[84961034] = {
				["title"] = "Mage Trainer",
				["level"] = 1,
				["icon"] = 17,
				["desc"] = "",
			},
			[70742943] = {
				["title"] = "Tailoring",
				["level"] = 1,
				["icon"] = 18,
				["desc"] = "",
			},
			[60494665] = {
				["title"] = "Auction House",
				["level"] = 1,
				["icon"] = 9,
				["desc"] = "",
			},
			[62194478] = {
				["title"] = "Cooking Trainer",
				["level"] = 1,
				["icon"] = 18,
				["desc"] = "",
			},
			[69603908] = {
				["title"] = "Reagents",
				["level"] = 1,
				["icon"] = 23,
				["desc"] = "",
			},
			[61886078] = {
				["title"] = "Enchanting",
				["level"] = 1,
				["icon"] = 18,
				["desc"] = "",
			},
			[66983811] = {
				["title"] = "Stable Master",
				["level"] = 1,
				["icon"] = 16,
				["desc"] = "",
			},
			[69564406] = {
				["title"] = "Guild Vendor Tabrad Vendor",
				["level"] = 1,
				["icon"] = 25,
				["desc"] = "",
			},
			[66604413] = {
				["title"] = "Bank",
				["level"] = 1,
				["icon"] = 10,
				["desc"] = "",
			},
			[66725018] = {
				["title"] = "Mailbox",
				["level"] = 1,
				["icon"] = 14,
				["desc"] = "",
			},
		},
		["SholazarBasin"] = {
			[44216890] = {
				["title"] = "Val'kyr Pet",
				["icon"] = 4,
				["desc"] = "",
			},
			[36951933] = {
				["title"] = "Val'kyr Pet",
				["icon"] = 4,
				["desc"] = "",
			},
			[58332222] = {
				["title"] = "Val'kyr Pet",
				["icon"] = 4,
				["desc"] = "",
			},
		},
		["AhnQiraj"] = {
			[34354458] = {
				["icon"] = 8,
				["level"] = 1,
				["title"] = "Transition to C'Thun",
				["desc"] = "",
			},
		},
		["ValleyofTrialsStart"] = {
			[42016674] = {
				["title"] = "Mailbox",
				["level"] = 1,
				["icon"] = 14,
				["desc"] = "",
			},
			[43366577] = {
				["title"] = "Repair",
				["level"] = 1,
				["icon"] = 15,
				["desc"] = "",
			},
			[42796241] = {
				["title"] = "butcher",
				["level"] = 1,
				["icon"] = 21,
				["desc"] = "",
			},
		},
		["CavernofLostSpirits"] = {
			[53205671] = {
				["title"] = "Zarhym",
				["icon"] = 3,
				["desc"] = "Rare Mob",
			},
			[53943121] = {
				["title"] = "Zarhyms body",
				["icon"] = 3,
				["desc"] = "",
			},
			[45893191] = {
				["icon"] = 8,
				["title"] = "Rock Moss",
				["desc"] = "Rare Mob",
			},
		},
		["ShattrathCity"] = {
			[59126053] = {
				["title"] = "Scryer Bank",
				["level"] = 1,
				["icon"] = 10,
				["desc"] = "",
			},
			[48712867] = {
				["title"] = "Aldor Bank",
				["level"] = 1,
				["icon"] = 10,
				["desc"] = "",
			},
		},
		["IsleoftheThunderKing"] = {
			[52238939] = {
				["title"] = "Treasure of the Thunder King",
				["icon"] = 9,
				["desc"] = "51.5, 89.6",
			},
			[52927710] = {
				["icon"] = 9,
				["title"] = "Treasure of the Thunder King",
				["desc"] = "52.9, 77.2",
			},
			[48458931] = {
				["title"] = "Haywire Sunreaver Construct",
				["icon"] = 8,
				["desc"] = "Rare Mob\nNPC-Scan: 50358",
			},
			[48178253] = {
				["icon"] = 9,
				["title"] = "Treasure of the Thunder King",
				["desc"] = "47.9, 82.1",
			},
			[33636176] = {
				["title"] = "Treasure of the Thunder King",
				["icon"] = 9,
				["desc"] = "33.6, 60.4",
			},
			[35304723] = {
				["icon"] = 9,
				["title"] = "Treasure of the Thunder King",
				["desc"] = "35.3, 47,7",
			},
			[43506744] = {
				["title"] = "Treasure of the Thunder King",
				["icon"] = 9,
				["desc"] = "44.3, 67.5",
			},
			[28918093] = {
				["title"] = "Treasure of the Thunder King",
				["icon"] = 9,
				["desc"] = "28.9, 80.8",
			},
			[41007478] = {
				["title"] = "Treasure of the Thunder King",
				["icon"] = 9,
				["desc"] = "40.8, 74.7",
			},
			[56178452] = {
				["title"] = "Haywire Sunreaver Construct",
				["icon"] = 1,
				["desc"] = "Rare Mob spawn 2\nNPC-Scan: 50358",
			},
			[53938286] = {
				["title"] = "Treasure of the Thunder King",
				["icon"] = 9,
				["desc"] = "53.8, 82.8",
			},
			[37166808] = {
				["icon"] = 9,
				["title"] = "Treasure of the Thunder King",
				["desc"] = "37.0, 68.1",
			},
			[50292514] = {
				["icon"] = 8,
				["title"] = "Backbreaker Uru",
				["desc"] = "Rare Mob (Phase 4)\nNPCScan: 70001",
			},
			[39818207] = {
				["icon"] = 8,
				["title"] = "Ra'sha",
				["desc"] = "Rare Mob\nNPCScan: 70530\nDrops Ra'sha's Sacrificial Dagger",
			},
			[54415354] = {
				["title"] = "Treasure of the Thunder King",
				["icon"] = 9,
				["desc"] = "54.1, 53.6",
			},
			[61835015] = {
				["icon"] = 8,
				["title"] = "God-Hulk Ramuk",
				["desc"] = "Rare Mob (Phase 3)\nNPCScan: 69999",
			},
			[61083876] = {
				["icon"] = 8,
				["title"] = "Molthor <The Gatekeeper>",
				["desc"] = "Rare Mob (Phase 4)\nNPCScan: 70003 ",
			},
			[44248276] = {
				["icon"] = 9,
				["title"] = "Treasure of the Thunder King",
				["desc"] = "43.8, 82.8",
			},
			[50967126] = {
				["title"] = "Progenitus <The Firstborn>",
				["icon"] = 8,
				["desc"] = "Rare Mob\nNPC-Scan: 69997",
			},
			[45315083] = {
				["icon"] = 9,
				["title"] = "Treasure of the Thunder King",
				["desc"] = "45.2, 50.7",
			},
			[33395770] = {
				["title"] = "Treasure of the Thunder King",
				["icon"] = 9,
				["desc"] = "33.4, 57.5",
			},
			[50314676] = {
				["title"] = "Hand in for Points",
				["icon"] = 10,
				["desc"] = "& Entrance for 10/25 Throne of Thunder",
			},
			[47447239] = {
				["icon"] = 9,
				["title"] = "Treasure of the Thunder King",
				["desc"] = "47.4, 72.4",
			},
			[33077103] = {
				["title"] = "Treasure of the Thunder King",
				["icon"] = 9,
				["desc"] = "33.6, 71.7",
			},
			[35236168] = {
				["title"] = "Mumta <Thief of Souls>",
				["icon"] = 8,
				["desc"] = "Rare Mob\nNPCScan: 69664",
			},
			[53345394] = {
				["title"] = "Goda",
				["icon"] = 8,
				["desc"] = "Rare Mob\nNPCScan: 69998",
			},
			[54133507] = {
				["icon"] = 8,
				["title"] = "Lu-Ban",
				["desc"] = "Rare Mob (Phase 4)\nNPCScan: 70002",
			},
			[38877702] = {
				["title"] = "Treasure of the Thunder King",
				["icon"] = 9,
				["desc"] = "39.1, 76.8",
			},
			[46545722] = {
				["title"] = "Treasure of the Thunder King",
				["icon"] = 9,
				["desc"] = "46.3, 57.5",
			},
			[44543008] = {
				["title"] = "Al'tabim the All-Seeing",
				["icon"] = 8,
				["desc"] = "Rare Mob\nNPCScan: 52689",
			},
			[51437494] = {
				["title"] = "Treasure of the Thunder King",
				["icon"] = 9,
				["desc"] = "51.5, 74.0",
			},
			[38765961] = {
				["title"] = "Treasure of the Thunder King",
				["icon"] = 9,
				["desc"] = "37.9, 61.0 / 38.7, 59.6 / 36.9, 60.7 / 36.1, 58.5",
			},
			[33607630] = {
				["title"] = "Treasure of the Thunder King",
				["icon"] = 9,
				["desc"] = "33.4, 76.3",
			},
			[35466400] = {
				["title"] = "Treasure of the Thunder King",
				["icon"] = 9,
				["desc"] = "35.6. 63.7",
			},
			[46806153] = {
				["title"] = "Treasure of the Thunder King",
				["icon"] = 9,
				["desc"] = "46.6, 61.6",
			},
			[44145602] = {
				["icon"] = 9,
				["title"] = "Treasure of the Thunder King",
				["desc"] = "",
			},
			[37228196] = {
				["title"] = "Ku'lai the Skyclaw <Ward of Beasts>",
				["icon"] = 8,
				["desc"] = "Rare Mob\nNPCScan: 69996",
			},
			[43367820] = {
				["icon"] = 9,
				["title"] = "Treasure of the Thunder King",
				["desc"] = "43.5, 78.6",
			},
		},
		["Pandaria"] = {
			[52343981] = {
				["title"] = "Sha of Wrath(Worldboss)",
				["icon"] = 7,
				["desc"] = "ReSpawns every 15-30 min",
			},
			[56916985] = {
				["title"] = "Galleon (Worldboss)",
				["icon"] = 7,
				["desc"] = "ReSpawns every 1-3 hours",
			},
		},
		["ValleyoftheFourWinds"] = {
			[70116312] = {
				["icon"] = 7,
				["title"] = "Galleon (Worldboss)",
				["desc"] = "ReSpawns every 1-3 hours\nKill Check Macro:\n/run for k, v in pairs({ Galleon=32098, Sha=32099, Nalak=32518, Oon=32519, Champ=32641, Key=32626, Barrens=32862}) do print(format(\"%s: %s\", k, IsQuestFlaggedCompleted(v) and \"\\124cff00ff00Yes\" or \"\\124cffff0000No\"))",
			},
			[16347863] = {
				["title"] = "Jonn-Dar",
				["icon"] = 8,
				["desc"] = "Rare Mob\n[Terracotta Fragment]\nTrinket 400 lvl 85 Summons Pet for 10 min.",
			},
			[34174639] = {
				["icon"] = 3,
				["title"] = "Chi-Chi",
				["desc"] = "Blue Feather [Four winds stir fry]",
			},
			[56093396] = {
				["icon"] = 8,
				["title"] = "Sele'na",
				["desc"] = "Rare Mob in Moor",
			},
			[54182874] = {
				["icon"] = 1,
				["title"] = "Sele'na",
				["desc"] = "Rare Mob Spawn2",
			},
			[45894365] = {
				["title"] = "Farmer Nishi",
				["icon"] = 16,
				["desc"] = "Pet-Trainer\nWildlife, Elemental, Elemental",
			},
			[92233890] = {
				["title"] = "Boat-Building Instructions",
				["icon"] = 4,
				["desc"] = "10g Grey Item\nIn the hut\nNo treasure!",
			},
			[29032965] = {
				["title"] = "NPC",
				["icon"] = 3,
				["desc"] = "Sho= Lovely Apple [Eternal Blossom Fish]",
			},
			[41013008] = {
				["title"] = "NPC",
				["icon"] = 3,
				["desc"] = "Fishy Rohrrothe=Jadekatze [Twin Fish Platter]",
			},
			[14213521] = {
				["icon"] = 4,
				["title"] = "Staff of the Hidden Master",
				["desc"] = "= Agi Staff 419 lvl 86\n Hidden within the bamboo trees at (17.4, 36.0) North Western part of Valley of the Four Winds",
			},
			[35712586] = {
				["icon"] = 8,
				["title"] = "Sulik'shor",
				["desc"] = "Rare Mob\nDropt +500 value Item",
			},
			[46133832] = {
				["title"] = "Ancient Pandaren Woodcutter",
				["icon"] = 4,
				["desc"] = "= Grey Item 110g no EP\n Ghostly Pandaren Craftsman\nNPC-Scan: 64191",
			},
			[66545904] = {
				["icon"] = 8,
				["title"] = "Salyin Warscout",
				["desc"] = "Rare Mob\nRiverside direction Jade Forest",
			},
			[77181147] = {
				["title"] = "Black Market",
				["icon"] = 9,
				["desc"] = "Auction house",
			},
			[31045623] = {
				["icon"] = 3,
				["title"] = "NPCs",
				["desc"] = "Ella = Jade Cat  [Shrimp Dumplings]\nOld Hillpaw Feather  [Braised Turtle]",
			},
			[9594676] = {
				["icon"] = 1,
				["title"] = "Nal'lak the Ripper",
				["desc"] = "",
			},
			[16903710] = {
				["icon"] = 8,
				["title"] = "Bonobos <The Bananamancer>",
				["desc"] = "Rare Mob",
			},
			[54135345] = {
				["icon"] = 3,
				["title"] = "NPCS",
				["desc"] = "Sho = Apple [Eternal Blossom Fish]\nJogu = Apple  [Sauteed Carrots]\nFarmer Fung = Marsh Lily [Wildfowl Roast]\nGina = Marsh Lily [Swirling Mist Soup]\nChi-Chi = Feather [Valley Stir Fry]\nOld Hillpaw = Feather [Braised Turtle]\nTina Mudclaw = Ruby [Fire Spirit Salmon]\nHaohan Mudclaw = Ruby [G. Tigersteak]",
			},
			[75434703] = {
				["icon"] = 1,
				["title"] = "Salyin Warscout",
				["desc"] = "Rare Mob Spawn 2",
			},
			[43223853] = {
				["title"] = "Cache of Pilfered Goods",
				["icon"] = 4,
				["desc"] = "Its the most northern gap in the rabbit hole. theres no point going down the huge carrot and the other gap where theres a pumpkin in a cart is also not where it spawns. That aside its pretty big and hard to miss if its really there",
			},
			[47282436] = {
				["icon"] = 4,
				["title"] = "Ancient Pandaren Fishing Charm",
				["desc"] = "Ghostly Pandaren Fisherman\nNPC-Scan: 64004",
			},
			[35836823] = {
				["title"] = "Stormstout Brewery",
				["icon"] = 28,
				["desc"] = "Inctance Entrance (85-87 / 90 Heroic)",
			},
			[55274826] = {
				["title"] = "Dailys",
				["icon"] = 6,
				["desc"] = "Cooking Dailies\nGoat Mounts!",
			},
			[88141803] = {
				["icon"] = 8,
				["title"] = "Nasra Spothide",
				["desc"] = "Rare Mob\nPanda",
			},
			[48103468] = {
				["title"] = "NPC",
				["icon"] = 3,
				["desc"] = "Farmer Fung = Marsh Lily [Wildfowl Roast]",
			},
			[23692912] = {
				["icon"] = 4,
				["title"] = "Virmen Treasure Cache",
				["desc"] = "486k EP 98g\nIn the cave\nTreasure",
			},
			[10115382] = {
				["icon"] = 8,
				["title"] = "Nal'lak the Ripper",
				["desc"] = "Rare Mob\nFly half circle at the gate",
			},
			[69790556] = {
				["title"] = "Terrace of Endless Spring",
				["icon"] = 28,
				["desc"] = "Entrance 10/25 Raid",
			},
			[19064253] = {
				["title"] = "Staff of the Hidden Master",
				["icon"] = 4,
				["desc"] = "...also",
			},
			[8026113] = {
				["icon"] = 1,
				["title"] = "Nal'lak the Ripper",
				["desc"] = "",
			},
			[35715748] = {
				["icon"] = 8,
				["title"] = "Blackhoof",
				["desc"] = "Battle Hors(pull all within 40m range)\nRare Mob",
			},
			[36306366] = {
				["title"] = "Blackhoof",
				["icon"] = 1,
				["desc"] = "Rare Mob Spawn2",
			},
			[44823439] = {
				["title"] = "NPCs ",
				["icon"] = 3,
				["desc"] = "Haohan Mudlcaw = Ruby [G. Tigersteak]\nTina Mudclaw = Ruby [Fire Spirit Salmon]",
			},
		},
		["Uldum_terrain1"] = {
			[56724163] = {
				["title"] = "Obalis",
				["icon"] = 16,
				["desc"] = "Pet-Trainer\nWildlife, Critter, Flying",
			},
			[46363441] = {
				["icon"] = 8,
				["title"] = "Scourer of the Eternal Sands",
				["desc"] = "64.6 30.4\nNPC-Scan: 50409",
			},
		},
		["CoilfangReservoir"] = {
			[59682613] = {
				["icon"] = 8,
				["title"] = "Morgrin",
				["desc"] = "",
			},
		},
		["KunLaiSummit"] = {
			[35847350] = {
				["icon"] = 16,
				["title"] = "Courageous Yon <Grand Master Pet Tamer>",
				["desc"] = "Pet-Trainer (in the Cave 35.8, 73.6)\nWildlife, Flying, Critter",
			},
			[64281332] = {
				["title"] = "Nessos the Oracle",
				["icon"] = 8,
				["desc"] = "Rare Mob",
			},
			[45296270] = {
				["title"] = "Scritch",
				["icon"] = 8,
				["desc"] = "Rare Mob\nDrops +1000 reputation item",
			},
			[56847603] = {
				["title"] = "Terracotta Head",
				["icon"] = 4,
				["desc"] = "100g 28300xp\nCounts as treasure",
			},
			[50848638] = {
				["icon"] = 7,
				["title"] = "Sha of Wrath (Worldboss)",
				["desc"] = "",
			},
			[71973417] = {
				["icon"] = 4,
				["title"] = "Statue of Xuen",
				["desc"] = "100g Grey Item 500k XP\nUnder water at 72.0, 34.0\nCounts as treasure",
			},
			[70996256] = {
				["icon"] = 4,
				["title"] = "Sturdy Yaungol Spear",
				["desc"] = "= Strength Spear 419 lvl 86\nOn a spawned weapon rack",
			},
			[57667838] = {
				["icon"] = 8,
				["title"] = "Havak",
				["desc"] = "Rare Mob",
			},
			[66727733] = {
				["icon"] = 7,
				["title"] = "Sha of Wrath (Worldboss)",
				["desc"] = "Spawns every 15-30 min igentwo in Kun-Lai\nKill Check Macro:\n/run for k, v in pairs({ Galleon=32098, Sha=32099, Nalak=32518, Oon=32519, Champ=32641, Key=32626, Barrens=32862}) do print(format(\"%s: %s\", k, IsQuestFlaggedCompleted(v) and \"\\124cff00ff00Yes\" or \"\\124cffff0000No\"))",
			},
			[64649375] = {
				["title"] = "Thundering Pandaren Spirit <Grand Master Pet Tamer>",
				["cont"] = 1,
				["icon"] = 16,
				["desc"] = "Pet-Trainer\nCritter, Elemental, Wildlife",
			},
			[38167863] = {
				["title"] = "Kafa Press",
				["icon"] = 4,
				["desc"] = "= 4000 Haste potion 10 min cd\nIn the cave 35.2, 76.3\nFrozen Trail Packer\nNPC-Scan: 64227",
			},
			[54696714] = {
				["title"] = "Sha of Wrath (Worldboss)",
				["icon"] = 7,
				["desc"] = "Spawns every 15-30 min igentwo in Kun-Lai\n\nKill Check Macro:\n/run for k, v in pairs({ Galleon = 32098, Sha = 32099, Nalak = 32518}) do print(format(\"%s: %s\", k, IsQuestFlaggedCompleted(v) and \"Yes killed\" or \"No\")) end",
			},
			[75176722] = {
				["title"] = "Zandalari Warbringer & Warscout",
				["cont"] = 1,
				["icon"] = 8,
				["desc"] = "5.2 Rare Mob - Drops Mount\nJade, Slate, Amber, or Golden Primordial Direhorn\nNPC-Scan id: 69769 & 69768",
			},
			[50156176] = {
				["icon"] = 4,
				["title"] = "Hozen Treasure Cache",
				["desc"] = "Contains 100g + 177k XP\nCave Entrance: 50.4, 61.7\nAt the end of the cave: 49.4, 59.4",
			},
			[40424180] = {
				["title"] = "Ahone the Wanderer",
				["icon"] = 8,
				["desc"] = "Rare Mob",
			},
			[37064779] = {
				["icon"] = 28,
				["title"] = "Shado-Pan Monastery",
				["desc"] = "Instance Entrance (87-89 / 90 Heroic)",
			},
			[64104554] = {
				["icon"] = 4,
				["title"] = "Ancient Mogu Tablet",
				["desc"] = "95g Grey Item 280k XP\nCaveEntrance: 63.9, 49.8\nIn the cave 64.2,45.2",
			},
			[69815083] = {
				["title"] = "Dailys",
				["icon"] = 6,
				["desc"] = "Golden Lotus:\nThe Celestials Exalted",
			},
			[53658073] = {
				["icon"] = 8,
				["title"] = "Korda Torros",
				["desc"] = "Rare Mob\n11% Foragers Gloves\n(Mining, Skinning, herbs)",
			},
			[44675235] = {
				["icon"] = 4,
				["title"] = "Tablet of Ren Yun",
				["desc"] = "Teaches Four Senses Brew\nUp on the hill next to the statue 44.7 52.4\nCounts as treasure!",
			},
			[48858055] = {
				["icon"] = 1,
				["title"] = "Korda Torros",
				["desc"] = "Rare Mob Spawn 2",
			},
			[59613906] = {
				["title"] = "Mogu'shan Vaults",
				["icon"] = 28,
				["desc"] = "Entrance 10/25 Raid",
			},
			[59685259] = {
				["icon"] = 4,
				["title"] = "Stolen Sprite Treasure",
				["desc"] = "Contains 104g + 283k XP\nCaveEntrance: 59.5, 52.9 \nItem: 41.0, 42.7\nCounts as treasure!\n2 Various treasures are here in the cave",
			},
			[73517707] = {
				["title"] = "Zai the Outcast",
				["icon"] = 8,
				["desc"] = "Rare Mob",
			},
			[52335081] = {
				["icon"] = 4,
				["title"] = "Rikktik's Tiny Chest",
				["desc"] = "105g Grey Item +51g + 200k XP\n(Rikktik's Tick Remover)\nIn the cave next to the monkey statue 52.6, 51.5\nCounts as treasure",
			},
			[53207111] = {
				["icon"] = 4,
				["title"] = "Hozen Warrior Spear",
				["desc"] = "= Agi Polearm 434 lvl 86\nStuck in the stone in the cave at 24,6 65,3",
			},
			[37638073] = {
				["title"] = "Ski'thik",
				["icon"] = 8,
				["desc"] = "Rare Mob",
			},
			[55344530] = {
				["title"] = "Borginn Darkfist",
				["icon"] = 8,
				["desc"] = "Rare Mob",
			},
			[74517328] = {
				["icon"] = 4,
				["title"] = "Sprite's Cloth Chest",
				["desc"] = "= Random 86 BoP Cloak\nSmall box in the cave at the back",
			},
			[41736999] = {
				["title"] = "Daily",
				["icon"] = 6,
				["desc"] = "Is only Gold",
			},
		},
		["ShrineofTwoMoons"] = {
			[57054789] = {
				["icon"] = 15,
				["level"] = 1,
				["title"] = "Repair",
				["desc"] = "",
			},
			[22335309] = {
				["title"] = "To Bank",
				["level"] = 1,
				["icon"] = 2,
				["desc"] = "",
			},
			[77714156] = {
				["title"] = "To Portals",
				["level"] = 1,
				["icon"] = 2,
				["desc"] = "",
			},
		},
	}	

		
for k,v in pairs(aegerUI_HandyNotes_Install) do
		HandyNotes_HandyNotesDB.global[k] = v
		aegerUI.db.global.addonProfileVersion.HandyNotes = profileVersion
	end
	end
end