local aegerUI = ...

local LibStub = _G.LibStub
local aegerUI = LibStub("AceAddon-3.0"):GetAddon("aegerUI")
local L = LibStub("AceLocale-3.0"):GetLocale("aegerUI")

local profileVersion = "1.0"

function aegerUI:InstallGrid()
	if not IsAddOnLoaded("Grid") then return end
	
	if aegerUI.db.global.addonProfileVersion.Grid ~= profileVersion then
	
		_G.AUI_Grid_Install = {
			["namespaces"] = {
				["GridFrame"] = {
					["profiles"] = {
						[""] = {
							["fontSize"] = 11,
							["statusmap"] = {
								["corner2"] = {
								},
								["healingBar"] = {
									["alert_heals"] = true,
								},
								["icontop"] = {
								},
								["barcolor"] = {
									["alert_offline"] = true,
									["debuff_Ghost"] = true,
									["alert_death"] = true,
									["unit_health"] = true,
								},
								["border"] = {
									["player_target"] = true,
									["alert_lowMana"] = true,
									["alert_lowHealth"] = true,
								},
								["iconbottom"] = {
								},
								["corner1"] = {
									["alert_heals"] = true,
								},
								["icon"] = {
									["debuff_curse"] = true,
									["debuff_poison"] = true,
									["debuff_disease"] = true,
									["ready_check"] = true,
									["debuff_magic"] = true,
								},
								["text2"] = {
									["debuff_Ghost"] = true,
									["alert_feignDeath"] = true,
									["alert_death"] = true,
									["alert_offline"] = true,
								},
								["text"] = {
									["debuff_Ghost"] = true,
									["alert_offline"] = true,
									["unit_healthDeficit"] = true,
									["alert_feignDeath"] = true,
									["alert_heals"] = true,
									["alert_death"] = true,
									["unit_name"] = true,
								},
								["bufficons"] = {
									["unit_buff_icons"] = true,
								},
								["corner4"] = {
									["alert_aggro"] = true,
								},
								["iconright"] = {
								},
								["frameAlpha"] = {
									["alert_range_40"] = true,
									["alert_range_10"] = true,
									["alert_offline"] = true,
									["alert_range_28"] = true,
									["alert_range_30"] = true,
									["alert_death"] = true,
									["alert_range_100"] = true,
								},
								["iconleft"] = {
								},
								["corner3"] = {
									["debuff_curse"] = true,
									["debuff_poison"] = true,
									["debuff_magic"] = true,
									["debuff_disease"] = true,
								},
								["bar"] = {
									["alert_offline"] = true,
									["debuff_Ghost"] = true,
									["alert_death"] = true,
									["unit_health"] = true,
								},
							},
							["borderSize"] = 1,
							["showTooltip"] = "OOC",
							["iconSize"] = 16,
							["enableBarColor"] = false,
							["textlength"] = 4,
							["enableMouseoverHighlight"] = true,
							["enableIconCooldown"] = true,
							["frameHeight"] = 36,
							["cornerSize"] = 6,
							["healingBar_intensity"] = 0.5,
							["enableText2"] = false,
							["fontOutline"] = "NONE",
							["iconBorderSize"] = 1,
							["textorientation"] = "VERTICAL",
							["invertBarColor"] = false,
							["font"] = "Friz Quadrata TT",
							["texture"] = "Gradient",
							["orientation"] = "VERTICAL",
							["enableIconStackText"] = true,
							["frameWidth"] = 36,
							["debug"] = false,
						},
						["Default"] = {
							["statusmap"] = {
								["iconTLcornerright"] = {
								},
								["iconBRcornerright"] = {
								},
								["manabar"] = {
									["unit_mana"] = true,
								},
								["iconBLcornerleft"] = {
								},
								["iconBLcornerright"] = {
								},
								["iconBRcornerleft"] = {
								},
								["iconTRcornerright"] = {
								},
								["iconTLcornerleft"] = {
								},
								["icon"] = {
									["alert_RaidDebuff"] = true,
								},
								["iconTRcornerleft"] = {
								},
							},
						},
						["aegerUIB"] = {
							["fontSize"] = 10,
							["statusmap"] = {
								["corner2"] = {
									["debuff_curse"] = false,
									["debuff_poison"] = false,
									["player_target"] = false,
									["debuff_disease"] = false,
									["alert_earthshield"] = false,
									["alert_heals"] = false,
									["alert_death"] = false,
									["debuff_magic"] = false,
								},
								["healingBar"] = {
									["debuff_curse"] = false,
									["alert_offline"] = false,
									["debuff_poison"] = false,
									["debuff_disease"] = false,
									["debuff_Ghost"] = false,
									["alert_heals"] = false,
									["alert_afk"] = false,
									["alert_RaidDebuff"] = false,
									["ready_check"] = false,
									["alert_raidicons_playertarget"] = false,
									["unit_health"] = false,
									["buff_Riptide"] = false,
									["alert_raidicons_player"] = false,
									["player_target"] = false,
									["alert_death"] = false,
									["debuff_magic"] = false,
								},
								["icontop"] = {
									["alert_afk"] = false,
								},
								["sidetextbottom"] = {
									["unit_name"] = false,
									["alert_Sinestra"] = true,
									["buff_Riptide"] = false,
									["alert_aggro"] = false,
									["player_target"] = false,
									["alert_riptide"] = false,
								},
								["barcolor"] = {
									["dispel_magic"] = true,
									["alert_RaidDebuff"] = false,
									["unit_name"] = false,
									["dispel_disease"] = true,
									["alert_raidicons_player"] = false,
									["debuff_curse"] = false,
									["debuff_Ghost"] = false,
									["debuff_disease"] = false,
									["alert_heals"] = false,
									["dispel_poison"] = true,
									["player_target"] = false,
									["alert_raidicons_playertarget"] = false,
									["dispel_curse"] = true,
									["debuff_poison"] = false,
									["buff_Riptide"] = false,
									["alert_afk"] = false,
									["debuff_magic"] = false,
								},
								["border"] = {
									["alert_lowMana"] = false,
									["buff_Renew"] = false,
									["dispel_poison"] = false,
									["alert_riptide"] = false,
									["buff_Riptide"] = false,
									["alert_earthshield"] = false,
									["buff_PowerWord:Shield"] = false,
									["player_target"] = false,
									["alert_aggro"] = false,
									["debuff_curse"] = true,
									["debuff_poison"] = false,
									["alert_raidicons_player"] = false,
									["debuff_disease"] = true,
									["debuff_magic"] = true,
									["alert_heals"] = true,
									["alert_RaidDebuff"] = false,
									["alert_offline"] = false,
									["ready_check"] = false,
									["alert_afk"] = false,
									["alert_Sinestra"] = false,
									["unit_health"] = false,
									["alert_lowHealth"] = false,
									["alert_earthliving"] = false,
									["alert_death"] = false,
									["alert_vehicleui"] = false,
								},
								["iconBLcornerleft"] = {
									["buff_UnleashedFury"] = true,
									["buff_EarthShield"] = false,
								},
								["iconbottom"] = {
									["player_target"] = false,
								},
								["corner1"] = {
									["unit_buff_icons"] = false,
									["alert_earthshield"] = false,
									["alert_earthliving"] = false,
									["alert_heals"] = false,
									["alert_riptide"] = false,
								},
								["sidetextleft"] = {
								},
								["iconTRcornerright"] = {
								},
								["icon"] = {
									["debuff_curse"] = false,
									["debuff_poison"] = false,
									["debuff_disease"] = false,
									["alert_RaidDebuff"] = true,
									["alert_raidicons_playertarget"] = false,
									["alert_Sinestra"] = true,
									["alert_raidicons_player"] = true,
									["player_target"] = false,
									["debuff_magic"] = false,
								},
								["iconTRcornerleft"] = {
									["buff_EarthShield"] = false,
								},
								["sidetexttop"] = {
								},
								["text2"] = {
									["debuff_Ghost"] = false,
									["unit_name"] = false,
									["alert_heals"] = false,
									["alert_lowHealth"] = false,
									["unit_health"] = false,
									["alert_afk"] = true,
									["alert_raidicons_playertarget"] = false,
									["alert_Sinestra"] = false,
									["unit_healthDeficit"] = false,
									["player_target"] = false,
									["alert_feignDeath"] = false,
									["alert_RaidDebuff"] = false,
								},
								["iconTLcornerright"] = {
								},
								["sidetextright"] = {
								},
								["manabar"] = {
									["alert_death"] = false,
									["unit_mana"] = true,
								},
								["text"] = {
									["debuff_Ghost"] = false,
									["alert_heals"] = false,
									["alert_afk"] = false,
									["alert_feignDeath"] = false,
									["alert_Sinestra"] = true,
									["buff_Riptide"] = false,
									["unit_healthDeficit"] = false,
									["player_target"] = false,
									["alert_death"] = false,
									["alert_offline"] = false,
								},
								["iconTLcornerleft"] = {
									["buff_EarthShield"] = false,
									["buff_Riptide"] = true,
								},
								["iconleft"] = {
									["buff_Riptide"] = false,
									["alert_afk"] = false,
								},
								["corner4"] = {
									["alert_heals"] = false,
									["buff_Riptide"] = false,
								},
								["iconright"] = {
								},
								["iconBRcornerright"] = {
									["buff_Riptide"] = false,
									["buff_EarthShield"] = true,
								},
								["frameAlpha"] = {
									["alert_afk"] = true,
									["player_target"] = false,
								},
								["iconBRcornerleft"] = {
									["buff_UnleashedFury"] = false,
								},
								["iconBLcornerright"] = {
								},
								["corner3"] = {
									["debuff_curse"] = false,
									["debuff_poison"] = false,
									["debuff_disease"] = false,
									["alert_heals"] = false,
									["dispel_curse"] = false,
									["dispel_poison"] = false,
									["dispel_magic"] = false,
									["dispel_disease"] = false,
									["alert_earthshield"] = false,
									["buff_EarthShield"] = false,
									["player_target"] = false,
									["debuff_magic"] = false,
								},
							},
							["fontOutline"] = "OUTLINE",
							["iconSize"] = 12,
							["enableBarColor"] = true,
							["textlength"] = 5,
							["enableMouseoverHighlight"] = false,
							["frameHeight"] = 38,
							["enableText2"] = true,
							["font"] = "Prototype",
							["texture"] = "ChiselLight",
							["orientation"] = "HORIZONTAL",
							["fontShadow"] = false,
							["frameWidth"] = 62,
							["iconBorderSize"] = 0,
						},
						["aegerUI"] = {
							["fontSize"] = 10,
							["statusmap"] = {
								["corner2"] = {
									["debuff_curse"] = false,
									["player_target"] = false,
									["debuff_poison"] = false,
									["debuff_disease"] = false,
									["alert_earthshield"] = false,
									["alert_heals"] = false,
									["alert_death"] = false,
									["debuff_magic"] = false,
								},
								["healingBar"] = {
									["debuff_curse"] = false,
									["debuff_Ghost"] = false,
									["debuff_poison"] = false,
									["debuff_disease"] = false,
									["alert_offline"] = false,
									["alert_heals"] = false,
									["alert_raidicons_playertarget"] = false,
									["alert_RaidDebuff"] = false,
									["ready_check"] = false,
									["player_target"] = false,
									["unit_health"] = false,
									["buff_Riptide"] = false,
									["alert_raidicons_player"] = false,
									["alert_afk"] = false,
									["alert_death"] = false,
									["debuff_magic"] = false,
								},
								["icontop"] = {
									["alert_afk"] = false,
								},
								["sidetextbottom"] = {
									["unit_name"] = false,
									["alert_Sinestra"] = true,
									["buff_Riptide"] = false,
									["alert_riptide"] = false,
									["player_target"] = false,
									["alert_aggro"] = false,
								},
								["barcolor"] = {
									["dispel_magic"] = true,
									["alert_RaidDebuff"] = false,
									["unit_name"] = false,
									["dispel_disease"] = true,
									["alert_raidicons_player"] = false,
									["debuff_curse"] = false,
									["debuff_Ghost"] = false,
									["debuff_disease"] = false,
									["alert_heals"] = false,
									["player_target"] = false,
									["dispel_poison"] = true,
									["alert_afk"] = false,
									["buff_Riptide"] = false,
									["debuff_poison"] = false,
									["alert_raidicons_playertarget"] = false,
									["dispel_curse"] = true,
									["debuff_magic"] = false,
								},
								["border"] = {
									["alert_lowMana"] = false,
									["buff_Renew"] = false,
									["dispel_poison"] = false,
									["alert_vehicleui"] = false,
									["buff_Riptide"] = false,
									["alert_earthshield"] = false,
									["buff_PowerWord:Shield"] = false,
									["player_target"] = false,
									["alert_aggro"] = false,
									["debuff_curse"] = true,
									["debuff_poison"] = false,
									["debuff_magic"] = true,
									["debuff_disease"] = true,
									["unit_health"] = false,
									["alert_heals"] = true,
									["alert_RaidDebuff"] = false,
									["alert_offline"] = false,
									["ready_check"] = false,
									["alert_afk"] = false,
									["alert_Sinestra"] = false,
									["alert_raidicons_player"] = false,
									["alert_lowHealth"] = false,
									["alert_earthliving"] = false,
									["alert_death"] = false,
									["alert_riptide"] = false,
								},
								["iconBLcornerleft"] = {
									["buff_UnleashedFury"] = true,
									["buff_EarthShield"] = false,
								},
								["iconbottom"] = {
									["player_target"] = false,
								},
								["corner1"] = {
									["unit_buff_icons"] = false,
									["alert_earthshield"] = false,
									["alert_earthliving"] = false,
									["alert_heals"] = false,
									["alert_riptide"] = false,
								},
								["sidetextleft"] = {
								},
								["iconTRcornerright"] = {
								},
								["icon"] = {
									["debuff_curse"] = false,
									["debuff_poison"] = false,
									["debuff_disease"] = false,
									["alert_RaidDebuff"] = true,
									["alert_raidicons_playertarget"] = false,
									["alert_Sinestra"] = true,
									["alert_raidicons_player"] = true,
									["player_target"] = false,
									["debuff_magic"] = false,
								},
								["iconTRcornerleft"] = {
									["buff_EarthShield"] = false,
								},
								["iconTLcornerright"] = {
								},
								["text2"] = {
									["debuff_Ghost"] = false,
									["alert_feignDeath"] = false,
									["alert_heals"] = false,
									["alert_lowHealth"] = false,
									["alert_RaidDebuff"] = false,
									["unit_health"] = false,
									["player_target"] = false,
									["alert_Sinestra"] = false,
									["unit_healthDeficit"] = false,
									["alert_afk"] = true,
									["unit_name"] = false,
									["alert_raidicons_playertarget"] = false,
								},
								["iconBLcornerright"] = {
								},
								["iconBRcornerright"] = {
									["buff_EarthShield"] = true,
									["buff_Riptide"] = false,
								},
								["manabar"] = {
									["alert_death"] = false,
									["unit_mana"] = true,
								},
								["text"] = {
									["alert_offline"] = false,
									["alert_heals"] = false,
									["alert_feignDeath"] = false,
									["alert_afk"] = false,
									["alert_Sinestra"] = true,
									["unit_healthDeficit"] = false,
									["player_target"] = false,
									["buff_Riptide"] = false,
									["alert_death"] = false,
									["debuff_Ghost"] = false,
								},
								["iconTLcornerleft"] = {
									["buff_Riptide"] = true,
									["buff_EarthShield"] = false,
								},
								["iconBRcornerleft"] = {
									["buff_UnleashedFury"] = false,
								},
								["corner4"] = {
									["alert_heals"] = false,
									["buff_Riptide"] = false,
								},
								["iconright"] = {
								},
								["sidetexttop"] = {
								},
								["frameAlpha"] = {
									["player_target"] = false,
									["alert_afk"] = true,
								},
								["iconleft"] = {
									["alert_afk"] = false,
									["buff_Riptide"] = false,
								},
								["sidetextright"] = {
								},
								["corner3"] = {
									["debuff_curse"] = false,
									["debuff_poison"] = false,
									["debuff_disease"] = false,
									["alert_heals"] = false,
									["dispel_curse"] = false,
									["dispel_poison"] = false,
									["dispel_magic"] = false,
									["dispel_disease"] = false,
									["alert_earthshield"] = false,
									["player_target"] = false,
									["buff_EarthShield"] = false,
									["debuff_magic"] = false,
								},
							},
							["fontOutline"] = "OUTLINE",
							["iconSize"] = 12,
							["enableBarColor"] = true,
							["textlength"] = 5,
							["texture"] = "ChiselLight",
							["frameHeight"] = 38,
							["enableText2"] = true,
							["font"] = "Prototype",
							["fontShadow"] = false,
							["orientation"] = "HORIZONTAL",
							["enableMouseoverHighlight"] = false,
							["frameWidth"] = 62,
							["iconBorderSize"] = 0,
						},
						["aegerUIH"] = {
							["fontSize"] = 10,
							["statusmap"] = {
								["corner2"] = {
									["debuff_curse"] = false,
									["debuff_poison"] = false,
									["player_target"] = false,
									["debuff_disease"] = false,
									["alert_earthshield"] = false,
									["alert_heals"] = false,
									["alert_death"] = false,
									["debuff_magic"] = false,
								},
								["healingBar"] = {
									["debuff_curse"] = false,
									["alert_offline"] = false,
									["debuff_poison"] = false,
									["debuff_disease"] = false,
									["debuff_Ghost"] = false,
									["alert_heals"] = false,
									["player_target"] = false,
									["alert_RaidDebuff"] = false,
									["ready_check"] = false,
									["alert_afk"] = false,
									["unit_health"] = false,
									["buff_Riptide"] = false,
									["alert_raidicons_player"] = false,
									["alert_raidicons_playertarget"] = false,
									["alert_death"] = false,
									["debuff_magic"] = false,
								},
								["icontop"] = {
									["alert_afk"] = false,
								},
								["sidetextbottom"] = {
									["unit_name"] = false,
									["alert_Sinestra"] = true,
									["buff_Riptide"] = false,
									["alert_aggro"] = false,
									["player_target"] = false,
									["alert_riptide"] = false,
								},
								["barcolor"] = {
									["dispel_magic"] = true,
									["alert_RaidDebuff"] = false,
									["unit_name"] = false,
									["dispel_disease"] = true,
									["alert_raidicons_player"] = false,
									["debuff_curse"] = false,
									["debuff_poison"] = false,
									["debuff_disease"] = false,
									["alert_heals"] = false,
									["dispel_curse"] = true,
									["alert_raidicons_playertarget"] = false,
									["debuff_Ghost"] = false,
									["buff_Riptide"] = false,
									["dispel_poison"] = true,
									["player_target"] = false,
									["alert_afk"] = false,
									["debuff_magic"] = false,
								},
								["border"] = {
									["alert_lowMana"] = false,
									["buff_Renew"] = false,
									["dispel_poison"] = false,
									["alert_riptide"] = false,
									["buff_Riptide"] = false,
									["alert_earthshield"] = false,
									["player_target"] = false,
									["buff_PowerWord:Shield"] = false,
									["alert_aggro"] = false,
									["debuff_curse"] = true,
									["debuff_poison"] = false,
									["alert_raidicons_player"] = false,
									["debuff_disease"] = true,
									["alert_RaidDebuff"] = false,
									["alert_heals"] = true,
									["alert_lowHealth"] = false,
									["alert_offline"] = false,
									["ready_check"] = false,
									["alert_afk"] = false,
									["alert_Sinestra"] = false,
									["debuff_magic"] = true,
									["unit_health"] = false,
									["alert_earthliving"] = false,
									["alert_death"] = false,
									["alert_vehicleui"] = false,
								},
								["iconBLcornerleft"] = {
									["buff_UnleashedFury"] = true,
									["buff_EarthShield"] = false,
								},
								["iconbottom"] = {
									["player_target"] = false,
								},
								["corner1"] = {
									["unit_buff_icons"] = false,
									["alert_earthshield"] = false,
									["alert_earthliving"] = false,
									["alert_heals"] = false,
									["alert_riptide"] = false,
								},
								["sidetextleft"] = {
								},
								["iconTRcornerright"] = {
								},
								["icon"] = {
									["debuff_curse"] = false,
									["debuff_poison"] = false,
									["debuff_disease"] = false,
									["alert_RaidDebuff"] = true,
									["player_target"] = false,
									["alert_Sinestra"] = true,
									["alert_raidicons_player"] = true,
									["alert_raidicons_playertarget"] = false,
									["debuff_magic"] = false,
								},
								["iconTRcornerleft"] = {
									["buff_EarthShield"] = false,
								},
								["text2"] = {
									["debuff_Ghost"] = false,
									["alert_heals"] = false,
									["alert_lowHealth"] = false,
									["alert_RaidDebuff"] = false,
									["unit_health"] = false,
									["alert_afk"] = true,
									["alert_Sinestra"] = false,
									["unit_healthDeficit"] = false,
									["alert_feignDeath"] = false,
									["unit_name"] = false,
									["alert_raidicons_playertarget"] = false,
									["player_target"] = false,
								},
								["iconleft"] = {
									["buff_Riptide"] = false,
									["alert_afk"] = false,
								},
								["iconBRcornerright"] = {
									["buff_Riptide"] = false,
									["buff_EarthShield"] = true,
								},
								["manabar"] = {
									["alert_death"] = false,
									["unit_mana"] = true,
								},
								["text"] = {
									["debuff_Ghost"] = false,
									["alert_heals"] = false,
									["alert_offline"] = false,
									["alert_afk"] = false,
									["alert_Sinestra"] = true,
									["buff_Riptide"] = false,
									["unit_healthDeficit"] = false,
									["player_target"] = false,
									["alert_death"] = false,
									["alert_feignDeath"] = false,
								},
								["corner3"] = {
									["debuff_curse"] = false,
									["debuff_poison"] = false,
									["debuff_disease"] = false,
									["alert_heals"] = false,
									["buff_EarthShield"] = false,
									["player_target"] = false,
									["dispel_curse"] = false,
									["dispel_disease"] = false,
									["alert_earthshield"] = false,
									["dispel_magic"] = false,
									["dispel_poison"] = false,
									["debuff_magic"] = false,
								},
								["sidetexttop"] = {
								},
								["corner4"] = {
									["player_target"] = false,
									["alert_heals"] = false,
									["buff_Riptide"] = false,
								},
								["iconright"] = {
								},
								["iconBRcornerleft"] = {
									["buff_UnleashedFury"] = false,
								},
								["frameAlpha"] = {
									["alert_afk"] = true,
									["player_target"] = false,
								},
								["sidetextright"] = {
								},
								["iconBLcornerright"] = {
								},
								["iconTLcornerleft"] = {
									["buff_EarthShield"] = false,
									["buff_SacredShield"] = true,
									["buff_Riptide"] = true,
								},
								["iconTLcornerright"] = {
								},
							},
							["enableMouseoverHighlight"] = false,
							["frameWidth"] = 65,
							["enableText2"] = true,
							["fontShadow"] = false,
							["orientation"] = "HORIZONTAL",
							["fontOutline"] = "OUTLINE",
							["font"] = "Prototype",
							["frameHeight"] = 38,
							["iconBorderSize"] = 0,
							["iconSize"] = 12,
							["enableBarColor"] = true,
							["textlength"] = 6,
							["texture"] = "ChiselLight",
						},
					},
				},
				["GridStatusVehicle"] = {
					["profiles"] = {
						[""] = {
							["debug"] = false,
							["alert_vehicleui"] = {
								["enable"] = false,
								["color"] = {
									["a"] = 0.7,
									["r"] = 0.8,
									["g"] = 0.8,
									["b"] = 0.8,
								},
								["text"] = "Driving",
								["range"] = false,
								["priority"] = 50,
							},
						},
					},
				},
				["GridRoster"] = {
					["profiles"] = {
						[""] = {
							["party_state"] = "solo",
						},
					},
				},
				["GridStatusResurrect"] = {
				},
				["LibDualSpec-1.0"] = {
				},
				["GridStatusMana"] = {
					["profiles"] = {
						[""] = {
							["alert_lowMana"] = {
								["threshold"] = 10,
								["color"] = {
									["a"] = 1,
									["r"] = 0.5,
									["g"] = 0.5,
									["b"] = 1,
								},
								["enable"] = true,
								["text"] = "Low Mana",
								["range"] = false,
								["priority"] = 40,
							},
							["debug"] = false,
						},
					},
				},
				["GridStatusRaidIcons"] = {
					["profiles"] = {
						[""] = {
							["alert_raidicons_playertarget"] = {
								["enable"] = true,
								["opacity"] = 1,
								["color"] = {
									["a"] = 1,
									["r"] = 1,
									["g"] = 1,
									["b"] = 1,
								},
								["priority"] = 50,
								["range"] = false,
								["text"] = "Raid Target Icon: Player Target",
							},
							["debug"] = false,
							["raidicon_player"] = {
								true, -- [1]
								true, -- [2]
								true, -- [3]
								true, -- [4]
								true, -- [5]
								true, -- [6]
								true, -- [7]
								true, -- [8]
							},
							["raidicon_playertarget"] = {
								true, -- [1]
								true, -- [2]
								true, -- [3]
								true, -- [4]
								true, -- [5]
								true, -- [6]
								true, -- [7]
								true, -- [8]
							},
							["alert_raidicons_player"] = {
								["enable"] = true,
								["opacity"] = 1,
								["color"] = {
									["a"] = 1,
									["r"] = 1,
									["g"] = 1,
									["b"] = 1,
								},
								["priority"] = 50,
								["range"] = false,
								["text"] = "Raid Target Icon: Player",
							},
						},
						["aegerUI"] = {
							["alert_raidicons_player"] = {
								["priority"] = 99,
							},
							["alert_raidicons_playertarget"] = {
								["priority"] = 99,
							},
						},
						["aegerUIH"] = {
							["alert_raidicons_player"] = {
								["priority"] = 99,
							},
							["alert_raidicons_playertarget"] = {
								["priority"] = 99,
							},
						},
					},
				},
				["GridStatusAbsorbs"] = {
				},
				["GridStatusTarget"] = {
					["profiles"] = {
						[""] = {
							["debug"] = false,
							["player_target"] = {
								["enable"] = true,
								["color"] = {
									["a"] = 0.8,
									["r"] = 0.8,
									["g"] = 0.8,
									["b"] = 0.8,
								},
								["text"] = "Target",
								["range"] = false,
								["priority"] = 99,
							},
						},
					},
				},
				["GridMBStatus"] = {
					["profiles"] = {
						["aegerUIB"] = {
							["hiderage"] = true,
							["unit_mana"] = {
								["range"] = true,
							},
						},
						["aegerUIH"] = {
							["hiderage"] = true,
							["unit_mana"] = {
								["range"] = true,
							},
						},
						["aegerUI"] = {
							["hiderage"] = true,
							["unit_mana"] = {
								["range"] = true,
							},
						},
					},
				},
				["GridStatusAuras"] = {
					["profiles"] = {
						[""] = {
							["buff_Renew"] = {
								["color"] = {
									["a"] = 1,
									["r"] = 0,
									["g"] = 0.7,
									["b"] = 0.3,
								},
								["priority"] = 90,
								["enable"] = true,
								["text"] = "Renew",
								["range"] = false,
								["desc"] = "Buff: Renew",
							},
							["buff_Riptide"] = {
								["color"] = {
									["a"] = 1,
									["r"] = 0.4,
									["g"] = 0,
									["b"] = 0.8,
								},
								["priority"] = 90,
								["enable"] = true,
								["text"] = "Riptide",
								["range"] = false,
								["desc"] = "Buff: Riptide",
							},
							["abolish"] = true,
							["debuff_curse"] = {
								["order"] = 25,
								["enable"] = true,
								["text"] = "Curse",
								["color"] = {
									["a"] = 1,
									["r"] = 0.6,
									["g"] = 0,
									["b"] = 1,
								},
								["priority"] = 90,
								["range"] = false,
								["desc"] = "Debuff type: Curse",
							},
							["debuff_Ghost"] = {
								["color"] = {
									["a"] = 1,
									["r"] = 0.5,
									["g"] = 0.5,
									["b"] = 0.5,
								},
								["priority"] = 90,
								["enable"] = true,
								["text"] = "Ghost",
								["range"] = false,
								["desc"] = "Debuff: Ghost",
							},
							["debug"] = false,
							["debuff_disease"] = {
								["order"] = 25,
								["enable"] = true,
								["text"] = "Disease",
								["color"] = {
									["a"] = 1,
									["r"] = 0.6,
									["g"] = 0.4,
									["b"] = 0,
								},
								["priority"] = 90,
								["range"] = false,
								["desc"] = "Debuff type: Disease",
							},
							["buff_Rejuvenation"] = {
								["color"] = {
									["a"] = 1,
									["r"] = 0,
									["g"] = 0.3,
									["b"] = 0.7,
								},
								["priority"] = 90,
								["enable"] = true,
								["text"] = "Rejuvenation",
								["range"] = false,
								["desc"] = "Buff: Rejuvenation",
							},
							["buff_EarthShield"] = {
								["color"] = {
									["a"] = 1,
									["r"] = 0.5,
									["g"] = 0.7,
									["b"] = 0.3,
								},
								["priority"] = 90,
								["enable"] = true,
								["text"] = "Earth Shield",
								["range"] = false,
								["desc"] = "Buff: Earth Shield",
							},
							["debuff_Forbearance"] = {
								["color"] = {
									["a"] = 1,
									["r"] = 0.5,
									["g"] = 0.5,
									["b"] = 0.5,
								},
								["priority"] = 90,
								["enable"] = true,
								["text"] = "Forbearance",
								["range"] = false,
								["desc"] = "Debuff: Forbearance",
							},
							["debuff_poison"] = {
								["order"] = 25,
								["enable"] = true,
								["text"] = "Poison",
								["color"] = {
									["a"] = 1,
									["r"] = 0,
									["g"] = 0.6,
									["b"] = 0,
								},
								["priority"] = 90,
								["range"] = false,
								["desc"] = "Debuff type: Poison",
							},
							["buff_Regrowth"] = {
								["color"] = {
									["a"] = 1,
									["r"] = 1,
									["g"] = 0.7,
									["b"] = 0.1,
								},
								["priority"] = 90,
								["enable"] = true,
								["text"] = "Regrowth",
								["range"] = false,
								["desc"] = "Buff: Regrowth",
							},
							["debuff_MortalStrike"] = {
								["color"] = {
									["a"] = 1,
									["r"] = 0.8,
									["g"] = 0.2,
									["b"] = 0.2,
								},
								["priority"] = 90,
								["enable"] = true,
								["text"] = "Mortal Strike",
								["range"] = false,
								["desc"] = "Debuff: Mortal Strike",
							},
							["debuff_WeakenedSoul"] = {
								["color"] = {
									["a"] = 1,
									["r"] = 0.5,
									["g"] = 0.5,
									["b"] = 0.5,
								},
								["priority"] = 90,
								["enable"] = true,
								["text"] = "Weakened Soul",
								["range"] = false,
								["desc"] = "Debuff: Weakened Soul",
							},
							["buff_PowerWord:Shield"] = {
								["color"] = {
									["a"] = 1,
									["r"] = 0.8,
									["g"] = 0.8,
									["b"] = 0,
								},
								["priority"] = 91,
								["enable"] = true,
								["text"] = "Power Word: Shield",
								["range"] = false,
								["desc"] = "Buff: Power Word: Shield",
							},
							["buff_Lifebloom"] = {
								["color"] = {
									["a"] = 1,
									["r"] = 0.3,
									["g"] = 0.7,
									["b"] = 0,
								},
								["priority"] = 90,
								["enable"] = true,
								["text"] = "Lifebloom",
								["range"] = false,
								["desc"] = "Buff: Lifebloom",
							},
							["debuff_magic"] = {
								["order"] = 25,
								["enable"] = true,
								["text"] = "Magic",
								["color"] = {
									["a"] = 1,
									["r"] = 0.2,
									["g"] = 0.6,
									["b"] = 1,
								},
								["priority"] = 90,
								["range"] = false,
								["desc"] = "Debuff type: Magic",
							},
						},
						["aegerUIH"] = {
							["buff_LifeCocoon"] = {
								["icon"] = "Interface\\Icons\\ability_monk_chicocoon",
							},
							["buff_SacredShield"] = {
								["buff"] = "Sacred Shield",
								["icon"] = "Interface\\Icons\\Ability_Paladin_BlessedMending",
								["text"] = "SS",
								["mine"] = true,
								["desc"] = "Buff: Sacred Shield",
							},
							["buff_Lifebloom"] = {
								["mine"] = true,
								["icon"] = "Interface\\Icons\\INV_Misc_Herb_Felblossom",
							},
							["buff_Rejuvenation"] = {
								["mine"] = true,
								["icon"] = "Interface\\Icons\\Spell_Nature_Rejuvenation",
							},
							["buff_Riptide"] = {
								["icon"] = "Interface\\Icons\\spell_nature_riptide",
							},
							["buff_Grace"] = {
								["icon"] = "Interface\\Icons\\Spell_Holy_HopeAndGrace",
							},
							["buff_EarthShield"] = {
								["mine"] = false,
								["icon"] = "Interface\\Icons\\Spell_Nature_SkinofEarth",
							},
							["buff_BeaconofLight"] = {
								["icon"] = "Interface\\Icons\\Ability_Paladin_BeaconofLight",
							},
							["dispel_poison"] = {
								["priority"] = 80,
							},
							["buff_Regrowth"] = {
								["color"] = {
									["a"] = 0,
									["g"] = 0.6980392156862745,
									["b"] = 0.1019607843137255,
								},
								["mine"] = true,
								["icon"] = "Interface\\Icons\\Spell_Nature_ResistNature",
							},
							["dispel_disease"] = {
								["priority"] = 80,
							},
							["buff_PowerWord:Shield"] = {
								["mine"] = false,
								["icon"] = "Interface\\Icons\\Spell_Holy_PowerWordShield",
							},
							["buff_UnleashedFury"] = {
								["buff"] = "Unleashed Fury",
								["icon"] = "INTERFACE\\ICONS\\spell_shaman_unleashweapon_wind",
								["text"] = "UF",
								["mine"] = true,
								["desc"] = "Buff: Unleashed Fury",
							},
							["advancedOptions"] = true,
							["buff_Renew"] = {
								["mine"] = true,
								["icon"] = "Interface\\Icons\\Spell_Holy_Renew",
							},
						},
						["aegerUI"] = {
							["buff_Renew"] = {
								["mine"] = true,
								["icon"] = "Interface\\Icons\\Spell_Holy_Renew",
							},
							["dispel_poison"] = {
								["priority"] = 80,
							},
							["buff_UnleashedFury"] = {
								["mine"] = true,
								["icon"] = "INTERFACE\\ICONS\\spell_shaman_unleashweapon_wind",
								["text"] = "UF",
								["desc"] = "Buff: Unleashed Fury",
								["buff"] = "Unleashed Fury",
							},
							["dispel_disease"] = {
								["priority"] = 80,
							},
							["buff_PowerWord:Shield"] = {
								["mine"] = false,
								["icon"] = "Interface\\Icons\\Spell_Holy_PowerWordShield",
							},
							["buff_LifeCocoon"] = {
								["icon"] = "Interface\\Icons\\ability_monk_chicocoon",
							},
							["buff_Rejuvenation"] = {
								["mine"] = true,
								["icon"] = "Interface\\Icons\\Spell_Nature_Rejuvenation",
							},
							["buff_Grace"] = {
								["icon"] = "Interface\\Icons\\Spell_Holy_HopeAndGrace",
							},
							["buff_EarthShield"] = {
								["mine"] = true,
								["icon"] = "Interface\\Icons\\Spell_Nature_SkinofEarth",
							},
							["buff_Regrowth"] = {
								["mine"] = true,
								["icon"] = "Interface\\Icons\\Spell_Nature_ResistNature",
								["color"] = {
									["a"] = 0,
									["g"] = 0.6980392156862745,
									["b"] = 0.1019607843137255,
								},
							},
							["advancedOptions"] = true,
							["buff_Riptide"] = {
								["icon"] = "Interface\\Icons\\spell_nature_riptide",
							},
							["buff_Lifebloom"] = {
								["mine"] = true,
								["icon"] = "Interface\\Icons\\INV_Misc_Herb_Felblossom",
							},
							["buff_BeaconofLight"] = {
								["icon"] = "Interface\\Icons\\Ability_Paladin_BeaconofLight",
							},
						},
						["aegerUIB"] = {
							["buff_Renew"] = {
								["mine"] = true,
								["icon"] = "Interface\\Icons\\Spell_Holy_Renew",
							},
							["dispel_poison"] = {
								["priority"] = 80,
							},
							["buff_UnleashedFury"] = {
								["mine"] = true,
								["icon"] = "INTERFACE\\ICONS\\spell_shaman_unleashweapon_wind",
								["text"] = "UF",
								["desc"] = "Buff: Unleashed Fury",
								["buff"] = "Unleashed Fury",
							},
							["buff_Riptide"] = {
								["icon"] = "Interface\\Icons\\spell_nature_riptide",
							},
							["buff_PowerWord:Shield"] = {
								["mine"] = false,
								["icon"] = "Interface\\Icons\\Spell_Holy_PowerWordShield",
							},
							["buff_LifeCocoon"] = {
								["icon"] = "Interface\\Icons\\ability_monk_chicocoon",
							},
							["buff_Rejuvenation"] = {
								["mine"] = true,
								["icon"] = "Interface\\Icons\\Spell_Nature_Rejuvenation",
							},
							["buff_Grace"] = {
								["icon"] = "Interface\\Icons\\Spell_Holy_HopeAndGrace",
							},
							["buff_EarthShield"] = {
								["mine"] = true,
								["icon"] = "Interface\\Icons\\Spell_Nature_SkinofEarth",
							},
							["buff_Regrowth"] = {
								["mine"] = true,
								["icon"] = "Interface\\Icons\\Spell_Nature_ResistNature",
								["color"] = {
									["a"] = 0,
									["g"] = 0.6980392156862745,
									["b"] = 0.1019607843137255,
								},
							},
							["advancedOptions"] = true,
							["buff_BeaconofLight"] = {
								["icon"] = "Interface\\Icons\\Ability_Paladin_BeaconofLight",
							},
							["buff_Lifebloom"] = {
								["mine"] = true,
								["icon"] = "Interface\\Icons\\INV_Misc_Herb_Felblossom",
							},
							["dispel_disease"] = {
								["priority"] = 80,
							},
						},
					},
				},
				["GridStatusRaidDebuff"] = {
					["profiles"] = {
						[""] = {
							["debug"] = false,
							["ignUndis"] = false,
							["debuff_options"] = {
							},
							["alert_RaidDebuff"] = {
								["color"] = {
									["a"] = 1,
									["r"] = 0,
									["g"] = 0,
									["b"] = 0,
								},
								["priority"] = 98,
								["enable"] = true,
								["text"] = "Raid Debuff",
								["range"] = false,
								["desc"] = "Raid Debuff",
							},
							["detected_debuff"] = {
							},
							["detect"] = false,
							["isFirst"] = true,
							["ignDis"] = false,
							["frequency"] = 0.1,
						},
						["Default"] = {
							["isFirst"] = false,
						},
						["aegerUIB"] = {
							["detected_debuff"] = {
								["Mogu'shan Vaults"] = {
									["Ground Slam"] = 121087,
									["Flaming Spear"] = 116942,
									["Energizing Smash"] = 116550,
									["Jasper Chains"] = 130395,
									["Jasper Petrification"] = 116038,
									["Pinned Down"] = 118135,
									["Sanctuary of the Ox"] = 126119,
									["Rend Flesh"] = 125206,
									["Spirit Beast Blessing"] = 127830,
									["Cackling Howl"] = 128432,
									["Stomp"] = 116969,
									["Deadly Poison"] = 34655,
									["Crossed Over"] = 116260,
									["Pillaged"] = 118048,
									["Curse of Vitality"] = 121245,
									["Smoke Bomb"] = 116596,
									["Soothing Mist"] = 125950,
									["Amethyst Pool"] = 130774,
									["Dancing Steel"] = 120032,
									["Lightning Lash"] = 131788,
									["Stormlash Totem"] = 120676,
									["Flesh to Stone"] = 118552,
									["Focused Assault"] = 116990,
									["Power Word: Barrier"] = 81782,
									["Voodoo Doll"] = 122151,
									["Colossus"] = 116631,
									["Furious Howl"] = 24604,
									["Light of the Ancient Kings"] = 86678,
									["Roar of Courage"] = 93435,
									["Wildfire Spark"] = 116784,
									["Amethyst Petrification"] = 116060,
									["Lightning Charge"] = 116374,
									["Stone Bulwark"] = 114893,
									["Cobalt Petrification"] = 115861,
									["Petrified"] = 118562,
									["Arcane Shock"] = 131790,
									["Impale"] = 121247,
									["Focused Defense"] = 116778,
									["Troll Rush"] = 116606,
									["Arcane Resonance"] = 116417,
									["Sunder Armor"] = 76622,
									["Pyroblast"] = 120670,
									["Cowardice"] = 117829,
									["Impeding Thrust"] = 117485,
									["Epicenter"] = 116040,
									["Closed Circuit"] = 117949,
									["Sundering Bite"] = 116970,
									["Cobalt Mine Blast"] = 116281,
									["Anti-Magic Zone"] = 50461,
									["Maddening Shout"] = 117708,
									["Jade Spirit"] = 104993,
									["Fixate"] = 118303,
									["Devastating Arc"] = 116835,
									["Healing Stream Totem"] = 119523,
									["Soul Sever"] = 116278,
									["Spirit Mend"] = 90361,
								},
								["Mogu'shan Palace"] = {
									["Ground Slam"] = 119684,
									["Shank"] = 118963,
									["Crunch Armor"] = 121185,
									["Conflagrate"] = 120160,
									["Power Word: Barrier"] = 81782,
									["Stormlash Totem"] = 120676,
									["Traumatic Blow"] = 123655,
									["Demoralizing Roar"] = 123647,
									["Ravage"] = 119946,
									["Rake"] = 120560,
									["Light of the Ancient Kings"] = 86678,
									["Stone Bulwark"] = 114893,
									["Jade Spirit"] = 104993,
									["Lightning Storm"] = 120562,
									["Intimidation"] = 123646,
									["Dancing Steel"] = 120032,
									["Hex of Lethargy"] = 118903,
									["Roar of Courage"] = 93435,
									["Shock"] = 123648,
									["Ring of Fire"] = 119573,
									["Healing Stream Totem"] = 119523,
									["Fearless Roar"] = 126373,
									["Carnivorous Bite"] = 122962,
								},
								["Icecrown Citadel"] = {
									["Giant Insect Swarm"] = 70475,
									["Vampiric Curse"] = 70423,
									["Pact of the Darkfallen"] = 71340,
									["Infected Wound"] = 71157,
									["Rend Flesh"] = 70435,
									["Mortal Wound"] = 71127,
									["Ooze Flood"] = 69789,
									["Mutated Transformation"] = 70308,
									["Tear Gas"] = 71615,
									["Blood Mirror"] = 70451,
									["Blast Wave"] = 70407,
									["Gaseous Bloat"] = 70672,
									["Choking Gas"] = 71278,
									["Fireball"] = 70409,
									["Devour Humanoid"] = 71163,
									["Bubbling Pus"] = 71089,
									["Incite Terror"] = 73070,
									["Essence of the Blood Queen"] = 70867,
									["Vile Gas"] = 69240,
									["Malleable Goo"] = 70853,
									["Geist Alarm"] = 70740,
									["Deathbringer's Rise Teleport"] = 70858,
									["Mark of the Fallen Champion"] = 72293,
									["Gas Spore"] = 69279,
									["Glittering Sparks"] = 71807,
									["Hellscream's Warsong"] = 73822,
									["Boiling Blood"] = 72385,
									["Mutated Infection"] = 69674,
									["Blood Sap"] = 70432,
									["Mutated Plague"] = 72451,
									["Shadow Resonance"] = 71822,
									["Amplify Magic"] = 70408,
									["Plague Cloud"] = 71150,
									["Volatile Ooze Adhesive"] = 70447,
									["Combobulating Spray"] = 71103,
									["Gastric Bloat"] = 72219,
									["Rune of Blood"] = 72410,
									["Swarming Shadows"] = 71265,
									["Chains of Shadow"] = 70645,
									["Delirious Slash"] = 71623,
									["Uncontrollable Frenzy"] = 70923,
								},
								["Siege of Niuzao Temple"] = {
									["Serrated Blade"] = 119840,
									["Furious Howl"] = 24604,
									["Anti-Magic Zone"] = 50461,
									["Tempest"] = 119875,
									["Residue"] = 120938,
									["Wind's Grace"] = 131971,
									["Caustic Pitch"] = 121443,
									["Spirit Beast Blessing"] = 127830,
									["Sap Residue"] = 119941,
									["Sik'thik Strike"] = 119354,
									["Terrifying Roar"] = 90309,
									["Fearless Roar"] = 126373,
									["Embrace of the Shale Spider"] = 90363,
									["Burning Pitch"] = 122259,
									["Sap Puddle"] = 120593,
									["Quick-Dry Resin"] = 121447,
									["Resin Weaving"] = 121114,
									["Detonate"] = 119703,
									["Malleable Resin"] = 121421,
									["Crystallized Pitch"] = 122246,
									["Stone Bulwark"] = 114893,
								},
								["Scarlet Monastery"] = {
									["Deep Sleep"] = 9256,
									["Stormlash Totem"] = 120676,
									["Jade Spirit"] = 104993,
									["Anti-Magic Zone"] = 50461,
									["Stone Bulwark"] = 114893,
									["Dancing Steel"] = 120032,
									["Roar of Sacrifice"] = 53480,
									["Roar of Courage"] = 93435,
								},
								["The Stonecore"] = {
									["Force Grip"] = 79351,
									["Shadowfury"] = 92644,
									["Spinning Slash"] = 92623,
									["Frostbolt Volley"] = 92642,
									["Crystal Barrage"] = 92648,
									["Dust Storm"] = 92624,
									["Fracture"] = 81711,
									["Ignite"] = 92636,
									["Curse of Blood"] = 92663,
									["Dampening Wave"] = 92650,
									["Crystal Shards"] = 92122,
									["Paralyze"] = 92426,
									["Beat Down"] = 80221,
									["Elementium Spike Shield"] = 92660,
									["Rock Bore"] = 92630,
									["Fear"] = 81442,
								},
								["Dustwallow Marsh"] = {
									["War Engine's Sights"] = 114570,
									["Stormlash Totem"] = 120676,
									["Jade Spirit"] = 104993,
									["Big Bessa's Cannon"] = 114568,
									["Tempus Repit"] = 137590,
									["Polymorph"] = 13323,
								},
								["Naxxramas"] = {
									["Detonate Mana"] = 27819,
									["Chill"] = 28547,
									["Frostbolt"] = 28478,
									["Frost Blast"] = 27808,
									["Icebolt"] = 28522,
									["Frost Aura"] = 28531,
									["Life Drain"] = 28542,
									["Mortal Wound"] = 28467,
								},
								["The Secrets of Ragefire"] = {
									["Pool of Embers"] = 142413,
									["Glacial Freeze"] = 142322,
									["Demolish Armor"] = 142764,
									["Ignite Blood"] = 142646,
								},
								["End Time"] = {
									["Flesh Rip"] = 102066,
									["Ferocious Inspiration"] = 75447,
									["Frostbolt Volley"] = 101810,
									["Dark Moonlight"] = 102414,
									["Temporal Vortex"] = 102600,
									["Cadaver Toss"] = 109952,
									["Pyroblast"] = 101809,
									["Tail Sweep"] = 108589,
									["Piercing Gaze of Elune"] = 102183,
									["Temporal Blast"] = 102381,
									["Frost Blades"] = 101337,
									["Unholy Shot"] = 101411,
									["Shadow Word: Death"] = 32409,
									["Moonlance"] = 102149,
									["Thunderclap"] = 101820,
									["Shriek of the Highborne"] = 101412,
									["Distortion Bomb"] = 101984,
									["Spirit Bond"] = 24529,
								},
								["Black Temple"] = {
									["Charge"] = 25821,
									["Blizzard"] = 41482,
									["Ignored"] = 39544,
									["Polymorph"] = 41334,
									["Hammer of Justice"] = 41468,
									["Vile Slime"] = 40099,
									["Sweeping Wing Clip"] = 39584,
									["Blind"] = 34654,
									["Volley"] = 41091,
									["Love Tap"] = 41338,
									["Curse of Vitality"] = 41351,
									["Aura of Suffering"] = 41292,
									["Rain of Chaos"] = 39671,
									["Impaling Spine"] = 39837,
									["Wound Poison"] = 39665,
									["Spirit Shock"] = 41426,
									["Skeleton Shot"] = 41171,
									["Throw Shield"] = 41213,
									["Behemoth Charge"] = 41272,
									["Shadow of Death"] = 40251,
									["Confusion"] = 41397,
									["Consecration"] = 41541,
									["Cloud of Disease"] = 41193,
									["Kidney Shot"] = 41389,
									["Insignificance"] = 40618,
									["Divine Wrath"] = 41472,
									["Concussive Throw"] = 41182,
									["Aura of Anger"] = 41337,
									["Soul Drain"] = 41303,
									["Spite"] = 41376,
									["Wing Clip"] = 32908,
									["Rain of Fire"] = 42023,
									["Sleep"] = 41396,
									["Deadly Poison"] = 41192,
									["Death Coil"] = 41070,
									["Atrophy"] = 40327,
									["Flame Shock"] = 41115,
									["Agonizing Flames"] = 40932,
									["Mortal Wound"] = 25646,
									["Bewildering Strike"] = 40491,
									["Eject"] = 40597,
									["Arcing Smash"] = 40599,
									["Ice Trap"] = 41086,
									["Shield Bash"] = 41197,
									["Sonic Strike"] = 41168,
									["Fel-Acid Breath"] = 40508,
									["Crushing Shadows"] = 40243,
									["Fel Stomp"] = 41274,
									["Shadow Resonance"] = 41047,
									["Concussion Blow"] = 32588,
									["Hurricane"] = 40090,
									["Aura of Desire"] = 41350,
									["Silencing Shriek"] = 40823,
									["Sunder Armor"] = 13444,
									["Fatal Attraction"] = 41001,
									["Shadow Prison"] = 40647,
									["Acidic Wound"] = 40481,
									["Debilitating Poison"] = 41978,
									["Judgement of Blood"] = 41461,
									["Flamestrike"] = 41481,
									["Parasitic Shadowfiend"] = 41917,
									["Poisonous Throw"] = 41346,
									["Aura of Dread"] = 41142,
									["Curse of the Bleakheart"] = 41170,
									["Wyvern Sting"] = 41186,
									["Incinerate"] = 40239,
									["Bloodboil"] = 42005,
									["Gouge"] = 24698,
									["Fel Rage"] = 40604,
									["Shadow Word: Pain"] = 41355,
									["Mind-numbing Poison"] = 41190,
									["Lightning Cloud"] = 39580,
									["Deaden"] = 41410,
									["Fixate"] = 41294,
									["Vile Beam"] = 40860,
									["Dementia"] = 41404,
									["Infatuation"] = 41345,
									["Carnivorous Bite"] = 41092,
								},
								["Blackrock Caverns"] = {
									["Head Crack"] = 77568,
									["Red-Hot Poker"] = 76478,
									["Stone Blow"] = 76185,
									["Frost Buffet"] = 58025,
									["Twilight Corruption"] = 93613,
									["Immolate"] = 93663,
									["Infected Wound"] = 76512,
									["Mortal Strike"] = 13737,
									["Twilight Evolution"] = 75732,
									["Aura of Acceleration"] = 87376,
									["Inflict Pain"] = 76497,
									["Little Big Flame Breath"] = 93667,
									["Terrifying Roar"] = 93586,
									["Shadow Prison"] = 93674,
									["Gravity Strike"] = 93656,
									["Blast Wave"] = 76473,
									["Frost Nova"] = 76509,
									["Bludgeoning Strike"] = 93637,
									["Frostbolt"] = 76508,
									["Quake"] = 75272,
									["Heat Exhaustion"] = 87381,
									["Frostbomb"] = 93651,
									["Sunder Armor"] = 76622,
									["Lava Drool"] = 93666,
									["Grievous Whirl"] = 93658,
									["Force Blast"] = 93648,
									["Gouge"] = 76582,
									["Crepuscular Veil"] = 76189,
									["Shackles"] = 76484,
									["Flame Buffet"] = 87379,
									["Shadow Word: Death"] = 32409,
									["Magma Spit"] = 76031,
									["Thunderclap"] = 76186,
									["Blood of the Evolved"] = 93635,
									["Bore"] = 93638,
									["Wounding Strike"] = 75571,
									["Spirit Walk"] = 58875,
									["Rend"] = 93670,
									["Dark Command"] = 93462,
								},
								["Zul'Aman"] = {
									["Sleep"] = 20989,
									["Charge"] = 43519,
									["Creeping Paralysis"] = 43095,
									["Flame Breath"] = 97497,
									["Feral Swipe"] = 97479,
									["Infected Bite"] = 97483,
									["Piercing Howl"] = 43530,
									["Flame Shock"] = 97490,
									["Mortal Strike"] = 43529,
									["Lynx Rush"] = 97673,
									["Rend Flesh"] = 97810,
									["Shadow Word: Pain"] = 97642,
									["Siphon Soul"] = 43501,
									["Sanctify"] = 97974,
									["Frost Shock"] = 97469,
									["Claw Rage"] = 97672,
									["Call of the Beast"] = 43359,
									["Sigil of Flame"] = 98014,
									["Sigil of Death"] = 98019,
									["Sigil of Frost"] = 98016,
									["Pounce"] = 43356,
									["Bane of Doom"] = 43439,
									["Domesticate"] = 43361,
									["Death and Decay"] = 61603,
									["Psychic Scream"] = 43432,
									["Arcane Torrent"] = 33390,
									["Grievous Throw"] = 97639,
									["Deep Wounds"] = 12721,
									["Frost Nova"] = 43426,
									["Minor Quake"] = 97988,
									["Freezing Trap"] = 43448,
									["Shred Armor"] = 43243,
									["Static Disruption"] = 97298,
									["Blessing of the Moonwell"] = 100403,
									["Shadow Word: Death"] = 32409,
									["Demonic Pact"] = 53646,
									["Electrified Net"] = 97480,
									["Rend"] = 97489,
									["Amani Power"] = 98279,
									["Hamstring"] = 9080,
									["Gut Rip"] = 43358,
									["Psychic Wail"] = 43590,
									["Flame Buffet"] = 43299,
									["Frostbolt"] = 43428,
									["Consecration"] = 43429,
									["Flame Whirl"] = 44090,
									["Crunch Armor"] = 42747,
									["Tranquilizing Poison"] = 97481,
									["Sigil Shatter"] = 98033,
									["Electrical Storm"] = 43648,
									["Paralyzed"] = 97634,
									["Surge"] = 42402,
									["Deafening Roar"] = 42398,
									["Energy Storm"] = 43983,
									["Moonfire"] = 43545,
									["Lacerating Slash"] = 97811,
									["Mind-numbing Poison"] = 25810,
									["Unstable Affliction"] = 43522,
									["Knockdown"] = 35011,
									["Fixate"] = 97486,
									["Heroic Leap"] = 97524,
									["Sunder Armor"] = 11971,
									["Blood Pact"] = 6307,
									["Rain of Fire"] = 43440,
								},
								["Temple of the Jade Serpent"] = {
									["Purified Water"] = 118714,
									["Shattered Resolve"] = 110125,
									["Roar of Courage"] = 93435,
									["Sha Residue"] = 106653,
									["Blessing of the Waterspeaker"] = 121483,
									["Stormlash Totem"] = 120676,
									["Serrated Slash"] = 128051,
									["Songbird Serenade"] = 114826,
									["Cackling Howl"] = 128432,
									["Serpent Strike"] = 106823,
									["Jade Serpent Strike"] = 106841,
									["Stone Bulwark"] = 114893,
									["Lorewalkers' Alacrity"] = 122714,
									["Shadows of Doubt"] = 110099,
									["Touch of Nothingness"] = 106113,
									["Healing Stream Totem"] = 119523,
									["Energizing Spores"] = 135678,
									["Soothing Mist"] = 125950,
								},
								["The Blood Furnace"] = {
									["Kidney Shot"] = 30832,
									["Silence"] = 6726,
									["Poison"] = 34969,
									["Curse of Tongues"] = 13338,
									["Intercept"] = 58747,
								},
								["Hellfire Ramparts"] = {
									["Kidney Shot"] = 30621,
									["Disarm"] = 6713,
									["Drain Life"] = 35748,
									["Shadow Word: Death"] = 32409,
									["Mortal Strike"] = 16856,
									["Fear"] = 30615,
									["Shadow Word: Pain"] = 14032,
									["Mortal Wound"] = 30641,
									["Demoralizing Shout"] = 16244,
									["Rain of Fire"] = 31598,
									["Carnivorous Bite"] = 30639,
								},
								["Throne of Thunder"] = {
									["Storm Energy"] = 139322,
									["Anti-Magic Zone"] = 50461,
									["Crush Armor"] = 33661,
									["Crashing Thunder"] = 135153,
									["Torment"] = 139550,
									["Scorched"] = 134647,
									["Stone Gaze"] = 136708,
									["Stormlash Totem"] = 120676,
									["Jade Spirit"] = 104993,
									["Electrical Shock"] = 136914,
									["Foul Venom"] = 139310,
									["Soothing Mist"] = 125950,
									["Freeze"] = 135145,
									["Touch of the Animus"] = 138659,
									["Infrared Light"] = 133732,
									["Icy Shadows"] = 137440,
									["Blue Rays"] = 133675,
									["Triple Puncture"] = 136767,
									["Thundering Throw"] = 137371,
									["Overloaded Circuits"] = 137176,
									["Fusion Slash"] = 136478,
									["Frozen Bolt"] = 136573,
									["Harsh Light"] = 137152,
									["Roar of Courage"] = 93435,
									["Arcing Lightning"] = 136193,
									["Flames of Passion"] = 137417,
									["Dark Winds"] = 139485,
									["Static Shock"] = 135695,
									["Impale"] = 134691,
									["Rushing Winds"] = 137654,
									["River's Song"] = 116660,
									["Beast of Nightmares"] = 137375,
									["Stone Bulwark"] = 114893,
									["Anima Font"] = 138691,
									["Frozen Blood"] = 137664,
									["Matter Swap"] = 138609,
									["Invoke Crane Spirit"] = 138189,
									["Anima Ring"] = 136962,
									["Shockwave"] = 139215,
									["Energizing Spores"] = 135678,
									["Infected Bite"] = 139314,
									["Blazing Sunlight"] = 136719,
									["Mortal Strike"] = 136670,
									["Invoke Serpent Spirit"] = 138267,
									["Violent Gale Winds"] = 136889,
									["Electrified Waters"] = 138006,
									["Dancing Steel"] = 120032,
									["Life Drain"] = 137727,
									["Cackling Howl"] = 128432,
									["Explosive Slam"] = 138569,
									["Putrify"] = 139317,
									["Dead Zone"] = 135147,
									["Wind Storm"] = 136577,
									["Corrupted Healing"] = 137360,
									["Deadly Plague"] = 136710,
									["Soul Link"] = 108446,
									["Windburn"] = 140208,
									["Lingering Gaze"] = 134626,
									["Bright Light"] = 133737,
									["Serious Wound"] = 133767,
									["Overcharged"] = 136295,
									["Lightning Bolt"] = 136853,
									["Burning Cinders"] = 137668,
									["Malformed Blood"] = 136050,
									["Furious Howl"] = 24604,
									["Colossus"] = 116631,
									["Static Burst"] = 137162,
									["Light of the Ancient Kings"] = 86678,
									["Rending Charge"] = 136654,
									["Frostbolt"] = 136952,
									["Fan of Flames"] = 137408,
									["Retrieve Spear"] = 137072,
									["Sanctuary of the Ox"] = 126119,
									["Storm Cloud"] = 137669,
									["Spirit Beast Blessing"] = 127830,
									["Ancient Venom"] = 139888,
									["Focused Lightning"] = 137422,
									["Fully Mutated"] = 140546,
									["Electrified"] = 136615,
									["Static Wound"] = 138349,
									["Power Word: Barrier"] = 81782,
									["Implosion"] = 137507,
									["Stormcloud"] = 139900,
									["Decapitate"] = 134912,
									["Wounding Strike"] = 140049,
									["Earthliving"] = 51945,
									["Lightning Storm"] = 136192,
									["Gnawed Upon"] = 134668,
									["Discharged Energy"] = 134821,
									["Lightning Burst"] = 138196,
									["Slumber Spores"] = 136722,
									["Venom Bolt Volley"] = 136587,
									["Overcharge"] = 136326,
									["Healing Stream Totem"] = 119523,
									["Arterial Cut"] = 133768,
									["Carnivorous Bite"] = 122962,
								},
								["Karazhan"] = {
									["Shield Slam"] = 29684,
									["Holy Fire"] = 29522,
									["Hamstring"] = 9080,
									["Demoralizing Shout"] = 29584,
									["Net"] = 41580,
									["Rend"] = 29578,
									["Holy Ground"] = 29512,
									["Impending Betrayal"] = 29491,
									["Drain Mana"] = 29881,
									["Impale"] = 29583,
									["Bewitching Aura"] = 29486,
									["Alluring Aura"] = 29485,
									["Ethereal Curse"] = 29716,
									["Loose Mana"] = 29882,
									["Left Hook"] = 29555,
									["Repentance"] = 29511,
								},
								["Mana-Tombs"] = {
									["Charge"] = 22911,
									["Shadow Word: Pain"] = 34942,
									["Singe"] = 33865,
									["Immolate"] = 17883,
									["Curse of Impotence"] = 34925,
									["Earthquake"] = 33919,
									["Slow"] = 25603,
									["Phantom Strike"] = 33925,
									["Soul Strike"] = 32315,
									["Shadow Word: Death"] = 32409,
									["Shadows Embrace"] = 34922,
									["Frostbolt"] = 32364,
									["Faerie Fire"] = 25602,
									["Blast Wave"] = 17145,
									["Frost Nova"] = 32365,
									["Crystal Prison"] = 32361,
									["Psychic Scream"] = 34322,
									["Gouge"] = 34940,
								},
								["Krasarang Wilds"] = {
									["Consecration"] = 79966,
									["Stormlash Totem"] = 120676,
									["Bandage"] = 36348,
									["Berserking"] = 132952,
									["Stone Bulwark"] = 114893,
									["Avenger's Shield"] = 79965,
									["Dancing Steel"] = 120032,
									["Fel Immolate"] = 84469,
								},
								["Heart of Fear"] = {
									["Web"] = 4167,
									["Charge"] = 53148,
									["Gouge Throat"] = 123434,
									["Light of the Ancient Kings"] = 86678,
									["Roar of Courage"] = 93435,
									["Wind Step"] = 123180,
									["Riposte"] = 123436,
									["Convert"] = 122740,
									["Sanctuary of the Ox"] = 126119,
									["Jade Spirit"] = 104993,
									["Exhale"] = 122761,
									["Arterial Bleeding"] = 123422,
									["Dancing Steel"] = 120032,
									["Spirit Mend"] = 90361,
									["Stormlash Totem"] = 120676,
									["Serpent's Swiftness"] = 128433,
									["Roar of Sacrifice"] = 53480,
									["Gale Force Winds"] = 123497,
									["Stunning Strike"] = 123420,
									["Blood Plague"] = 55078,
									["Deadly Poison"] = 34655,
									["Frost Fever"] = 55095,
									["Soothing Mist"] = 125950,
									["Spirit Beast Blessing"] = 127830,
									["Dismantled Armor"] = 123417,
									["Anti-Magic Zone"] = 50461,
									["Pheromones of Zeal"] = 123812,
								},
								["Hour of Twilight"] = {
									["Blessing of the Moonwell"] = 100403,
									["Demonic Pact"] = 53646,
									["Water Shell"] = 103744,
									["Seeking Shadows"] = 102984,
									["Rising Fire"] = 103817,
									["Hungering Shadows"] = 103021,
									["Staggering Blow"] = 103000,
									["Mark of Silence"] = 102726,
									["Squeeze Lifeless"] = 102861,
									["Freezing Trap"] = 43415,
									["Twilight Shear"] = 103363,
									["Mortal Strike"] = 103002,
									["Silenced"] = 103587,
									["Mind Flay"] = 103024,
									["Bloodlust"] = 103834,
									["Righteous Shear"] = 103151,
									["Bash"] = 102990,
									["Torrent of Frost"] = 103904,
									["Choking Smoke Bomb"] = 103790,
									["Tentacle Smash"] = 102848,
									["Garrote"] = 102925,
									["Garrote - Silence"] = 102926,
									["Shadow Bore"] = 102995,
									["Chains of Frost"] = 102582,
								},
								["The Vortex Pinnacle"] = {
									["Shockwave"] = 92782,
									["Charge"] = 87930,
									["Lethargic Poison"] = 92774,
									["Hurricane"] = 92773,
									["Wind Blast"] = 92761,
									["Cyclone Shield"] = 93991,
									["Static Cling"] = 87618,
									["Zephyr"] = 85740,
									["Healing Well"] = 88201,
									["Upwind of Altairus"] = 88282,
									["Starfall"] = 92783,
									["Shadow Word: Death"] = 32409,
									["Typhoon"] = 92784,
									["Grounding Field"] = 87726,
									["Asphyxiate"] = 92757,
									["Crusader Strike"] = 92762,
									["Sunder Armor"] = 76622,
									["Cyclone"] = 88010,
								},
								["Stormstout Brewery"] = {
									["Bloat"] = 106546,
									["Brew Bolt"] = 114548,
									["Furious Howl"] = 24604,
									["Stone Bulwark"] = 114893,
									["Blackout Brew"] = 106851,
									["Ground Pound"] = 106808,
									["Roar of Sacrifice"] = 53480,
									["Stormlash Totem"] = 120676,
									["Blackout Drunk"] = 106857,
									["Brew Explosion"] = 106648,
									["Explosive Brew"] = 114291,
									["Carbonation"] = 116170,
									["Wall of Suds"] = 114466,
									["Healing Stream Totem"] = 119523,
									["Soothing Mist"] = 125950,
									["Water Strike"] = 107046,
								},
								["The Bastion of Twilight"] = {
									["Entomb"] = 93327,
									["Blackout"] = 86788,
									["Cho's Blast"] = 82518,
									["Stormlash Totem"] = 120676,
									["Hungering Shadows"] = 84856,
									["Gravity Core"] = 92075,
									["Lightning Rod"] = 83099,
									["Twilight Shift"] = 88436,
									["Elemental Stasis"] = 82285,
									["Fiery Seduction"] = 47057,
									["Essence of the Red"] = 87946,
									["Static Overload"] = 92067,
									["Corruption: Accelerated"] = 81836,
									["Deep Wounds"] = 12721,
									["Twist Phase"] = 84838,
									["Ferocious Inspiration"] = 75447,
									["Unleash Essence"] = 92947,
									["Roar of Courage"] = 93435,
									["Burning Blood"] = 82660,
									["Heart of Ice"] = 82665,
									["Soul Blade"] = 84850,
									["Gall's Blast"] = 82523,
									["Totemic Wrath"] = 77747,
									["Dark Pool"] = 84853,
									["Sunder Armor"] = 76622,
									["Swirling Winds"] = 83500,
									["Cold-Touched"] = 93381,
									["Frost Beacon"] = 92307,
									["Furious Roar"] = 86171,
									["Flame Shock"] = 95767,
									["Power Word: Barrier"] = 81782,
									["Gripping Shadows"] = 87629,
									["Mind Sear"] = 85643,
									["Waterlogged"] = 82762,
									["Magnetic Pull"] = 83587,
									["Charge Stun"] = 7922,
									["Soul Link"] = 25228,
									["Bash"] = 58861,
									["Stasis Strike"] = 93344,
									["Phased Burn"] = 85799,
									["Debilitating Beam"] = 82411,
									["Shadow Volley"] = 85482,
									["Crimson Flames"] = 93348,
									["Twilight Zone"] = 92887,
									["Frozen"] = 82772,
									["Shifted Reality"] = 85564,
									["Crippling Poison"] = 25809,
									["Trauma"] = 46857,
									["Wrack"] = 92955,
									["Vaporize"] = 93306,
									["Rend"] = 94009,
									["Fiery Barrier"] = 87231,
									["Jade Spirit"] = 104993,
									["Dismantle"] = 84832,
									["Piercing Howl"] = 12323,
									["Tremors"] = 87931,
									["Earthliving"] = 51945,
									["Frostfire Bolt"] = 88079,
									["Petrify Skin"] = 87917,
									["Malevolent Strikes"] = 86159,
									["Burning Twilight"] = 88219,
									["Shockwave"] = 93325,
									["Twilight Spit"] = 92953,
									["Hamstring"] = 95769,
									["Flame Cap"] = 28714,
									["Wyvern Sting"] = 90488,
									["Gravity Crush"] = 84948,
									["Grounded"] = 83581,
									["Shadow Word: Death"] = 32409,
									["Mind-numbing Poison"] = 25810,
									["Blood Pact"] = 6307,
									["Soothing Mist"] = 125950,
									["Fungal Growth"] = 81281,
									["Frost Whirl"] = 93331,
									["Earthbind"] = 3600,
									["Rending Gale"] = 93277,
									["Corruption: Absolute"] = 82170,
								},
								["Firelands"] = {
									["Flaming Spear"] = 99695,
									["Conflagration"] = 99625,
									["Blazing Claw"] = 99844,
									["Magma"] = 100388,
									["Power Word: Barrier"] = 81782,
									["Magma Blast"] = 101246,
									["Rend Flesh"] = 100057,
									["Imprinted"] = 100359,
									["Fieroblast"] = 100094,
									["Melt Armor"] = 100767,
									["Blazing Heat"] = 100981,
									["Lava Wave"] = 100292,
									["Seeping Venom"] = 97079,
									["Gushing Wound"] = 99308,
									["Burning Wound"] = 101238,
									["Fel Intelligence"] = 54424,
									["Soul Link"] = 25228,
									["Harsh Winds"] = 100640,
									["Totemic Wrath"] = 77747,
									["Shadow Word: Death"] = 32409,
									["Blazing Power"] = 99461,
									["Fixate"] = 99526,
									["Blood Pact"] = 6307,
									["Fiery Web Spin"] = 97202,
									["Fieroclast Barrage"] = 100095,
								},
								["Dagger in the Dark"] = {
									["Crippling Poison"] = 132747,
									["Deadly Poison"] = 132746,
									["Charge"] = 97164,
									["Stalactite"] = 133387,
									["Entangling Roots"] = 132743,
									["Lightning Shield"] = 135999,
									["Cheap Shot"] = 133002,
									["Gas Bomb"] = 133001,
									["Big Bad Voodoo"] = 133896,
									["Swing"] = 133753,
									["Dancing Steel"] = 120032,
									["Stormlash Totem"] = 120676,
								},
								["Trial of the Crusader"] = {
									["Impale"] = 66331,
									["Head Crack"] = 66407,
								},
								["Lost City of the Tol'vir"] = {
									["Shockwave"] = 90024,
									["Wailing Winds"] = 83089,
									["Dragon's Breath"] = 90026,
									["Lightning Charge"] = 91871,
									["Infectious Plague"] = 82768,
									["Scent of Blood"] = 89998,
									["Paralytic Venom"] = 90022,
									["Disease Breath"] = 90005,
									["Forked Fire-Shot"] = 89992,
									["Impale"] = 89990,
									["Eagle Claw"] = 89988,
									["Hex"] = 82760,
									["Hard Impact"] = 91258,
									["Plague of Ages"] = 89996,
									["Ritual of Bloodletting"] = 89993,
									["Hallowed Ground"] = 90010,
									["Soul Sever"] = 82255,
									["Vicious Bite"] = 89999,
									["Skull Crack"] = 82670,
									["Viscous Poison"] = 90004,
									["Rampage"] = 29801,
									["Branded Tongue"] = 90037,
									["Toxic Blow Dart"] = 89991,
									["Serum of Torment"] = 89994,
									["Paralytic Blow Dart"] = 89989,
									["Wing Clip"] = 82764,
									["Repentance"] = 81947,
								},
								["Unga Ingoo"] = {
									["Ooked in the Dook!"] = 119681,
									["Rusty Shank"] = 127513,
									["Angry Monkey Stare"] = 121937,
									["Dancing Steel"] = 120032,
									["Net Toss"] = 122254,
								},
								["Gruul's Lair"] = {
									["Ground Slam"] = 33525,
									["Dark Decay"] = 33129,
									["Death Coil"] = 33130,
									["Cave In"] = 36240,
									["Totemic Wrath"] = 77747,
									["Intimidating Roar"] = 16508,
									["Arcane Shock"] = 33175,
									["Greater Polymorph"] = 33173,
									["Blast Wave"] = 33061,
									["Charge"] = 24193,
								},
								["Gate of the Setting Sun"] = {
									["River's Song"] = 116660,
									["Furious Howl"] = 24604,
									["Gale Force"] = 115419,
									["Roar of Courage"] = 93435,
									["Battering Headbutt"] = 130772,
									["Tar"] = 111735,
									["Jade Spirit"] = 104993,
									["Viscous Fluid"] = 107122,
									["Stormlash Totem"] = 120676,
									["Prey Time"] = 106933,
									["Fixate"] = 111723,
									["Sabotage"] = 107119,
									["Savage Cleave"] = 115436,
									["Dancing Steel"] = 120032,
									["Power Word: Barrier"] = 81782,
								},
								["Dragon Soul"] = {
									["Tornado"] = 109442,
									["Blood Corruption: Earth"] = 106200,
									["Power Word: Barrier"] = 81782,
									["Frost Corruption"] = 109333,
									["Frostflake"] = 109325,
									["Shrapnel"] = 110141,
									["Spark"] = 109368,
									["Fading Light"] = 105925,
									["Soul Link"] = 25228,
									["Disguise"] = 121308,
									["Ice Tomb"] = 104451,
									["Searing Plasma"] = 105479,
									["Void Bolt"] = 108383,
									["Spirit Bond"] = 24529,
									["Lightning Conduit"] = 108569,
									["Ferocious Inspiration"] = 75447,
									["Demonic Pact"] = 53646,
									["Degeneration"] = 108861,
									["Brutal Strike"] = 109209,
									["Grasping Tendrils"] = 109454,
									["Shatter"] = 109331,
									["Blood Corruption: Death"] = 106199,
									["Sunder Armor"] = 108043,
									["Tetanus"] = 109603,
									["Target"] = 105285,
									["Ice Lance"] = 107061,
									["Deep Corruption"] = 108220,
									["Impale"] = 106400,
									["Twilight Barrage"] = 107439,
									["Blessing of the Moonwell"] = 100403,
									["Consuming Shroud"] = 110214,
									["Shadow Word: Death"] = 32409,
									["Lightning Storm"] = 108568,
									["Shackles of Ice"] = 109423,
									["Shattered Ice"] = 108567,
									["Blistering Heat"] = 109585,
									["Totemic Wrath"] = 77747,
									["Shockwave"] = 108046,
									["Fiery Grip"] = 105490,
									["Fel Intelligence"] = 54424,
									["Degenerative Bite"] = 109625,
									["Chronohunter"] = 108687,
									["Looming Darkness"] = 106498,
									["Faded Into Twilight"] = 105927,
									["Degradation"] = 106005,
								},
								["Scholomance"] = {
									["Polyformic Acid Potion"] = 114800,
									["Dark Blaze"] = 111585,
									["Roar of Courage"] = 93435,
									["Rend"] = 114860,
									["Immolate"] = 113141,
									["Piercing Howl"] = 23600,
									["Rend Flesh"] = 111762,
									["Unholy Blade"] = 111801,
									["Impale"] = 111813,
									["Shatter Soul"] = 111594,
									["Fixate Anger"] = 115350,
									["Stone Bulwark"] = 114893,
									["Toxic Potion"] = 114873,
									["Ice Wrath"] = 111610,
									["Gravity Flux"] = 114038,
									["Dark Plague"] = 114493,
									["Wrack Soul"] = 111631,
									["Skin Like Wax"] = 114479,
									["Jade Spirit"] = 104993,
								},
								["Isle of Thunder"] = {
									["Arcanital's Barrier"] = 140661,
									["Hymn of Silence"] = 140315,
									["Serrated Slash"] = 87395,
									["Dust Cloud"] = 140103,
									["Soul Sear"] = 32024,
									["Lightning Pole"] = 139185,
								},
								["Blackwing Descent"] = {
									["Dark Sludge"] = 92987,
									["Shadowflame"] = 80270,
									["Engulfing Darkness"] = 92982,
									["Stoneclaw Stun"] = 39796,
									["Dominion"] = 79318,
									["Mangle"] = 89773,
									["Flamethrower"] = 79505,
									["Mind Spike"] = 87178,
									["Finkle's Mixture"] = 82705,
									["Lightning Conductor"] = 79888,
									["Acid Nova"] = 93012,
									["Frost Fever"] = 55095,
									["Hungering Cold"] = 51209,
									["Debilitating Slime"] = 77615,
									["Massive Crash"] = 88287,
									["Insect Swarm"] = 5570,
									["Caustic Slime"] = 88916,
									["Constricting Chains"] = 79589,
									["Mind Trauma"] = 48301,
									["Explosive Cinders"] = 79339,
									["Flash Bomb"] = 91885,
									["Execution Sentence"] = 80727,
									["Overcharged Power Generator"] = 91858,
									["Consuming Flames"] = 92972,
									["Totemic Wrath"] = 77747,
									["Shadow Infusion"] = 92048,
									["Spirit Walk"] = 58875,
									["Parasitic Infection"] = 78941,
									["Time Lapse"] = 80329,
									["Mortality"] = 82890,
									["Biting Chill"] = 77760,
									["Living Bomb"] = 44457,
									["Mortal Strike"] = 80390,
									["Grievous Wound"] = 80051,
									["Master Adventurer Award"] = 89798,
									["Roaring Flame"] = 92484,
									["Encasing Shadows"] = 92023,
									["Unstable Affliction"] = 30108,
									["Break"] = 82881,
									["Power Generator"] = 79629,
									["Blast Wave"] = 91893,
									["Tracking"] = 78092,
									["Acquiring Target"] = 79501,
									["Drakonid Rush"] = 79630,
									["Flash Freeze"] = 92979,
									["Soaked In Poison"] = 80011,
									["Spell Lock"] = 24259,
									["Brittle Bones"] = 81326,
									["Rend"] = 92990,
									["Frostbolt"] = 59638,
									["Curse of Mending"] = 80295,
									["Burden of the Crown"] = 80718,
									["Bash"] = 58861,
									["Trauma"] = 46857,
									["Overhead Smash"] = 79580,
									["Seed of Corruption"] = 27243,
									["Frost Burn"] = 91896,
									["Chemical Cloud"] = 80161,
									["Tail Lash"] = 94129,
									["Aura of Dread"] = 78495,
									["Piercing Grip"] = 80145,
									["Fungal Growth"] = 81281,
									["Flame Cap"] = 28714,
									["Burning Embers"] = 85421,
									["Shadow of Cowardice"] = 79353,
									["Flame Buffet"] = 80127,
									["Shadow Word: Death"] = 32409,
									["Searing Flame"] = 92422,
									["Thunderclap"] = 79604,
									["Corrosive Acid"] = 95060,
									["Fixate"] = 80094,
									["Mocking Shadows"] = 91307,
									["Stormbolt"] = 91890,
									["Chilblains"] = 50435,
									["Power Word: Barrier"] = 81782,
								},
								["Throne of the Tides"] = {
									["Wave of Corruption"] = 91455,
									["Veil of Shadow"] = 83926,
									["Lacerate"] = 91430,
									["Squeeze"] = 91484,
									["Water Bolt"] = 76535,
									["Curse of Fatigue"] = 76094,
									["Tidal Surge"] = 76133,
									["Enslave"] = 76207,
									["Aura of Dread"] = 83971,
									["Waterlogged"] = 91443,
									["Emberstrike"] = 76165,
									["Magma Splash"] = 76170,
									["Demonic Pact"] = 53646,
									["Waterspout"] = 90479,
									["Bubble Shield"] = 84507,
									["Lightning Surge"] = 75992,
									["Poisoned Spear"] = 76516,
									["Hex"] = 91435,
									["Mind Fog"] = 76230,
									["Fungal Spores"] = 91470,
								},
								["Halls of Origination"] = {
									["Consume Life Energy"] = 75718,
									["Searing Flames"] = 89849,
									["Debilitating Venom"] = 89856,
									["Curse of the Runecaster"] = 95181,
									["Entangling Shot"] = 89865,
									["Blessing of the Sun"] = 89879,
									["Reverberating Hymn"] = 90008,
									["Raging Inferno"] = 91159,
									["Anti-Magic Prison"] = 76903,
									["Reverberating Stomp"] = 89851,
									["Noxious Spores"] = 89889,
									["Seed of Chaos"] = 89867,
									["Divine Reckoning"] = 94949,
									["Omega Stance"] = 91207,
									["Spore Blast"] = 89864,
									["Thorn Slash"] = 90007,
									["Serrated Slash"] = 74542,
									["Impale"] = 91163,
									["Bubble Bound"] = 91158,
									["Sun Strike"] = 90009,
									["Firestorm"] = 73861,
									["Curse of Exhaustion"] = 90006,
									["Wither"] = 76043,
									["Blinding Toxin"] = 89859,
									["Clobber"] = 91169,
									["Corrosive Spray"] = 89857,
									["Crumbling Ruin"] = 91206,
									["Nemesis Strike"] = 91174,
									["Poison-tipped Fangs"] = 91167,
									["Whirling Winds"] = 91153,
									["Alpha Beams"] = 91177,
									["Quicksand"] = 75548,
									["Supernova"] = 74137,
								},
								["Ragefire Chasm"] = {
									["Shield Slam"] = 8242,
									["Curse of Weakness"] = 11980,
									["Earthborer Acid"] = 18070,
									["Poison"] = 744,
									["Immolate"] = 20800,
									["Curse of Agony"] = 18266,
								},
								["Well of Eternity"] = {
									["Blessing of the Moonwell"] = 100403,
									["Corrupting Touch"] = 108101,
									["Blizzard"] = 102267,
									["Firebomb"] = 102263,
									["Coldflame"] = 102466,
									["Totemic Wrath"] = 77747,
									["Drain Essence"] = 104905,
									["Strike Fear"] = 103913,
									["Arcane Bomb"] = 102455,
									["Fel Addled"] = 105545,
									["Choking Perfume"] = 102233,
									["Fel Decay"] = 105544,
									["Gift of Sargeras"] = 105009,
								},
								["Blackwing Lair"] = {
									["Brood Affliction: Red"] = 23155,
									["Flame Breath"] = 23461,
									["Conflagration"] = 23023,
									["Brood Power: Bronze"] = 22642,
									["Mortal Strike"] = 24573,
									["Brood Affliction: Blue"] = 23153,
									["Flamestrike"] = 22275,
									["Greater Polymorph"] = 22274,
									["Suppression Aura"] = 22247,
									["Ignite Flesh"] = 23316,
									["Brood Affliction: Black"] = 23154,
									["Flame Buffet"] = 23341,
									["War Stomp"] = 24375,
									["Essence of the Red"] = 23513,
									["Brood Affliction: Bronze"] = 23170,
									["Shadow of Ebonroc"] = 23340,
									["Blast Wave"] = 23331,
									["Slow"] = 13747,
									["Bottle of Poison"] = 22335,
									["Growing Flames"] = 22442,
									["Rain of Fire"] = 19717,
								},
								["Gnomeregan"] = {
									["Toxic Volley"] = 21687,
									["Radiation Cloud"] = 10341,
									["Irradiated"] = 9775,
									["Toxic Nova"] = 81039,
									["Poison"] = 744,
								},
								["Baradin Hold"] = {
									["Consuming Darkness"] = 88954,
									["Blessing of the Moonwell"] = 100403,
									["Meteor Slash"] = 88942,
									["Fel Intelligence"] = 54424,
									["Gaze of Occu'thar"] = 97028,
									["Shadow Word: Death"] = 32409,
									["Arcane Amplifier"] = 89354,
									["Totemic Wrath"] = 77747,
									["Searing Shadows"] = 101007,
								},
								["Vale of Eternal Blossoms"] = {
									["Heart of Y'Shaarj"] = 142154,
									["Howl of Horror"] = 142152,
									["Berserking"] = 132952,
									["Molten Hatred"] = 141612,
									["Stormlash Totem"] = 120676,
									["Fortitude"] = 137593,
									["Malevolent Force"] = 142202,
									["Restoration"] = 132958,
									["Veil of Darkness"] = 142201,
									["Dancing Steel"] = 120032,
									["Stone Rain"] = 142139,
								},
								["Shadowfang Keep"] = {
									["Desecration"] = 94370,
									["Mortal Strike"] = 91801,
									["Fetid Cloud"] = 91554,
									["Blinding Shadows"] = 93953,
									["Frostbolt"] = 15497,
									["Bone Flurry"] = 91425,
									["Spectral Ravaging"] = 93930,
									["Word of Shame"] = 93852,
									["Tenderize"] = 91348,
									["Rotting Bile"] = 91099,
									["Cowering Roar"] = 91220,
									["Mortal Wound"] = 93771,
									["Arcane Tactics"] = 82930,
									["Ravage"] = 3242,
									["Fear"] = 38595,
									["Shadow Vortex"] = 91325,
									["Pustulant Spit"] = 91678,
									["Toxic Catalyst"] = 93689,
									["Wracking Pain"] = 93720,
									["Haunting Spirits"] = 91293,
									["Toxic Coagulant"] = 93617,
									["Forsaken Ability"] = 7054,
									["Pain and Suffering"] = 93712,
									["Cursed Bullets"] = 93761,
									["Shadow Word: Death"] = 32409,
									["Drain Life"] = 91291,
									["Soul Drain"] = 93920,
									["Asphyxiate"] = 93710,
									["Cursed Veil"] = 93956,
									["Shadowy Touch"] = 91324,
									["Living Bomb"] = 91563,
								},
								["Shado-Pan Monastery"] = {
									["Ice Arrow"] = 126115,
									["Anti-Magic Zone"] = 50461,
									["Touch of Weakness"] = 113022,
									["Stormlash Totem"] = 120676,
									["Whirling Steel"] = 106699,
									["Smoke Blades"] = 106827,
									["Spirit Beast Blessing"] = 127830,
									["Fire Arrow"] = 131241,
									["Chase Down"] = 118961,
									["Stone Bulwark"] = 114893,
									["Terrifying Roar"] = 90309,
									["Roar of Sacrifice"] = 53480,
									["Black Cleave"] = 113020,
									["Quivering Palm"] = 106422,
									["Disorienting Smash"] = 106872,
									["Thundering Fist"] = 115509,
									["Weakened Defenses"] = 115630,
									["Furious Howl"] = 24604,
									["Magnetic Shroud"] = 107140,
									["Consumption"] = 106929,
									["Curse of Agony"] = 112999,
								},
								["Terrace of Endless Spring"] = {
									["Terrorize"] = 123011,
									["Grip of Fear"] = 130115,
									["Anti-Magic Zone"] = 50461,
									["Roar of Courage"] = 93435,
									["Reaching Attack"] = 119775,
									["Sha Globe"] = 129189,
									["Overwhelming Corruption"] = 117353,
									["Enveloping Darkness"] = 125760,
									["Lightning Prison"] = 111850,
									["Jade Spirit"] = 104993,
									["Bathed in Light"] = 122858,
									["Dread Spray"] = 119983,
									["Shadow Breath"] = 122752,
									["Dancing Steel"] = 120032,
									["Dread Shadows"] = 122768,
									["Nightmares"] = 122777,
									["Fright"] = 123036,
									["Breath of Fear"] = 119414,
									["Purified"] = 117235,
									["Touch of Sha"] = 117519,
									["Spray"] = 123121,
									["Penetrating Bolt"] = 119086,
									["Colossus"] = 116631,
									["Stone Bulwark"] = 114893,
									["Overwhelming Fear"] = 125758,
									["Soothing Mist"] = 125950,
									["Sunbeam"] = 122789,
									["Spirit Beast Blessing"] = 127830,
									["Cleansing Waters"] = 117283,
									["Stormlash Totem"] = 120676,
									["Spirit Mend"] = 90361,
								},
								["Scarlet Halls"] = {
									["Staggering Shot"] = 113642,
									["Holy Fire"] = 128232,
									["Piercing Throw"] = 114004,
									["Slash Armor"] = 114011,
									["Stone Bulwark"] = 114893,
									["Carrying Bucket"] = 128164,
									["Shield Breaker"] = 125507,
									["Jolt"] = 114000,
									["Pyroblast"] = 113690,
									["Greater Dragon's Breath"] = 113653,
									["Jade Spirit"] = 104993,
									["Beatdown"] = 114184,
									["Bloody Mess"] = 114056,
									["Flamestrike"] = 111667,
									["Bleeding Wound"] = 113855,
									["Disarm"] = 6713,
								},
								["Magtheridon's Lair"] = {
									["Shadow Word: Pain"] = 34441,
									["Death Coil"] = 34437,
									["Debris"] = 36449,
									["Unstable Affliction"] = 34439,
									["Rain of Fire"] = 34435,
								},
								["The Slave Pens"] = {
									["Head Crack"] = 16172,
									["Decayed Intellect"] = 31555,
									["Rend"] = 13738,
									["Immolate"] = 17883,
									["Decayed Strength"] = 35760,
									["Lightning Cloud"] = 32193,
									["Frightening Shout"] = 29544,
									["Hamstring"] = 9080,
									["Piercing Jab"] = 31551,
									["Shield Slam"] = 15655,
									["Earthgrab"] = 31983,
									["Shadow Word: Death"] = 32409,
									["Domination"] = 30923,
									["Cripple"] = 33787,
									["Frost Nova"] = 32192,
									["Frostbolt"] = 15497,
									["Psychic Horror"] = 34984,
									["Sunder Armor"] = 16145,
									["Entangling Roots"] = 32173,
									["Rain of Fire"] = 16005,
								},
								["Ahn'Qiraj"] = {
									["Sundering Cleave"] = 25174,
									["Debilitating Charge"] = 1906,
									["Blizzard"] = 26607,
									["Arcane Burst"] = 568,
									["Mortal Strike"] = 24573,
									["Pierce Armor"] = 6016,
									["Impale"] = 26025,
									["Fear"] = 26580,
									["Acid Spit"] = 26050,
									["Toxic Volley"] = 25812,
									["Poison Bolt Volley"] = 25991,
									["Toxin"] = 25989,
									["Wyvern Sting"] = 26180,
									["Cause Insanity"] = 26079,
									["Entangle"] = 1121,
									["Poison Bolt"] = 26601,
									["Plague"] = 26556,
									["Knockdown"] = 19128,
									["Ravage"] = 3242,
									["Unbalancing Strike"] = 26613,
									["Noxious Poison"] = 26053,
									["Toxic Vapors"] = 25786,
									["Mortal Wound"] = 25646,
								},
								["Throne of the Four Winds"] = {
									["Deafening Winds"] = 93192,
									["Ferocious Inspiration"] = 75447,
									["Stormling"] = 93272,
									["Fel Intelligence"] = 54424,
									["Wind Chill"] = 84645,
									["Slicing Gale"] = 93058,
									["Permafrost"] = 86082,
									["Lightning Rod"] = 89668,
									["Totemic Wrath"] = 77747,
									["Shadow Word: Death"] = 32409,
									["Hurricane"] = 86481,
									["Electrocute"] = 88427,
									["Blood Pact"] = 6307,
									["Withering Winds"] = 93183,
									["Soul Link"] = 25228,
									["Spirit Walk"] = 58875,
									["Toxic Spores"] = 86282,
									["Acid Rain"] = 88301,
								},
								["Zul'Farrak"] = {
									["Shadow Word: Pain"] = 14032,
									["Hex"] = 11641,
									["Infected Wound"] = 3427,
								},
								["Thunder King's Citadel"] = {
									["Piercing Howl"] = 38256,
									["Stormlash Totem"] = 120676,
									["Crush Armor"] = 127157,
									["Dancing Steel"] = 120032,
									["Frost Nova"] = 15063,
									["Web"] = 140642,
									["Stone Smash"] = 139777,
									["Mortal Strike"] = 13737,
								},
								["Zul'Gurub"] = {
									["Charge"] = 35570,
									["Otherworldly Presence"] = 97291,
									["Shrink"] = 97397,
									["Cave In"] = 97380,
									["Whispers of Hethiss"] = 96466,
									["Entangling Roots"] = 96636,
									["Consume Soul"] = 97255,
									["Sanctify"] = 97974,
									["Lightning Cloud"] = 96711,
									["Ravage"] = 96592,
									["Sigil of Flame"] = 98014,
									["Toxic Link"] = 96477,
									["Full of Meat"] = 81252,
									["Psychic Scream"] = 34322,
									["Zanzili Fire"] = 96916,
									["Minor Quake"] = 97988,
									["Blessing of the Moonwell"] = 100403,
									["Frostburn Formula"] = 96325,
									["Dirt Toss"] = 80382,
									["Rend"] = 13445,
									["Sunder Rift"] = 97320,
									["Sigil of Death"] = 98019,
									["Pierce Armor"] = 12097,
									["Spirit Warrior's Gaze"] = 97597,
									["Burning Blood"] = 96326,
									["Backhand"] = 6253,
									["Mortal Strike"] = 17547,
									["Tiki Torch"] = 96822,
									["Sigil Shatter"] = 98033,
									["Deadzone"] = 97170,
									["Tendon Rip"] = 3604,
									["Spirit's Vengeance"] = 96493,
									["Shadowflame"] = 96950,
									["Venom Sting"] = 8257,
									["Sigil of Frost"] = 98016,
									["Shadow Word: Death"] = 32409,
									["Toxic Torment"] = 96328,
									["Thunderclap"] = 15588,
									["Venom Spit"] = 97599,
									["Bloodletting"] = 96776,
									["Lash of Anguish"] = 96958,
									["Spirit Walk"] = 58875,
									["Gaping Wound"] = 97358,
									["Frost Breath"] = 97226,
								},
								["Blackrock Depths"] = {
									["Frostbolt"] = 12675,
									["Immolate"] = 15570,
									["Flame Shock"] = 15096,
									["Mortal Strike"] = 13737,
									["Rupture"] = 15583,
									["Slow"] = 11436,
									["Hamstring"] = 9080,
									["Demoralizing Shout"] = 13730,
									["Banish"] = 8994,
									["Curse of Weakness"] = 12493,
									["Chilled"] = 6136,
									["Gouge"] = 12540,
									["Frost Shock"] = 15499,
									["Hand of Thaurissan"] = 17492,
									["Frost Nova"] = 12674,
									["Sunder Armor"] = 13444,
									["War Stomp"] = 15593,
									["Curse of Agony"] = 14868,
								},
								["Dun Morogh"] = {
									["Freeze Solid"] = 141410,
									["Anti-Magic Zone"] = 50461,
									["Blizzard"] = 141379,
									["Frost Shock"] = 46180,
									["Chilled"] = 6136,
									["Hekima's Scorn"] = 133837,
									["Frostbolt Volley"] = 141620,
									["Stormlash Totem"] = 120676,
									["Frost Nova"] = 11831,
									["Frostbolt"] = 141619,
									["Dancing Steel"] = 120032,
									["Bonechilling Blizzard"] = 141428,
								},
								["Tempest Keep"] = {
									["Frostbolt Volley"] = 37262,
									["Shadow Word: Pain"] = 37275,
									["Rend"] = 36965,
									["Flame Strike"] = 36731,
									["Flame Patch"] = 35383,
									["Bellowing Roar"] = 44863,
									["Silence"] = 30225,
									["Melt Armor"] = 35410,
									["Remote Toy"] = 37027,
									["Starfall"] = 37124,
									["Mind Flay"] = 37276,
									["Flame Buffet"] = 34121,
									["Frostbolt"] = 36990,
									["Arcane Disruption"] = 36834,
									["Mind Control"] = 36797,
									["Conflagration"] = 37018,
									["Deep Wounds"] = 12721,
									["Frost Attack"] = 39087,
									["Arcane Burst"] = 36970,
									["Blizzard"] = 37263,
									["Immolation"] = 37155,
								},
							},
							["isFirst"] = false,
							["alert_RaidDebuff"] = {
								["color"] = {
									["r"] = 1,
									["b"] = 0.03137254901960784,
								},
							},
						},
						["aegerUI"] = {
							["detected_debuff"] = {
								["Mogu'shan Palace"] = {
									["Ground Slam"] = 119684,
									["Shank"] = 118963,
									["Ring of Fire"] = 119573,
									["Conflagrate"] = 120160,
									["Power Word: Barrier"] = 81782,
									["Traumatic Blow"] = 123655,
									["Demoralizing Roar"] = 123647,
									["Ravage"] = 119946,
									["Rake"] = 120560,
									["Stone Bulwark"] = 114893,
									["Lightning Storm"] = 120562,
									["Intimidation"] = 123646,
									["Jade Spirit"] = 104993,
									["Fearless Roar"] = 126373,
									["Hex of Lethargy"] = 118903,
									["Shock"] = 123648,
									["Crunch Armor"] = 121185,
									["Healing Stream Totem"] = 119523,
									["Roar of Courage"] = 93435,
									["Carnivorous Bite"] = 122962,
								},
								["Icecrown Citadel"] = {
									["Gastric Bloat"] = 72219,
									["Touch of Insignificance"] = 71204,
									["Stormlash Totem"] = 120676,
									["Mutated Infection"] = 69674,
									["Mutated Transformation"] = 70308,
									["Tear Gas"] = 71615,
									["Blood Mirror"] = 70451,
									["Frost Fever"] = 69917,
									["Gaseous Bloat"] = 70672,
									["Swarming Shadows"] = 71265,
									["Fireball"] = 70409,
									["Devour Humanoid"] = 71163,
									["Bubbling Pus"] = 71089,
									["Incite Terror"] = 73070,
									["Essence of the Blood Queen"] = 70867,
									["Coldflame"] = 69146,
									["Vile Gas"] = 69240,
									["Malleable Goo"] = 70853,
									["Geist Alarm"] = 70740,
									["Consecration"] = 69930,
									["Boiling Blood"] = 72385,
									["Rending Throw"] = 70309,
									["Combobulating Spray"] = 71103,
									["Light's Hammer Teleport"] = 70781,
									["Spirit Alarm"] = 70536,
									["Chains of Shadow"] = 70645,
									["Glittering Sparks"] = 71807,
									["Uncontrollable Frenzy"] = 70923,
									["Frostbolt Volley"] = 72905,
									["Mutated Plague"] = 72451,
									["Pact of the Darkfallen"] = 71340,
									["Infected Wound"] = 71157,
									["Blood Plague"] = 69911,
									["Rend Flesh"] = 70435,
									["Mortal Wound"] = 71127,
									["Dancing Steel"] = 120032,
									["Rune of Blood"] = 72410,
									["Dark Reckoning"] = 69483,
									["Curse of Doom"] = 69969,
									["Blast Wave"] = 70407,
									["Blood Sap"] = 70432,
									["Amplify Magic"] = 70408,
									["Consuming Shadows"] = 69405,
									["Frostbolt"] = 71420,
									["Deathbringer's Rise Teleport"] = 70858,
									["Frost Breath"] = 70116,
									["Frostfire Bolt"] = 69869,
									["Giant Insect Swarm"] = 70475,
									["Vampiric Curse"] = 70423,
									["Shadow Resonance"] = 71822,
									["Hellscream's Warsong"] = 73822,
									["Necrotic Strike"] = 70659,
									["Plague Cloud"] = 71150,
									["Blizzard"] = 70362,
									["Wounding Strike"] = 69651,
									["Curse of Torpor"] = 71237,
									["Oratory of the Damned Teleport"] = 70856,
									["Kor'kron Battle Standard"] = 69809,
									["Volatile Ooze Adhesive"] = 70447,
									["Ooze Flood"] = 69789,
									["Delirious Slash"] = 71623,
									["Choking Gas"] = 71278,
									["Web Wrap"] = 70980,
									["Gas Spore"] = 69279,
									["Mark of the Fallen Champion"] = 72293,
									["Curse of Agony"] = 69404,
								},
								["Black Temple"] = {
									["Charge"] = 25821,
									["Shadow Word: Pain"] = 41355,
									["Ignored"] = 39544,
									["Polymorph"] = 41334,
									["Judgement of Blood"] = 41461,
									["Vile Slime"] = 40099,
									["Sweeping Wing Clip"] = 39584,
									["Blind"] = 34654,
									["Volley"] = 41091,
									["Love Tap"] = 41338,
									["Curse of Vitality"] = 41351,
									["Shadow Prison"] = 40647,
									["Fatal Attraction"] = 41001,
									["Impaling Spine"] = 39837,
									["Wound Poison"] = 39665,
									["Spirit Shock"] = 41426,
									["Skeleton Shot"] = 41171,
									["Throw Shield"] = 41213,
									["Behemoth Charge"] = 41272,
									["Shadow of Death"] = 40251,
									["Confusion"] = 41397,
									["Consecration"] = 41541,
									["Cloud of Disease"] = 41193,
									["Kidney Shot"] = 41389,
									["Insignificance"] = 40618,
									["Divine Wrath"] = 41472,
									["Concussive Throw"] = 41182,
									["Aura of Anger"] = 41337,
									["Soul Drain"] = 41303,
									["Spite"] = 41376,
									["Wing Clip"] = 32908,
									["Rain of Fire"] = 42023,
									["Sleep"] = 41396,
									["Deadly Poison"] = 41192,
									["Death Coil"] = 41070,
									["Atrophy"] = 40327,
									["Flame Shock"] = 41115,
									["Agonizing Flames"] = 40932,
									["Mortal Wound"] = 25646,
									["Bewildering Strike"] = 40491,
									["Lightning Cloud"] = 39580,
									["Arcing Smash"] = 40599,
									["Ice Trap"] = 41086,
									["Shield Bash"] = 41197,
									["Sonic Strike"] = 41168,
									["Fel-Acid Breath"] = 40508,
									["Crushing Shadows"] = 40243,
									["Fel Stomp"] = 41274,
									["Shadow Resonance"] = 41047,
									["Concussion Blow"] = 32588,
									["Hurricane"] = 40090,
									["Deaden"] = 41410,
									["Aura of Desire"] = 41350,
									["Sunder Armor"] = 13444,
									["Rain of Chaos"] = 39671,
									["Aura of Suffering"] = 41292,
									["Silencing Shriek"] = 40823,
									["Eject"] = 40597,
									["Hammer of Justice"] = 41468,
									["Flamestrike"] = 41481,
									["Blizzard"] = 41482,
									["Poisonous Throw"] = 41346,
									["Aura of Dread"] = 41142,
									["Curse of the Bleakheart"] = 41170,
									["Bloodboil"] = 42005,
									["Fel Rage"] = 40604,
									["Gouge"] = 24698,
									["Incinerate"] = 40239,
									["Wyvern Sting"] = 41186,
									["Parasitic Shadowfiend"] = 41917,
									["Mind-numbing Poison"] = 41190,
									["Debilitating Poison"] = 41978,
									["Acidic Wound"] = 40481,
									["Fixate"] = 41294,
									["Vile Beam"] = 40860,
									["Dementia"] = 41404,
									["Infatuation"] = 41345,
									["Carnivorous Bite"] = 41092,
								},
								["The Secrets of Ragefire"] = {
									["Power Word: Barrier"] = 81782,
									["Stormlash Totem"] = 120676,
									["Jade Spirit"] = 104993,
									["Ignite Blood"] = 142646,
									["Pool of Embers"] = 142413,
									["Glacial Freeze"] = 142322,
									["Dancing Steel"] = 120032,
									["Demolish Armor"] = 142764,
								},
								["Zul'Gurub"] = {
									["Charge"] = 35570,
									["Otherworldly Presence"] = 97291,
									["Shrink"] = 97397,
									["Cave In"] = 97380,
									["Whispers of Hethiss"] = 96466,
									["Deadzone"] = 97170,
									["Venom Spit"] = 97599,
									["Sanctify"] = 97974,
									["Lightning Cloud"] = 96711,
									["Ravage"] = 96592,
									["Sigil of Flame"] = 98014,
									["Sigil of Death"] = 98019,
									["Full of Meat"] = 81252,
									["Psychic Scream"] = 34322,
									["Zanzili Fire"] = 96916,
									["Minor Quake"] = 97988,
									["Blessing of the Moonwell"] = 100403,
									["Frostburn Formula"] = 96325,
									["Dirt Toss"] = 80382,
									["Gaping Wound"] = 97358,
									["Rend"] = 13445,
									["Entangling Roots"] = 96636,
									["Pierce Armor"] = 12097,
									["Lash of Anguish"] = 96958,
									["Burning Blood"] = 96326,
									["Toxic Link"] = 96477,
									["Consume Soul"] = 97255,
									["Tiki Torch"] = 96822,
									["Sigil Shatter"] = 98033,
									["Backhand"] = 6253,
									["Toxic Torment"] = 96328,
									["Spirit's Vengeance"] = 96493,
									["Shadowflame"] = 96950,
									["Venom Sting"] = 8257,
									["Sigil of Frost"] = 98016,
									["Shadow Word: Death"] = 32409,
									["Tendon Rip"] = 3604,
									["Thunderclap"] = 15588,
									["Mortal Strike"] = 17547,
									["Bloodletting"] = 96776,
									["Spirit Warrior's Gaze"] = 97597,
									["Spirit Walk"] = 58875,
									["Sunder Rift"] = 97320,
									["Frost Breath"] = 97226,
								},
								["Zul'Aman"] = {
									["Energy Storm"] = 43983,
									["Charge"] = 43519,
									["Rain of Fire"] = 43440,
									["Flame Breath"] = 97497,
									["Feral Swipe"] = 97479,
									["Siphon Soul"] = 43501,
									["Piercing Howl"] = 43530,
									["Flame Shock"] = 97490,
									["Mortal Strike"] = 43529,
									["Lynx Rush"] = 97673,
									["Rend Flesh"] = 97810,
									["Shadow Word: Pain"] = 97642,
									["Blood Pact"] = 6307,
									["Sanctify"] = 97974,
									["Bane of Doom"] = 43439,
									["Domesticate"] = 43361,
									["Lacerating Slash"] = 97811,
									["Sigil of Flame"] = 98014,
									["Sigil of Death"] = 98019,
									["Moonfire"] = 43545,
									["Pounce"] = 43356,
									["Frost Shock"] = 97469,
									["Unstable Affliction"] = 43522,
									["Sleep"] = 20989,
									["Psychic Scream"] = 43432,
									["Arcane Torrent"] = 33390,
									["Grievous Throw"] = 97639,
									["Deep Wounds"] = 12721,
									["Frost Nova"] = 43426,
									["Minor Quake"] = 97988,
									["Freezing Trap"] = 43448,
									["Shred Armor"] = 43243,
									["Static Disruption"] = 97298,
									["Blessing of the Moonwell"] = 100403,
									["Shadow Word: Death"] = 32409,
									["Demonic Pact"] = 53646,
									["Electrified Net"] = 97480,
									["Rend"] = 97489,
									["Psychic Wail"] = 43590,
									["Paralyzed"] = 97634,
									["Gut Rip"] = 43358,
									["Surge"] = 42402,
									["Electrical Storm"] = 43648,
									["Frostbolt"] = 43428,
									["Consecration"] = 43429,
									["Flame Whirl"] = 44090,
									["Tranquilizing Poison"] = 97481,
									["Crunch Armor"] = 42747,
									["Sigil Shatter"] = 98033,
									["Flame Buffet"] = 43299,
									["Hamstring"] = 9080,
									["Amani Power"] = 98279,
									["Deafening Roar"] = 42398,
									["Death and Decay"] = 61603,
									["Sigil of Frost"] = 98016,
									["Call of the Beast"] = 43359,
									["Mind-numbing Poison"] = 25810,
									["Claw Rage"] = 97672,
									["Knockdown"] = 35011,
									["Fixate"] = 97486,
									["Heroic Leap"] = 97524,
									["Sunder Armor"] = 11971,
									["Infected Bite"] = 97483,
									["Creeping Paralysis"] = 43095,
								},
								["The Blood Furnace"] = {
									["Shield Slam"] = 15655,
									["Kidney Shot"] = 30832,
									["Curse of Tongues"] = 13338,
									["Intercept"] = 58747,
									["Corruption"] = 32197,
									["Spell Lock"] = 30849,
									["Mark of Shadow"] = 30937,
									["Concussion Blow"] = 22427,
									["Silence"] = 6726,
									["Flamestrike"] = 16102,
									["Dancing Steel"] = 120032,
									["Poison"] = 34969,
								},
								["Karazhan"] = {
									["Shield Slam"] = 29684,
									["Charge"] = 29320,
									["Immolate"] = 29928,
									["Curse of Past Burdens"] = 29540,
									["Bewitching Aura"] = 29486,
									["Impending Betrayal"] = 29491,
									["Temptation"] = 29494,
									["Stomp"] = 37498,
									["Drunken Skull Crack"] = 29690,
									["Demoralizing Shout"] = 29584,
									["Frost Shock"] = 29666,
									["Seduction"] = 29490,
									["Holy Ground"] = 29512,
									["Ethereal Curse"] = 29716,
									["Fireball"] = 29925,
									["Spatial Distortion"] = 29983,
									["Disarm"] = 30013,
									["Rend"] = 29578,
									["Left Hook"] = 29555,
									["Howl of the Broken Hills"] = 29304,
									["Alluring Aura"] = 29485,
									["Impale"] = 29583,
									["Loose Mana"] = 29882,
									["Fear"] = 29321,
									["Holy Fire"] = 29522,
									["Hamstring"] = 9080,
									["Rain of Fire"] = 37465,
									["Net"] = 41580,
									["Stormlash Totem"] = 120676,
									["Game In Session"] = 39331,
									["Bloodlust"] = 37472,
									["Frostbolt"] = 29926,
									["Pierce Armor"] = 6016,
									["Knockdown"] = 18812,
									["Dancing Steel"] = 120032,
									["Curse of Agony"] = 29930,
									["Drain Mana"] = 29881,
									["Cone of Cold"] = 29717,
									["Repentance"] = 29511,
								},
								["Mana-Tombs"] = {
									["Charge"] = 22911,
									["Shadow Word: Pain"] = 34942,
									["Singe"] = 33865,
									["Immolate"] = 17883,
									["Curse of Impotence"] = 34925,
									["Earthquake"] = 33919,
									["Slow"] = 25603,
									["Phantom Strike"] = 33925,
									["Soul Strike"] = 32315,
									["Shadow Word: Death"] = 32409,
									["Shadows Embrace"] = 34922,
									["Psychic Scream"] = 34322,
									["Gouge"] = 34940,
									["Blast Wave"] = 17145,
									["Frost Nova"] = 32365,
									["Crystal Prison"] = 32361,
									["Faerie Fire"] = 25602,
									["Frostbolt"] = 32364,
								},
								["Heart of Fear"] = {
									["Web"] = 4167,
									["Charge"] = 53148,
									["Deadly Poison"] = 34655,
									["Wind Step"] = 123180,
									["Riposte"] = 123436,
									["Blood Plague"] = 55078,
									["Jade Spirit"] = 104993,
									["Spirit Beast Blessing"] = 127830,
									["Gale Force Winds"] = 123497,
									["Pheromones"] = 122835,
									["Frost Fever"] = 55095,
									["Pungency"] = 123081,
									["Pheromones of Zeal"] = 123812,
									["Gouge Throat"] = 123434,
									["Light of the Ancient Kings"] = 86678,
									["Roar of Courage"] = 93435,
									["Convert"] = 122740,
									["Exhale"] = 122761,
									["Arterial Bleeding"] = 123422,
									["Tempus Repit"] = 137590,
									["River's Song"] = 116660,
									["Stone Bulwark"] = 114893,
									["Healing Stream Totem"] = 119523,
									["Serpent's Swiftness"] = 128433,
									["Dismantled Armor"] = 123417,
									["Roar of Sacrifice"] = 53480,
									["Stunning Strike"] = 123420,
									["Anti-Magic Zone"] = 50461,
									["Overwhelming Assault"] = 123474,
									["Sanctuary of the Ox"] = 126119,
									["Dancing Steel"] = 120032,
									["Stormlash Totem"] = 120676,
									["Weak Points"] = 123423,
									["Soothing Mist"] = 125950,
									["Spirit Mend"] = 90361,
								},
								["Hour of Twilight"] = {
									["Blessing of the Moonwell"] = 100403,
									["Demonic Pact"] = 53646,
									["Twilight Shear"] = 103363,
									["Seeking Shadows"] = 102984,
									["Rising Fire"] = 103817,
									["Hungering Shadows"] = 103021,
									["Staggering Blow"] = 103000,
									["Mark of Silence"] = 102726,
									["Squeeze Lifeless"] = 102861,
									["Shadow Bore"] = 102995,
									["Garrote"] = 102925,
									["Water Shell"] = 103744,
									["Tentacle Smash"] = 102848,
									["Mind Flay"] = 103024,
									["Righteous Shear"] = 103151,
									["Bloodlust"] = 103834,
									["Bash"] = 102990,
									["Torrent of Frost"] = 103904,
									["Choking Smoke Bomb"] = 103790,
									["Silenced"] = 103587,
									["Mortal Strike"] = 103002,
									["Garrote - Silence"] = 102926,
									["Freezing Trap"] = 43415,
									["Chains of Frost"] = 102582,
								},
								["The Vortex Pinnacle"] = {
									["Shockwave"] = 92782,
									["Charge"] = 87930,
									["Lethargic Poison"] = 92774,
									["Hurricane"] = 92773,
									["Wind Blast"] = 92761,
									["Cyclone Shield"] = 93991,
									["Static Cling"] = 87618,
									["Zephyr"] = 85740,
									["Healing Well"] = 88201,
									["Upwind of Altairus"] = 88282,
									["Starfall"] = 92783,
									["Shadow Word: Death"] = 32409,
									["Typhoon"] = 92784,
									["Grounding Field"] = 87726,
									["Asphyxiate"] = 92757,
									["Crusader Strike"] = 92762,
									["Sunder Armor"] = 76622,
									["Cyclone"] = 88010,
								},
								["A Little Patience"] = {
									["Stormlash Totem"] = 120676,
									["Jade Spirit"] = 104993,
									["Blood Rage"] = 134974,
									["Tempus Repit"] = 137590,
									["Dancing Steel"] = 120032,
								},
								["Halls of Reflection"] = {
									["Stormlash Totem"] = 120676,
									["Hopelessness"] = 72395,
									["Deadly Poison"] = 72329,
									["Flamestrike"] = 72169,
									["Dancing Steel"] = 120032,
								},
								["Lost City of the Tol'vir"] = {
									["Shockwave"] = 90024,
									["Wailing Winds"] = 83089,
									["Dragon's Breath"] = 90026,
									["Serum of Torment"] = 89994,
									["Infectious Plague"] = 82768,
									["Plague of Ages"] = 89996,
									["Hard Impact"] = 91258,
									["Stormlash Totem"] = 120676,
									["Disease Breath"] = 90005,
									["Eagle Claw"] = 89988,
									["Impale"] = 89990,
									["Forked Fire-Shot"] = 89992,
									["Dancing Steel"] = 120032,
									["Paralytic Venom"] = 90022,
									["Hex"] = 82760,
									["Smoke Bomb"] = 84768,
									["Scent of Blood"] = 89998,
									["Ritual of Bloodletting"] = 89993,
									["Vicious Bite"] = 89999,
									["Soul Sever"] = 82255,
									["Hallowed Ground"] = 90010,
									["Skull Crack"] = 82670,
									["Branded Tongue"] = 90037,
									["Rampage"] = 29801,
									["Viscous Poison"] = 90004,
									["Toxic Blow Dart"] = 89991,
									["Lightning Charge"] = 91871,
									["Paralytic Blow Dart"] = 89989,
									["Wing Clip"] = 82764,
									["Repentance"] = 81947,
								},
								["Dragon Soul"] = {
									["Shockwave"] = 108046,
									["Blood Corruption: Earth"] = 106200,
									["Power Word: Barrier"] = 81782,
									["Chronohunter"] = 108687,
									["Frostflake"] = 109325,
									["Shrapnel"] = 110141,
									["Spark"] = 109368,
									["Fading Light"] = 105925,
									["Soul Link"] = 25228,
									["Disguise"] = 121308,
									["Ice Tomb"] = 104451,
									["Searing Plasma"] = 105479,
									["Void Bolt"] = 108383,
									["Spirit Bond"] = 24529,
									["Lightning Conduit"] = 108569,
									["Twilight Barrage"] = 107439,
									["Demonic Pact"] = 53646,
									["Degeneration"] = 108861,
									["Faded Into Twilight"] = 105927,
									["Grasping Tendrils"] = 109454,
									["Shatter"] = 109331,
									["Blood Corruption: Death"] = 106199,
									["Looming Darkness"] = 106498,
									["Frost Corruption"] = 109333,
									["Fel Intelligence"] = 54424,
									["Ice Lance"] = 107061,
									["Deep Corruption"] = 108220,
									["Target"] = 105285,
									["Ferocious Inspiration"] = 75447,
									["Tornado"] = 109442,
									["Consuming Shroud"] = 110214,
									["Totemic Wrath"] = 77747,
									["Blistering Heat"] = 109585,
									["Shackles of Ice"] = 109423,
									["Shattered Ice"] = 108567,
									["Lightning Storm"] = 108568,
									["Shadow Word: Death"] = 32409,
									["Blessing of the Moonwell"] = 100403,
									["Fiery Grip"] = 105490,
									["Impale"] = 106400,
									["Degenerative Bite"] = 109625,
									["Tetanus"] = 109603,
									["Sunder Armor"] = 108043,
									["Brutal Strike"] = 109209,
									["Degradation"] = 106005,
								},
								["Blackwing Lair"] = {
									["Brood Affliction: Red"] = 23155,
									["Flame Breath"] = 23461,
									["Conflagration"] = 23023,
									["Brood Power: Bronze"] = 22642,
									["Mortal Strike"] = 24573,
									["Brood Affliction: Blue"] = 23153,
									["Flamestrike"] = 22275,
									["Suppression Aura"] = 22247,
									["Greater Polymorph"] = 22274,
									["Ignite Flesh"] = 23316,
									["Brood Affliction: Black"] = 23154,
									["Flame Buffet"] = 23341,
									["Growing Flames"] = 22442,
									["Essence of the Red"] = 23513,
									["Brood Affliction: Bronze"] = 23170,
									["Bottle of Poison"] = 22335,
									["Blast Wave"] = 23331,
									["Slow"] = 13747,
									["Shadow of Ebonroc"] = 23340,
									["War Stomp"] = 24375,
									["Rain of Fire"] = 19717,
								},
								["Throne of the Tides"] = {
									["Lightning Surge"] = 75992,
									["Veil of Shadow"] = 83926,
									["Lacerate"] = 91430,
									["Squeeze"] = 91484,
									["Water Bolt"] = 76535,
									["Curse of Fatigue"] = 76094,
									["Tidal Surge"] = 76133,
									["Enslave"] = 76207,
									["Aura of Dread"] = 83971,
									["Waterlogged"] = 91443,
									["Emberstrike"] = 76165,
									["Magma Splash"] = 76170,
									["Waterspout"] = 90479,
									["Fungal Spores"] = 91470,
									["Bubble Shield"] = 84507,
									["Wave of Corruption"] = 91455,
									["Poisoned Spear"] = 76516,
									["Hex"] = 91435,
									["Mind Fog"] = 76230,
									["Demonic Pact"] = 53646,
								},
								["Halls of Origination"] = {
									["Consume Life Energy"] = 75718,
									["Searing Flames"] = 89849,
									["Stormlash Totem"] = 120676,
									["Poison-tipped Fangs"] = 91167,
									["Curse of the Runecaster"] = 95181,
									["Entangling Shot"] = 89865,
									["Blessing of the Sun"] = 89879,
									["Reverberating Hymn"] = 90008,
									["Raging Inferno"] = 91159,
									["Anti-Magic Prison"] = 76903,
									["Reverberating Stomp"] = 89851,
									["Noxious Spores"] = 89889,
									["Seed of Chaos"] = 89867,
									["Divine Reckoning"] = 94949,
									["Clobber"] = 91169,
									["Spore Blast"] = 89864,
									["Thorn Slash"] = 90007,
									["Serrated Slash"] = 74542,
									["Impale"] = 91163,
									["Supernova"] = 74137,
									["Bubble Bound"] = 91158,
									["Curse of Exhaustion"] = 90006,
									["Firestorm"] = 73861,
									["Quicksand"] = 75548,
									["Wither"] = 76043,
									["Burning Adrenaline Rush"] = 87657,
									["Omega Stance"] = 91207,
									["Corrosive Spray"] = 89857,
									["Crumbling Ruin"] = 91206,
									["Debilitating Venom"] = 89856,
									["Nemesis Strike"] = 91174,
									["Whirling Winds"] = 91153,
									["Blinding Toxin"] = 89859,
									["Alpha Beams"] = 91177,
									["Dancing Steel"] = 120032,
									["Sun Strike"] = 90009,
								},
								["Baradin Hold"] = {
									["Consuming Darkness"] = 88954,
									["Blessing of the Moonwell"] = 100403,
									["Meteor Slash"] = 88942,
									["Arcane Amplifier"] = 89354,
									["Gaze of Occu'thar"] = 97028,
									["Searing Shadows"] = 101007,
									["Fel Intelligence"] = 54424,
									["Totemic Wrath"] = 77747,
									["Shadow Word: Death"] = 32409,
								},
								["Shadowfang Keep"] = {
									["Desecration"] = 94370,
									["Living Bomb"] = 91563,
									["Fetid Cloud"] = 91554,
									["Blinding Shadows"] = 93953,
									["Frostbolt"] = 15497,
									["Fear"] = 38595,
									["Spectral Ravaging"] = 93930,
									["Word of Shame"] = 93852,
									["Shadowy Touch"] = 91324,
									["Rotting Bile"] = 91099,
									["Cowering Roar"] = 91220,
									["Mortal Wound"] = 93771,
									["Bone Flurry"] = 91425,
									["Toxic Coagulant"] = 93617,
									["Arcane Tactics"] = 82930,
									["Shadow Vortex"] = 91325,
									["Pain and Suffering"] = 93712,
									["Toxic Catalyst"] = 93689,
									["Cursed Bullets"] = 93761,
									["Haunting Spirits"] = 91293,
									["Drain Life"] = 91291,
									["Forsaken Ability"] = 7054,
									["Shadow Word: Death"] = 32409,
									["Wracking Pain"] = 93720,
									["Pustulant Spit"] = 91678,
									["Ravage"] = 3242,
									["Soul Drain"] = 93920,
									["Asphyxiate"] = 93710,
									["Cursed Veil"] = 93956,
									["Tenderize"] = 91348,
									["Mortal Strike"] = 91801,
								},
								["Scarlet Halls"] = {
									["Piercing Throw"] = 114004,
									["Anti-Magic Zone"] = 50461,
									["Disarm"] = 6713,
									["Carrying Bucket"] = 128164,
									["Power Word: Barrier"] = 81782,
									["Greater Dragon's Breath"] = 113653,
									["Jade Spirit"] = 104993,
									["Flamestrike"] = 111667,
									["Dancing Steel"] = 120032,
									["Staggering Shot"] = 113642,
									["Holy Fire"] = 128232,
									["Stone Bulwark"] = 114893,
									["Beatdown"] = 114184,
									["Jolt"] = 114000,
									["Bloody Mess"] = 114056,
									["Bleeding Wound"] = 113855,
									["Slash Armor"] = 114011,
									["Pyroblast"] = 113690,
								},
								["Halls of Stone"] = {
									["Dancing Steel"] = 120032,
									["Unrelenting Strike"] = 59039,
								},
								["Zul'Farrak"] = {
									["Hex"] = 11641,
									["Shadow Word: Pain"] = 14032,
									["Infected Wound"] = 3427,
								},
								["Thunder King's Citadel"] = {
									["Web"] = 140642,
									["Lightning Surge"] = 139805,
									["Lightning Tile"] = 139801,
									["Crush Armor"] = 127157,
									["Piercing Howl"] = 38256,
									["Stormlash Totem"] = 120676,
									["Frost Nova"] = 15063,
									["Mortal Strike"] = 13737,
									["Stone Smash"] = 139777,
									["Dancing Steel"] = 120032,
								},
								["Crypt of Forgotten Kings"] = {
									["Stormlash Totem"] = 120676,
									["Jade Spirit"] = 104993,
									["Uncontrolled Anger"] = 129025,
									["Destroy Armor"] = 142882,
									["Horrendous Shout"] = 120310,
									["Dancing Steel"] = 120032,
									["Air Vent"] = 121029,
								},
								["Throne of Thunder"] = {
									["Storm Energy"] = 139322,
									["Anti-Magic Zone"] = 50461,
									["Crush Armor"] = 33661,
									["Discharged Energy"] = 134821,
									["Torment"] = 139550,
									["Scorched"] = 134647,
									["Stone Gaze"] = 136708,
									["Stormlash Totem"] = 120676,
									["Jade Spirit"] = 104993,
									["Electrical Shock"] = 136914,
									["Foul Venom"] = 139310,
									["Soothing Mist"] = 125950,
									["Freeze"] = 135145,
									["Lightning Burst"] = 138196,
									["Infrared Light"] = 133732,
									["Icy Shadows"] = 137440,
									["Blue Rays"] = 133675,
									["Triple Puncture"] = 136767,
									["Thundering Throw"] = 137371,
									["Overloaded Circuits"] = 137176,
									["Fusion Slash"] = 136478,
									["Frozen Bolt"] = 136573,
									["Harsh Light"] = 137152,
									["Roar of Courage"] = 93435,
									["Arcing Lightning"] = 136193,
									["Flames of Passion"] = 137417,
									["Dark Winds"] = 139485,
									["Static Shock"] = 135695,
									["Impale"] = 134691,
									["Rushing Winds"] = 137654,
									["River's Song"] = 116660,
									["Beast of Nightmares"] = 137375,
									["Stone Bulwark"] = 114893,
									["Anima Font"] = 138691,
									["Infected Talons"] = 140092,
									["Daedalian Wings"] = 140014,
									["Serpent's Vitality"] = 138306,
									["Frozen Blood"] = 137664,
									["Fortitude"] = 137593,
									["Matter Swap"] = 138609,
									["Feed Pool"] = 138319,
									["Invoke Crane Spirit"] = 138189,
									["Anima Ring"] = 136962,
									["Windburn"] = 140208,
									["Gnawed Upon"] = 134668,
									["Energizing Spores"] = 135678,
									["Crashing Thunder"] = 135153,
									["Putrify"] = 139317,
									["Infected Bite"] = 139314,
									["Touch of the Animus"] = 138659,
									["Blazing Sunlight"] = 136719,
									["Life Drain"] = 137727,
									["Mortal Strike"] = 136670,
									["Invoke Serpent Spirit"] = 138267,
									["Violent Gale Winds"] = 136889,
									["Shockwave"] = 139215,
									["Dancing Steel"] = 120032,
									["Electrified Waters"] = 138006,
									["Spirit Beast Blessing"] = 127830,
									["Lightning Storm"] = 136192,
									["Cackling Howl"] = 128432,
									["Corrupted Healing"] = 137360,
									["Venom Bolt Volley"] = 136587,
									["Soul Link"] = 108446,
									["Wind Storm"] = 136577,
									["Slimed"] = 138309,
									["Deadly Plague"] = 136710,
									["Dead Zone"] = 135147,
									["Lingering Gaze"] = 134626,
									["Xuen's Blessed Alacrity"] = 138855,
									["Ancient Venom"] = 139888,
									["Furious Howl"] = 24604,
									["Fan of Flames"] = 137408,
									["Tempus Repit"] = 137590,
									["Burning Cinders"] = 137668,
									["Malformed Blood"] = 136050,
									["Electrified"] = 136615,
									["Colossus"] = 116631,
									["Static Burst"] = 137162,
									["Light of the Ancient Kings"] = 86678,
									["Rending Charge"] = 136654,
									["Frostbolt"] = 136952,
									["Implosion"] = 137507,
									["Retrieve Spear"] = 137072,
									["Power Word: Barrier"] = 81782,
									["Storm Cloud"] = 137669,
									["Talon Rake"] = 134366,
									["Decapitate"] = 134912,
									["Focused Lightning"] = 137422,
									["Cocoon"] = 112844,
									["Fully Mutated"] = 140546,
									["Static Wound"] = 138349,
									["Slumber Spores"] = 136722,
									["Sanctuary of the Ox"] = 126119,
									["Stormcloud"] = 139900,
									["Primal Nutriment"] = 140741,
									["Wounding Strike"] = 140049,
									["Earthliving"] = 51945,
									["Lightning Bolt"] = 136853,
									["Invoke Tiger Spirit"] = 138264,
									["Arterial Cut"] = 133768,
									["Overcharged"] = 136295,
									["Serious Wound"] = 133767,
									["Overcharge"] = 136326,
									["Bright Light"] = 133737,
									["Healing Stream Totem"] = 119523,
									["Explosive Slam"] = 138569,
									["Carnivorous Bite"] = 122962,
								},
								["Mogu'shan Vaults"] = {
									["Ground Slam"] = 121087,
									["Flaming Spear"] = 116942,
									["Deadly Poison"] = 34655,
									["Jasper Chains"] = 130395,
									["Jasper Petrification"] = 116038,
									["Pinned Down"] = 118135,
									["Stormlash Totem"] = 120676,
									["Jade Spirit"] = 104993,
									["Dancing Steel"] = 120032,
									["Devastating Arc"] = 116835,
									["Stomp"] = 116969,
									["Anti-Magic Zone"] = 50461,
									["Soul Sever"] = 116278,
									["Pillaged"] = 118048,
									["Curse of Vitality"] = 121245,
									["Healing Stream Totem"] = 119523,
									["Spirit Beast Blessing"] = 127830,
									["Amethyst Pool"] = 130774,
									["Cackling Howl"] = 128432,
									["Energizing Smash"] = 116550,
									["Rend Flesh"] = 125206,
									["Flesh to Stone"] = 118552,
									["Focused Assault"] = 116990,
									["Sanctuary of the Ox"] = 126119,
									["Closed Circuit"] = 117949,
									["Colossus"] = 116631,
									["Furious Howl"] = 24604,
									["Light of the Ancient Kings"] = 86678,
									["Roar of Courage"] = 93435,
									["Sundering Bite"] = 116970,
									["Amethyst Petrification"] = 116060,
									["Cobalt Mine Blast"] = 116281,
									["Epicenter"] = 116040,
									["Cobalt Petrification"] = 115861,
									["Petrified"] = 118562,
									["Arcane Shock"] = 131790,
									["Impale"] = 121247,
									["Impeding Thrust"] = 117485,
									["Troll Rush"] = 116606,
									["Arcane Resonance"] = 116417,
									["Pyroblast"] = 120670,
									["Sunder Armor"] = 76622,
									["Cowardice"] = 117829,
									["Focused Defense"] = 116778,
									["Stone Bulwark"] = 114893,
									["Lightning Charge"] = 116374,
									["Wildfire Spark"] = 116784,
									["Voodoo Doll"] = 122151,
									["Power Word: Barrier"] = 81782,
									["Maddening Shout"] = 117708,
									["Lightning Lash"] = 131788,
									["Fixate"] = 118303,
									["Soothing Mist"] = 125950,
									["Smoke Bomb"] = 116596,
									["Crossed Over"] = 116260,
									["Spirit Mend"] = 90361,
								},
								["Siege of Niuzao Temple"] = {
									["Serrated Blade"] = 119840,
									["Furious Howl"] = 24604,
									["Anti-Magic Zone"] = 50461,
									["Tempest"] = 119875,
									["Residue"] = 120938,
									["Wind's Grace"] = 131971,
									["Stormlash Totem"] = 120676,
									["Jade Spirit"] = 104993,
									["Caustic Pitch"] = 121443,
									["Spirit Beast Blessing"] = 127830,
									["Sap Residue"] = 119941,
									["Dancing Steel"] = 120032,
									["Sik'thik Strike"] = 119354,
									["Terrifying Roar"] = 90309,
									["Stone Bulwark"] = 114893,
									["Sap Puddle"] = 120593,
									["Burning Pitch"] = 122259,
									["Crystallized Pitch"] = 122246,
									["Malleable Resin"] = 121421,
									["Detonate"] = 119703,
									["Resin Weaving"] = 121114,
									["Quick-Dry Resin"] = 121447,
									["Embrace of the Shale Spider"] = 90363,
									["Fearless Roar"] = 126373,
								},
								["Scarlet Monastery"] = {
									["Stone Bulwark"] = 114893,
									["Stormlash Totem"] = 120676,
									["Jade Spirit"] = 104993,
									["Anti-Magic Zone"] = 50461,
									["Roar of Courage"] = 93435,
									["Roar of Sacrifice"] = 53480,
									["Dancing Steel"] = 120032,
									["Deep Sleep"] = 9256,
								},
								["Well of Eternity"] = {
									["Blessing of the Moonwell"] = 100403,
									["Corrupting Touch"] = 108101,
									["Blizzard"] = 102267,
									["Firebomb"] = 102263,
									["Coldflame"] = 102466,
									["Totemic Wrath"] = 77747,
									["Strike Fear"] = 103913,
									["Fel Decay"] = 105544,
									["Arcane Bomb"] = 102455,
									["Choking Perfume"] = 102233,
									["Fel Addled"] = 105545,
									["Drain Essence"] = 104905,
									["Gift of Sargeras"] = 105009,
								},
								["Naxxramas"] = {
									["Icebolt"] = 28522,
									["Life Drain"] = 28542,
									["Frost Aura"] = 28531,
									["Frost Blast"] = 27808,
									["Mortal Wound"] = 28467,
									["Frostbolt"] = 28478,
									["Chill"] = 28547,
									["Detonate Mana"] = 27819,
								},
								["End Time"] = {
									["Flesh Rip"] = 102066,
									["Ferocious Inspiration"] = 75447,
									["Frostbolt Volley"] = 101810,
									["Dark Moonlight"] = 102414,
									["Temporal Vortex"] = 102600,
									["Cadaver Toss"] = 109952,
									["Pyroblast"] = 101809,
									["Tail Sweep"] = 108589,
									["Piercing Gaze of Elune"] = 102183,
									["Temporal Blast"] = 102381,
									["Frost Blades"] = 101337,
									["Unholy Shot"] = 101411,
									["Shadow Word: Death"] = 32409,
									["Moonlance"] = 102149,
									["Thunderclap"] = 101820,
									["Shriek of the Highborne"] = 101412,
									["Distortion Bomb"] = 101984,
									["Spirit Bond"] = 24529,
								},
								["Temple of the Jade Serpent"] = {
									["Energizing Spores"] = 135678,
									["Shattered Resolve"] = 110125,
									["Roar of Courage"] = 93435,
									["Sha Residue"] = 106653,
									["Blessing of the Waterspeaker"] = 121483,
									["Stormlash Totem"] = 120676,
									["Jade Spirit"] = 104993,
									["Serrated Slash"] = 128051,
									["Efflorescence"] = 81262,
									["Songbird Serenade"] = 114826,
									["Cackling Howl"] = 128432,
									["Serpent Strike"] = 106823,
									["Jade Serpent Strike"] = 106841,
									["Stone Bulwark"] = 114893,
									["Lorewalkers' Alacrity"] = 122714,
									["Soothing Mist"] = 125950,
									["Dancing Steel"] = 120032,
									["Shadows of Doubt"] = 110099,
									["Tempus Repit"] = 137590,
									["Healing Stream Totem"] = 119523,
									["Purified Water"] = 118714,
									["Touch of Nothingness"] = 106113,
								},
								["Hellfire Ramparts"] = {
									["Kidney Shot"] = 30621,
									["Disarm"] = 6713,
									["Drain Life"] = 35748,
									["Shadow Word: Death"] = 32409,
									["Mortal Strike"] = 16856,
									["Carnivorous Bite"] = 30639,
									["Fear"] = 30615,
									["Demoralizing Shout"] = 16244,
									["Mortal Wound"] = 30641,
									["Shadow Word: Pain"] = 14032,
									["Dancing Steel"] = 120032,
									["Rain of Fire"] = 31598,
								},
								["Gnomeregan"] = {
									["Toxic Volley"] = 21687,
									["Radiation Cloud"] = 10341,
									["Irradiated"] = 9775,
									["Toxic Nova"] = 81039,
									["Poison"] = 744,
								},
								["Stormstout Brewery"] = {
									["Bloat"] = 106546,
									["Colossus"] = 116631,
									["Water Strike"] = 107046,
									["Blackout Brew"] = 106851,
									["Stormlash Totem"] = 120676,
									["Jade Spirit"] = 104993,
									["Wall of Suds"] = 114466,
									["Soothing Mist"] = 125950,
									["Brew Bolt"] = 114548,
									["Stone Bulwark"] = 114893,
									["Roar of Sacrifice"] = 53480,
									["Dancing Steel"] = 120032,
									["Blackout Drunk"] = 106857,
									["Brew Explosion"] = 106648,
									["Ground Pound"] = 106808,
									["Carbonation"] = 116170,
									["Healing Stream Totem"] = 119523,
									["Tempus Repit"] = 137590,
									["Explosive Brew"] = 114291,
									["Furious Howl"] = 24604,
								},
								["Battle on the High Seas"] = {
									["Sanctuary of the Ox"] = 126119,
									["Stormlash Totem"] = 120676,
									["Jade Spirit"] = 104993,
									["Dancing Steel"] = 120032,
									["Swashbuckling"] = 141438,
									["Blood in the Water"] = 142212,
									["Soothing Mist"] = 125950,
									["Cannoneer's Torch"] = 132830,
								},
								["Firelands"] = {
									["Flaming Spear"] = 99695,
									["Blood Pact"] = 6307,
									["Blazing Claw"] = 99844,
									["Magma"] = 100388,
									["Lava Wave"] = 100292,
									["Magma Blast"] = 101246,
									["Fieroblast"] = 100094,
									["Imprinted"] = 100359,
									["Rend Flesh"] = 100057,
									["Melt Armor"] = 100767,
									["Blazing Heat"] = 100981,
									["Power Word: Barrier"] = 81782,
									["Seeping Venom"] = 97079,
									["Gushing Wound"] = 99308,
									["Conflagration"] = 99625,
									["Blazing Power"] = 99461,
									["Soul Link"] = 25228,
									["Fixate"] = 99526,
									["Shadow Word: Death"] = 32409,
									["Totemic Wrath"] = 77747,
									["Harsh Winds"] = 100640,
									["Fel Intelligence"] = 54424,
									["Burning Wound"] = 101238,
									["Fiery Web Spin"] = 97202,
									["Fieroclast Barrage"] = 100095,
								},
								["Unga Ingoo"] = {
									["Sail Knife"] = 130632,
									["Stormlash Totem"] = 120676,
									["Jade Spirit"] = 104993,
									["Scurvy"] = 121910,
									["Getting Smashed"] = 121883,
									["Ooked in the Dook!"] = 119681,
									["Dancing Steel"] = 120032,
									["Net Toss"] = 122254,
								},
								["Gruul's Lair"] = {
									["Ground Slam"] = 33525,
									["Charge"] = 24193,
									["Death Coil"] = 33130,
									["Cave In"] = 36240,
									["Totemic Wrath"] = 77747,
									["Intimidating Roar"] = 16508,
									["Stormlash Totem"] = 120676,
									["Arcane Shock"] = 33175,
									["Blast Wave"] = 33061,
									["Dark Decay"] = 33129,
									["Dancing Steel"] = 120032,
									["Greater Polymorph"] = 33173,
								},
								["Gate of the Setting Sun"] = {
									["Screeching Swarm"] = 111600,
									["River's Song"] = 116660,
									["Furious Howl"] = 24604,
									["Gale Force"] = 115419,
									["Sabotage"] = 107119,
									["Dancing Steel"] = 120032,
									["Jade Spirit"] = 104993,
									["Battering Headbutt"] = 130772,
									["Stormlash Totem"] = 120676,
									["Prey Time"] = 106933,
									["Fixate"] = 111723,
									["Viscous Fluid"] = 107122,
									["Savage Cleave"] = 115436,
									["Soothing Mist"] = 125950,
									["Roar of Courage"] = 93435,
								},
								["Blackwing Descent"] = {
									["Dark Sludge"] = 92987,
									["Shadowflame"] = 80270,
									["Engulfing Darkness"] = 92982,
									["Stoneclaw Stun"] = 39796,
									["Dominion"] = 79318,
									["Mangle"] = 89773,
									["Flamethrower"] = 79505,
									["Mind Spike"] = 87178,
									["Finkle's Mixture"] = 82705,
									["Lightning Conductor"] = 79888,
									["Acid Nova"] = 93012,
									["Frost Fever"] = 55095,
									["Hungering Cold"] = 51209,
									["Curse of Mending"] = 80295,
									["Massive Crash"] = 88287,
									["Insect Swarm"] = 5570,
									["Caustic Slime"] = 88916,
									["Constricting Chains"] = 79589,
									["Mind Trauma"] = 48301,
									["Explosive Cinders"] = 79339,
									["Stormbolt"] = 91890,
									["Execution Sentence"] = 80727,
									["Overcharged Power Generator"] = 91858,
									["Consuming Flames"] = 92972,
									["Totemic Wrath"] = 77747,
									["Shadow Infusion"] = 92048,
									["Spirit Walk"] = 58875,
									["Parasitic Infection"] = 78941,
									["Time Lapse"] = 80329,
									["Mortality"] = 82890,
									["Biting Chill"] = 77760,
									["Living Bomb"] = 44457,
									["Mortal Strike"] = 80390,
									["Grievous Wound"] = 80051,
									["Master Adventurer Award"] = 89798,
									["Roaring Flame"] = 92484,
									["Encasing Shadows"] = 92023,
									["Unstable Affliction"] = 30108,
									["Break"] = 82881,
									["Power Generator"] = 79629,
									["Blast Wave"] = 91893,
									["Tracking"] = 78092,
									["Acquiring Target"] = 79501,
									["Mocking Shadows"] = 91307,
									["Piercing Grip"] = 80145,
									["Soaked In Poison"] = 80011,
									["Chilblains"] = 50435,
									["Flash Bomb"] = 91885,
									["Rend"] = 92990,
									["Overhead Smash"] = 79580,
									["Trauma"] = 46857,
									["Burden of the Crown"] = 80718,
									["Power Word: Barrier"] = 81782,
									["Debilitating Slime"] = 77615,
									["Drakonid Rush"] = 79630,
									["Bash"] = 58861,
									["Flame Buffet"] = 80127,
									["Tail Lash"] = 94129,
									["Chemical Cloud"] = 80161,
									["Aura of Dread"] = 78495,
									["Seed of Corruption"] = 27243,
									["Fungal Growth"] = 81281,
									["Flame Cap"] = 28714,
									["Burning Embers"] = 85421,
									["Shadow of Cowardice"] = 79353,
									["Frost Burn"] = 91896,
									["Shadow Word: Death"] = 32409,
									["Searing Flame"] = 92422,
									["Thunderclap"] = 79604,
									["Corrosive Acid"] = 95060,
									["Fixate"] = 80094,
									["Frostbolt"] = 59638,
									["Brittle Bones"] = 81326,
									["Spell Lock"] = 24259,
									["Flash Freeze"] = 92979,
								},
								["Pit of Saron"] = {
									["Fireball"] = 69583,
									["Black Brand"] = 70392,
									["Permafrost"] = 68786,
									["Frostbolt"] = 69573,
									["Thundering Stomp"] = 68771,
									["Stormlash Totem"] = 120676,
									["Arcing Slice"] = 69579,
									["Puncture Wound"] = 70278,
									["Toxic Waste"] = 69024,
									["Devour Flesh"] = 70393,
									["Dancing Steel"] = 120032,
									["Curse of Agony"] = 70391,
								},
								["Magtheridon's Lair"] = {
									["Stormlash Totem"] = 120676,
									["Death Coil"] = 34437,
									["Unstable Affliction"] = 34439,
									["Shadow Word: Pain"] = 34441,
									["Debris"] = 36449,
									["Dancing Steel"] = 120032,
									["Rain of Fire"] = 34435,
								},
								["The Oculus"] = {
									["Frostbomb"] = 51103,
									["Frostbolt"] = 59280,
									["Time Bomb"] = 59376,
									["Frost Buffet"] = 58025,
									["Blizzard"] = 59278,
									["Flamestrike"] = 61402,
									["Dancing Steel"] = 120032,
									["Ice Beam"] = 59211,
								},
								["Scholomance"] = {
									["Polyformic Acid Potion"] = 114800,
									["Dark Blaze"] = 111585,
									["Roar of Courage"] = 93435,
									["Rend"] = 114860,
									["Immolate"] = 113141,
									["Piercing Howl"] = 23600,
									["Stormlash Totem"] = 120676,
									["Rend Flesh"] = 111762,
									["Unholy Blade"] = 111801,
									["Impale"] = 111813,
									["Shatter Soul"] = 111594,
									["Fixate Anger"] = 115350,
									["Stone Bulwark"] = 114893,
									["Toxic Potion"] = 114873,
									["Ice Wrath"] = 111610,
									["Jade Spirit"] = 104993,
									["Dancing Steel"] = 120032,
									["Dark Plague"] = 114493,
									["Gravity Flux"] = 114038,
									["Skin Like Wax"] = 114479,
									["Wrack Soul"] = 111631,
									["Anti-Magic Zone"] = 50461,
									["Sanctuary of the Ox"] = 126119,
								},
								["Ragefire Chasm"] = {
									["Shield Slam"] = 8242,
									["Curse of Agony"] = 18266,
									["Rend Flesh"] = 120069,
									["Immolate"] = 20800,
									["Curse of Weakness"] = 11980,
									["Poison"] = 744,
									["Dancing Steel"] = 120032,
									["Earthborer Acid"] = 18070,
								},
								["Blackrock Depths"] = {
									["Frostbolt"] = 12675,
									["Immolate"] = 15570,
									["Flame Shock"] = 15096,
									["Mortal Strike"] = 13737,
									["Curse of Weakness"] = 12493,
									["Slow"] = 11436,
									["Hamstring"] = 9080,
									["Gouge"] = 12540,
									["Banish"] = 8994,
									["Rupture"] = 15583,
									["Chilled"] = 6136,
									["Frost Shock"] = 15499,
									["Demoralizing Shout"] = 13730,
									["Hand of Thaurissan"] = 17492,
									["Frost Nova"] = 12674,
									["Sunder Armor"] = 13444,
									["War Stomp"] = 15593,
									["Curse of Agony"] = 14868,
								},
								["The Forge of Souls"] = {
									["Drain Life"] = 69066,
									["Dancing Steel"] = 120032,
									["Stormlash Totem"] = 120676,
								},
								["The Stonecore"] = {
									["Fear"] = 81442,
									["Shadowfury"] = 92644,
									["Dust Storm"] = 92624,
									["Frostbolt Volley"] = 92642,
									["Crystal Barrage"] = 92648,
									["Spinning Slash"] = 92623,
									["Dampening Wave"] = 92650,
									["Paralyze"] = 92426,
									["Curse of Blood"] = 92663,
									["Beat Down"] = 80221,
									["Crystal Shards"] = 92122,
									["Ignite"] = 92636,
									["Fracture"] = 81711,
									["Elementium Spike Shield"] = 92660,
									["Rock Bore"] = 92630,
									["Force Grip"] = 79351,
								},
								["Vale of Eternal Blossoms"] = {
									["Heart of Y'Shaarj"] = 142154,
									["Howl of Horror"] = 142152,
									["Berserking"] = 132952,
									["Molten Hatred"] = 141612,
									["Stormlash Totem"] = 120676,
									["Fortitude"] = 137593,
									["Malevolent Force"] = 142202,
									["Dancing Steel"] = 120032,
									["Veil of Darkness"] = 142201,
									["Restoration"] = 132958,
									["Stone Rain"] = 142139,
								},
								["Throne of the Four Winds"] = {
									["Deafening Winds"] = 93192,
									["Ferocious Inspiration"] = 75447,
									["Hurricane"] = 86481,
									["Fel Intelligence"] = 54424,
									["Lightning Rod"] = 89668,
									["Slicing Gale"] = 93058,
									["Electrocute"] = 88427,
									["Wind Chill"] = 84645,
									["Shadow Word: Death"] = 32409,
									["Totemic Wrath"] = 77747,
									["Stormling"] = 93272,
									["Permafrost"] = 86082,
									["Toxic Spores"] = 86282,
									["Withering Winds"] = 93183,
									["Blood Pact"] = 6307,
									["Spirit Walk"] = 58875,
									["Soul Link"] = 25228,
									["Acid Rain"] = 88301,
								},
								["Shado-Pan Monastery"] = {
									["Colossus"] = 116631,
									["Ice Arrow"] = 126115,
									["Chase Down"] = 118961,
									["Power Word: Barrier"] = 81782,
									["Stormlash Totem"] = 120676,
									["Jade Spirit"] = 104993,
									["Whirling Steel"] = 106699,
									["Smoke Blades"] = 106827,
									["Spirit Beast Blessing"] = 127830,
									["Curse of Agony"] = 112999,
									["Dancing Steel"] = 120032,
									["Magnetic Shroud"] = 107140,
									["Soothing Mist"] = 125950,
									["Stone Bulwark"] = 114893,
									["Terrifying Roar"] = 90309,
									["Roar of Sacrifice"] = 53480,
									["Weakened Defenses"] = 115630,
									["Quivering Palm"] = 106422,
									["Disorienting Smash"] = 106872,
									["Touch of Weakness"] = 113022,
									["Furious Howl"] = 24604,
									["Black Cleave"] = 113020,
									["Thundering Fist"] = 115509,
									["Consumption"] = 106929,
									["Fire Arrow"] = 131241,
								},
								["Blackrock Caverns"] = {
									["Head Crack"] = 77568,
									["Red-Hot Poker"] = 76478,
									["Stone Blow"] = 76185,
									["Frost Buffet"] = 58025,
									["Twilight Corruption"] = 93613,
									["Immolate"] = 93663,
									["Infected Wound"] = 76512,
									["Mortal Strike"] = 13737,
									["Twilight Evolution"] = 75732,
									["Aura of Acceleration"] = 87376,
									["Inflict Pain"] = 76497,
									["Little Big Flame Breath"] = 93667,
									["Terrifying Roar"] = 93586,
									["Shadow Prison"] = 93674,
									["Gravity Strike"] = 93656,
									["Blast Wave"] = 76473,
									["Frost Nova"] = 76509,
									["Bludgeoning Strike"] = 93637,
									["Rend"] = 93670,
									["Quake"] = 75272,
									["Frostbolt"] = 76508,
									["Wounding Strike"] = 75571,
									["Spirit Walk"] = 58875,
									["Frostbomb"] = 93651,
									["Grievous Whirl"] = 93658,
									["Force Blast"] = 93648,
									["Gouge"] = 76582,
									["Crepuscular Veil"] = 76189,
									["Thunderclap"] = 76186,
									["Flame Buffet"] = 87379,
									["Shadow Word: Death"] = 32409,
									["Magma Spit"] = 76031,
									["Bore"] = 93638,
									["Blood of the Evolved"] = 93635,
									["Shackles"] = 76484,
									["Heat Exhaustion"] = 87381,
									["Sunder Armor"] = 76622,
									["Lava Drool"] = 93666,
									["Dark Command"] = 93462,
								},
								["Terrace of Endless Spring"] = {
									["Terrorize"] = 123011,
									["Grip of Fear"] = 130115,
									["Anti-Magic Zone"] = 50461,
									["Roar of Courage"] = 93435,
									["Reaching Attack"] = 119775,
									["Sha Globe"] = 129189,
									["Overwhelming Corruption"] = 117353,
									["Enveloping Darkness"] = 125760,
									["Lightning Prison"] = 111850,
									["Jade Spirit"] = 104993,
									["Bathed in Light"] = 122858,
									["Dread Spray"] = 119983,
									["Shadow Breath"] = 122752,
									["Dancing Steel"] = 120032,
									["Stormlash Totem"] = 120676,
									["Cleansing Waters"] = 117283,
									["Spirit Beast Blessing"] = 127830,
									["Breath of Fear"] = 119414,
									["Purified"] = 117235,
									["Touch of Sha"] = 117519,
									["Spray"] = 123121,
									["Soothing Mist"] = 125950,
									["Colossus"] = 116631,
									["Stone Bulwark"] = 114893,
									["Overwhelming Fear"] = 125758,
									["Penetrating Bolt"] = 119086,
									["Sunbeam"] = 122789,
									["Fright"] = 123036,
									["Nightmares"] = 122777,
									["Dread Shadows"] = 122768,
									["Spirit Mend"] = 90361,
								},
								["Ahn'Qiraj"] = {
									["Sundering Cleave"] = 25174,
									["Debilitating Charge"] = 1906,
									["Cause Insanity"] = 26079,
									["Arcane Burst"] = 568,
									["Mortal Strike"] = 24573,
									["Pierce Armor"] = 6016,
									["Mortal Wound"] = 25646,
									["Fear"] = 26580,
									["Acid Spit"] = 26050,
									["Toxic Volley"] = 25812,
									["Impale"] = 26025,
									["Toxin"] = 25989,
									["Wyvern Sting"] = 26180,
									["Blizzard"] = 26607,
									["Poison Bolt"] = 26601,
									["Unbalancing Strike"] = 26613,
									["Plague"] = 26556,
									["Knockdown"] = 19128,
									["Ravage"] = 3242,
									["Entangle"] = 1121,
									["Noxious Poison"] = 26053,
									["Toxic Vapors"] = 25786,
									["Poison Bolt Volley"] = 25991,
								},
								["Trial of the Crusader"] = {
									["Impale"] = 66331,
									["Head Crack"] = 66407,
								},
								["The Slave Pens"] = {
									["Head Crack"] = 16172,
									["Decayed Intellect"] = 31555,
									["Rend"] = 13738,
									["Immolate"] = 17883,
									["Entangling Roots"] = 32173,
									["Lightning Cloud"] = 32193,
									["Frightening Shout"] = 29544,
									["Hamstring"] = 9080,
									["Piercing Jab"] = 31551,
									["Cripple"] = 33787,
									["Earthgrab"] = 31983,
									["Shadow Word: Death"] = 32409,
									["Decayed Strength"] = 35760,
									["Shield Slam"] = 15655,
									["Psychic Horror"] = 34984,
									["Frostbolt"] = 15497,
									["Frost Nova"] = 32192,
									["Sunder Armor"] = 16145,
									["Domination"] = 30923,
									["Rain of Fire"] = 16005,
								},
								["Brewmoon Festival"] = {
									["Stormlash Totem"] = 120676,
									["Mistweaving"] = 125125,
									["Bloodletting"] = 124341,
									["Gash"] = 126815,
									["Water Walking"] = 124647,
									["Dancing Steel"] = 120032,
									["Oil Slick"] = 125421,
								},
								["Grim Batol"] = {
									["Ice Blast"] = 76825,
									["Deceitful Blast"] = 76715,
									["Cave In"] = 74987,
									["Water Bolt"] = 76720,
									["Stormlash Totem"] = 120676,
									["Dancing Steel"] = 120032,
									["Claw Puncture"] = 76507,
									["Feeble Body"] = 75792,
									["Crunch Armor"] = 76703,
									["Focused Geyser"] = 76797,
									["Flame Conduit"] = 76766,
									["Siphon Essence"] = 75755,
									["Empowering Twilight"] = 76693,
									["Water Spout"] = 76794,
									["Petrified Skin"] = 76792,
									["Overcharge"] = 76579,
									["Disarming Blaze"] = 76679,
									["Curse of the Azureborne"] = 76394,
									["Mortal Strike"] = 76727,
									["Supernova"] = 75238,
								},
								["Dagger in the Dark"] = {
									["Strike"] = 133707,
									["Charge"] = 97164,
									["Stalactite"] = 133387,
									["Swing"] = 133753,
									["Stormlash Totem"] = 120676,
									["Jade Spirit"] = 104993,
									["Gas Bomb"] = 133001,
									["Dancing Steel"] = 120032,
									["Big Bad Voodoo"] = 133896,
									["Cheap Shot"] = 133002,
									["Crippling Poison"] = 132747,
								},
								["The Bastion of Twilight"] = {
									["Entomb"] = 93327,
									["Blackout"] = 86788,
									["Cho's Blast"] = 82518,
									["Stormlash Totem"] = 120676,
									["Jade Spirit"] = 104993,
									["Gravity Core"] = 92075,
									["Soothing Mist"] = 125950,
									["Twilight Shift"] = 88436,
									["Elemental Stasis"] = 82285,
									["Fiery Seduction"] = 47057,
									["Essence of the Red"] = 87946,
									["Static Overload"] = 92067,
									["Corruption: Accelerated"] = 81836,
									["Deep Wounds"] = 12721,
									["Twist Phase"] = 84838,
									["Frost Whirl"] = 93331,
									["Unleash Essence"] = 92947,
									["Roar of Courage"] = 93435,
									["Burning Blood"] = 82660,
									["Heart of Ice"] = 82665,
									["Soul Blade"] = 84850,
									["Gall's Blast"] = 82523,
									["Totemic Wrath"] = 77747,
									["Dark Pool"] = 84853,
									["Sunder Armor"] = 76622,
									["Shockwave"] = 93325,
									["Twilight Spit"] = 92953,
									["Frost Beacon"] = 92307,
									["Burning Twilight"] = 88219,
									["Malevolent Strikes"] = 86159,
									["Piercing Howl"] = 12323,
									["Gripping Shadows"] = 87629,
									["Dancing Steel"] = 120032,
									["Mind Sear"] = 85643,
									["Waterlogged"] = 82762,
									["Magnetic Pull"] = 83587,
									["Flame Shock"] = 95767,
									["Soul Link"] = 25228,
									["Rending Gale"] = 93277,
									["Ferocious Inspiration"] = 75447,
									["Furious Roar"] = 86171,
									["Debilitating Beam"] = 82411,
									["Shadow Volley"] = 85482,
									["Crimson Flames"] = 93348,
									["Trauma"] = 46857,
									["Frozen"] = 82772,
									["Shifted Reality"] = 85564,
									["Crippling Poison"] = 25809,
									["Fungal Growth"] = 81281,
									["Wrack"] = 92955,
									["Corruption: Absolute"] = 82170,
									["Rend"] = 94009,
									["Power Word: Barrier"] = 81782,
									["Lightning Rod"] = 83099,
									["Dismantle"] = 84832,
									["Hungering Shadows"] = 84856,
									["Earthbind"] = 3600,
									["Gravity Crush"] = 84948,
									["Frostfire Bolt"] = 88079,
									["Petrify Skin"] = 87917,
									["Grounded"] = 83581,
									["Blood Pact"] = 6307,
									["Swirling Winds"] = 83500,
									["Cold-Touched"] = 93381,
									["Hamstring"] = 95769,
									["Flame Cap"] = 28714,
									["Wyvern Sting"] = 90488,
									["Earthliving"] = 51945,
									["Tremors"] = 87931,
									["Shadow Word: Death"] = 32409,
									["Mind-numbing Poison"] = 25810,
									["Fiery Barrier"] = 87231,
									["Vaporize"] = 93306,
									["Twilight Zone"] = 92887,
									["Phased Burn"] = 85799,
									["Stasis Strike"] = 93344,
									["Bash"] = 58861,
									["Charge Stun"] = 7922,
								},
								["Halls of Lightning"] = {
									["Shield Slam"] = 15655,
									["Arcing Burn"] = 59834,
									["Poison Tipped Spear"] = 59178,
									["Arc Weld"] = 59085,
									["Piercing Howl"] = 23600,
									["Stormlash Totem"] = 120676,
									["Dancing Steel"] = 120032,
									["Frightening Shout"] = 29544,
									["Dull Weapons"] = 59144,
									["Hammer Blow"] = 52773,
									["Rune Punch"] = 53068,
									["Soul Strike"] = 32315,
									["Static Overload"] = 52658,
									["Hurl Weapon"] = 59259,
									["Blast Wave"] = 22424,
									["Welding Beam"] = 59166,
									["Electro Shock"] = 53043,
									["Melt Armor"] = 61510,
									["Runic Focus"] = 61596,
								},
								["Krasarang Wilds"] = {
									["Artillery Shot"] = 135616,
									["Anti-Magic Zone"] = 50461,
									["Shadow Word: Pain"] = 135509,
									["Serpent Sting"] = 80009,
									["Polymorph"] = 13323,
									["Stormlash Totem"] = 120676,
									["Slow"] = 79880,
									["Restoration"] = 132958,
									["Mind Sear"] = 135513,
									["Bandage"] = 36348,
									["Mind Games"] = 135507,
									["Immolation Trap"] = 78578,
									["Mortal Strike"] = 32736,
									["Hamstring"] = 9080,
									["Pounce"] = 75008,
									["Demoralizing Shout"] = 13730,
									["Fel Immolate"] = 84469,
									["Dancing Steel"] = 120032,
								},
								["Dun Morogh"] = {
									["Freeze Solid"] = 141410,
									["Anti-Magic Zone"] = 50461,
									["Bonechilling Blizzard"] = 141428,
									["Frost Shock"] = 46180,
									["Chilled"] = 6136,
									["Stormlash Totem"] = 120676,
									["Hekima's Scorn"] = 133837,
									["Blizzard"] = 141379,
									["Frost Nova"] = 11831,
									["Frostbolt"] = 141619,
									["Dancing Steel"] = 120032,
									["Frostbolt Volley"] = 141620,
								},
								["Tempest Keep"] = {
									["Frostbolt Volley"] = 37262,
									["Blizzard"] = 37263,
									["Rend"] = 36965,
									["Flame Strike"] = 36731,
									["Flame Patch"] = 35383,
									["Bellowing Roar"] = 44863,
									["Silence"] = 30225,
									["Melt Armor"] = 35410,
									["Remote Toy"] = 37027,
									["Starfall"] = 37124,
									["Mind Flay"] = 37276,
									["Flame Buffet"] = 34121,
									["Immolation"] = 37155,
									["Shadow Word: Pain"] = 37275,
									["Mind Control"] = 36797,
									["Arcane Burst"] = 36970,
									["Deep Wounds"] = 12721,
									["Frost Attack"] = 39087,
									["Conflagration"] = 37018,
									["Arcane Disruption"] = 36834,
									["Frostbolt"] = 36990,
								},
							},
							["alert_RaidDebuff"] = {
								["color"] = {
									["r"] = 1,
									["b"] = 0.03137254901960784,
								},
							},
							["isFirst"] = false,
						},
						["aegerUIH"] = {
							["isFirst"] = false,
							["detected_debuff"] = {
								["Mogu'shan Vaults"] = {
									["Ground Slam"] = 121087,
									["Flaming Spear"] = 116942,
									["Lightning Charge"] = 116374,
									["Jasper Chains"] = 130395,
									["Jasper Petrification"] = 116038,
									["Power Word: Barrier"] = 81782,
									["Stormlash Totem"] = 120676,
									["Rend Flesh"] = 125206,
									["Lightning Lash"] = 131788,
									["Wildfire Infusion"] = 116929,
									["Cackling Howl"] = 128432,
									["Stomp"] = 116969,
									["Devastating Arc"] = 116835,
									["Dancing Steel"] = 120032,
									["Smoke Bomb"] = 116596,
									["Soul Sever"] = 116278,
									["Curse of Vitality"] = 121245,
									["Pillaged"] = 118048,
									["Deadly Poison"] = 34655,
									["Amethyst Pool"] = 130774,
									["Jade Spirit"] = 104993,
									["Pinned Down"] = 118135,
									["Tempus Repit"] = 137590,
									["Flesh to Stone"] = 118552,
									["Focused Assault"] = 116990,
									["Crossed Over"] = 116260,
									["Wildfire Spark"] = 116784,
									["Colossus"] = 116631,
									["Furious Howl"] = 24604,
									["Light of the Ancient Kings"] = 86678,
									["Roar of Courage"] = 93435,
									["Soothing Mist"] = 125950,
									["Amethyst Petrification"] = 116060,
									["Stone Bulwark"] = 114893,
									["Focused Defense"] = 116778,
									["Cobalt Petrification"] = 115861,
									["Petrified"] = 118562,
									["Arcane Shock"] = 131790,
									["Impale"] = 121247,
									["Voodoo Doll"] = 122151,
									["Troll Rush"] = 116606,
									["Arcane Resonance"] = 116417,
									["Sunder Armor"] = 76622,
									["Pyroblast"] = 120670,
									["Cowardice"] = 117829,
									["Impeding Thrust"] = 117485,
									["Epicenter"] = 116040,
									["Cobalt Mine Blast"] = 116281,
									["Sundering Bite"] = 116970,
									["Closed Circuit"] = 117949,
									["Sanctuary of the Ox"] = 126119,
									["Maddening Shout"] = 117708,
									["Energizing Smash"] = 116550,
									["Fixate"] = 118303,
									["Spirit Beast Blessing"] = 127830,
									["Healing Stream Totem"] = 119523,
									["Anti-Magic Zone"] = 50461,
									["Spirit Mend"] = 90361,
								},
								["Mogu'shan Palace"] = {
									["Ground Slam"] = 119684,
									["Colossus"] = 116631,
									["Shank"] = 118963,
									["Crunch Armor"] = 121185,
									["Conflagrate"] = 120160,
									["Stormlash Totem"] = 120676,
									["Traumatic Blow"] = 123655,
									["Demoralizing Roar"] = 123647,
									["Ravage"] = 119946,
									["Rake"] = 120560,
									["Stone Bulwark"] = 114893,
									["Lightning Storm"] = 120562,
									["Intimidation"] = 123646,
									["Jade Spirit"] = 104993,
									["Fearless Roar"] = 126373,
									["Ring of Fire"] = 119573,
									["Shock"] = 123648,
									["Roar of Courage"] = 93435,
									["Healing Stream Totem"] = 119523,
									["Hex of Lethargy"] = 118903,
									["Carnivorous Bite"] = 122962,
								},
								["Icecrown Citadel"] = {
									["Giant Insect Swarm"] = 70475,
									["Vampiric Curse"] = 70423,
									["Pact of the Darkfallen"] = 71340,
									["Infected Wound"] = 71157,
									["Rend Flesh"] = 70435,
									["Mortal Wound"] = 71127,
									["Mutated Infection"] = 69674,
									["Rune of Blood"] = 72410,
									["Tear Gas"] = 71615,
									["Blood Mirror"] = 70451,
									["Blast Wave"] = 70407,
									["Gaseous Bloat"] = 70672,
									["Choking Gas"] = 71278,
									["Fireball"] = 70409,
									["Devour Humanoid"] = 71163,
									["Bubbling Pus"] = 71089,
									["Incite Terror"] = 73070,
									["Essence of the Blood Queen"] = 70867,
									["Vile Gas"] = 69240,
									["Malleable Goo"] = 70853,
									["Geist Alarm"] = 70740,
									["Deathbringer's Rise Teleport"] = 70858,
									["Mark of the Fallen Champion"] = 72293,
									["Gas Spore"] = 69279,
									["Glittering Sparks"] = 71807,
									["Boiling Blood"] = 72385,
									["Hellscream's Warsong"] = 73822,
									["Ooze Flood"] = 69789,
									["Blood Sap"] = 70432,
									["Plague Cloud"] = 71150,
									["Amplify Magic"] = 70408,
									["Shadow Resonance"] = 71822,
									["Mutated Plague"] = 72451,
									["Volatile Ooze Adhesive"] = 70447,
									["Combobulating Spray"] = 71103,
									["Gastric Bloat"] = 72219,
									["Mutated Transformation"] = 70308,
									["Swarming Shadows"] = 71265,
									["Chains of Shadow"] = 70645,
									["Delirious Slash"] = 71623,
									["Uncontrollable Frenzy"] = 70923,
								},
								["Siege of Niuzao Temple"] = {
									["Serrated Blade"] = 119840,
									["Colossus"] = 116631,
									["Furious Howl"] = 24604,
									["Anti-Magic Zone"] = 50461,
									["Tempest"] = 119875,
									["Residue"] = 120938,
									["Wind's Grace"] = 131971,
									["Stormlash Totem"] = 120676,
									["Jade Spirit"] = 104993,
									["Caustic Pitch"] = 121443,
									["Spirit Beast Blessing"] = 127830,
									["Sap Residue"] = 119941,
									["Sanctuary of the Ox"] = 126119,
									["Quick-Dry Resin"] = 121447,
									["Resin Weaving"] = 121114,
									["Crystallized Pitch"] = 122246,
									["Sik'thik Strike"] = 119354,
									["Terrifying Roar"] = 90309,
									["Detonate"] = 119703,
									["Malleable Resin"] = 121421,
									["Burning Pitch"] = 122259,
									["Embrace of the Shale Spider"] = 90363,
									["Fortitude"] = 137593,
									["Sap Puddle"] = 120593,
									["Stone Bulwark"] = 114893,
									["Healing Stream Totem"] = 119523,
									["Dancing Steel"] = 120032,
									["Fearless Roar"] = 126373,
								},
								["Scarlet Monastery"] = {
									["Colossus"] = 116631,
									["Deep Sleep"] = 9256,
									["Anti-Magic Zone"] = 50461,
									["Roar of Courage"] = 93435,
									["Evicted Soul"] = 115309,
									["Pass Judgment"] = 111107,
									["Sanctuary of the Ox"] = 126119,
									["Jade Spirit"] = 104993,
									["Mind Rot"] = 115144,
									["Flamestrike"] = 110963,
									["River's Song"] = 116660,
									["Stone Bulwark"] = 114893,
									["Roar of Sacrifice"] = 53480,
									["Power Word: Shield"] = 127399,
									["Healing Stream Totem"] = 119523,
									["Evict Soul"] = 115297,
									["Spirit Gale"] = 115291,
								},
								["Black Temple"] = {
									["Charge"] = 25821,
									["Shadow Word: Pain"] = 41355,
									["Ignored"] = 39544,
									["Polymorph"] = 41334,
									["Hammer of Justice"] = 41468,
									["Vile Slime"] = 40099,
									["Sweeping Wing Clip"] = 39584,
									["Blind"] = 34654,
									["Volley"] = 41091,
									["Love Tap"] = 41338,
									["Curse of Vitality"] = 41351,
									["Aura of Suffering"] = 41292,
									["Rain of Chaos"] = 39671,
									["Impaling Spine"] = 39837,
									["Wound Poison"] = 39665,
									["Spirit Shock"] = 41426,
									["Skeleton Shot"] = 41171,
									["Throw Shield"] = 41213,
									["Behemoth Charge"] = 41272,
									["Shadow of Death"] = 40251,
									["Confusion"] = 41397,
									["Consecration"] = 41541,
									["Cloud of Disease"] = 41193,
									["Kidney Shot"] = 41389,
									["Insignificance"] = 40618,
									["Divine Wrath"] = 41472,
									["Concussive Throw"] = 41182,
									["Aura of Anger"] = 41337,
									["Soul Drain"] = 41303,
									["Spite"] = 41376,
									["Wing Clip"] = 32908,
									["Rain of Fire"] = 42023,
									["Sleep"] = 41396,
									["Deadly Poison"] = 41192,
									["Death Coil"] = 41070,
									["Atrophy"] = 40327,
									["Flame Shock"] = 41115,
									["Parasitic Shadowfiend"] = 41917,
									["Mortal Wound"] = 25646,
									["Bewildering Strike"] = 40491,
									["Lightning Cloud"] = 39580,
									["Arcing Smash"] = 40599,
									["Ice Trap"] = 41086,
									["Acidic Wound"] = 40481,
									["Sonic Strike"] = 41168,
									["Fel-Acid Breath"] = 40508,
									["Crushing Shadows"] = 40243,
									["Fel Stomp"] = 41274,
									["Shadow Resonance"] = 41047,
									["Concussion Blow"] = 32588,
									["Hurricane"] = 40090,
									["Debilitating Poison"] = 41978,
									["Shadow Prison"] = 40647,
									["Sunder Armor"] = 13444,
									["Fatal Attraction"] = 41001,
									["Deaden"] = 41410,
									["Shield Bash"] = 41197,
									["Aura of Desire"] = 41350,
									["Judgement of Blood"] = 41461,
									["Flamestrike"] = 41481,
									["Agonizing Flames"] = 40932,
									["Poisonous Throw"] = 41346,
									["Aura of Dread"] = 41142,
									["Curse of the Bleakheart"] = 41170,
									["Gouge"] = 24698,
									["Wyvern Sting"] = 41186,
									["Incinerate"] = 40239,
									["Fel Rage"] = 40604,
									["Bloodboil"] = 42005,
									["Blizzard"] = 41482,
									["Mind-numbing Poison"] = 41190,
									["Eject"] = 40597,
									["Silencing Shriek"] = 40823,
									["Fixate"] = 41294,
									["Vile Beam"] = 40860,
									["Dementia"] = 41404,
									["Infatuation"] = 41345,
									["Carnivorous Bite"] = 41092,
								},
								["Naxxramas"] = {
									["Frost Blast"] = 27808,
									["Chill"] = 28547,
									["Frostbolt"] = 28478,
									["Detonate Mana"] = 27819,
									["Mortal Wound"] = 28467,
									["Frost Aura"] = 28531,
									["Life Drain"] = 28542,
									["Icebolt"] = 28522,
								},
								["The Secrets of Ragefire"] = {
									["Demolish Armor"] = 142764,
									["Glacial Freeze"] = 142322,
									["Stormlash Totem"] = 120676,
									["Ignite Blood"] = 142646,
								},
								["End Time"] = {
									["Flesh Rip"] = 102066,
									["Ferocious Inspiration"] = 75447,
									["Frostbolt Volley"] = 101810,
									["Dark Moonlight"] = 102414,
									["Temporal Vortex"] = 102600,
									["Cadaver Toss"] = 109952,
									["Pyroblast"] = 101809,
									["Tail Sweep"] = 108589,
									["Piercing Gaze of Elune"] = 102183,
									["Temporal Blast"] = 102381,
									["Frost Blades"] = 101337,
									["Unholy Shot"] = 101411,
									["Shadow Word: Death"] = 32409,
									["Moonlance"] = 102149,
									["Thunderclap"] = 101820,
									["Shriek of the Highborne"] = 101412,
									["Distortion Bomb"] = 101984,
									["Spirit Bond"] = 24529,
								},
								["Zul'Gurub"] = {
									["Charge"] = 35570,
									["Otherworldly Presence"] = 97291,
									["Shrink"] = 97397,
									["Cave In"] = 97380,
									["Whispers of Hethiss"] = 96466,
									["Backhand"] = 6253,
									["Venom Spit"] = 97599,
									["Sanctify"] = 97974,
									["Lightning Cloud"] = 96711,
									["Ravage"] = 96592,
									["Sigil of Flame"] = 98014,
									["Toxic Link"] = 96477,
									["Full of Meat"] = 81252,
									["Psychic Scream"] = 34322,
									["Zanzili Fire"] = 96916,
									["Minor Quake"] = 97988,
									["Blessing of the Moonwell"] = 100403,
									["Frostburn Formula"] = 96325,
									["Dirt Toss"] = 80382,
									["Gaping Wound"] = 97358,
									["Sigil of Death"] = 98019,
									["Deadzone"] = 97170,
									["Pierce Armor"] = 12097,
									["Spirit Warrior's Gaze"] = 97597,
									["Burning Blood"] = 96326,
									["Sunder Rift"] = 97320,
									["Entangling Roots"] = 96636,
									["Tiki Torch"] = 96822,
									["Sigil Shatter"] = 98033,
									["Mortal Strike"] = 17547,
									["Tendon Rip"] = 3604,
									["Spirit's Vengeance"] = 96493,
									["Shadowflame"] = 96950,
									["Venom Sting"] = 8257,
									["Sigil of Frost"] = 98016,
									["Shadow Word: Death"] = 32409,
									["Toxic Torment"] = 96328,
									["Thunderclap"] = 15588,
									["Consume Soul"] = 97255,
									["Bloodletting"] = 96776,
									["Lash of Anguish"] = 96958,
									["Spirit Walk"] = 58875,
									["Rend"] = 13445,
									["Frost Breath"] = 97226,
								},
								["Zul'Aman"] = {
									["Energy Storm"] = 43983,
									["Charge"] = 43519,
									["Creeping Paralysis"] = 43095,
									["Death and Decay"] = 61603,
									["Shadow Word: Pain"] = 97642,
									["Feral Swipe"] = 97479,
									["Piercing Howl"] = 43530,
									["Flame Shock"] = 97490,
									["Mortal Strike"] = 43529,
									["Lynx Rush"] = 97673,
									["Rend Flesh"] = 97810,
									["Blood Pact"] = 6307,
									["Infected Bite"] = 97483,
									["Sanctify"] = 97974,
									["Unstable Affliction"] = 43522,
									["Domesticate"] = 43361,
									["Call of the Beast"] = 43359,
									["Sigil of Flame"] = 98014,
									["Sigil of Death"] = 98019,
									["Sigil of Frost"] = 98016,
									["Pounce"] = 43356,
									["Frost Shock"] = 97469,
									["Claw Rage"] = 97672,
									["Flame Breath"] = 97497,
									["Psychic Scream"] = 43432,
									["Arcane Torrent"] = 33390,
									["Grievous Throw"] = 97639,
									["Deep Wounds"] = 12721,
									["Frost Nova"] = 43426,
									["Minor Quake"] = 97988,
									["Freezing Trap"] = 43448,
									["Shred Armor"] = 43243,
									["Static Disruption"] = 97298,
									["Blessing of the Moonwell"] = 100403,
									["Shadow Word: Death"] = 32409,
									["Demonic Pact"] = 53646,
									["Electrified Net"] = 97480,
									["Rend"] = 97489,
									["Surge"] = 42402,
									["Hamstring"] = 9080,
									["Gut Rip"] = 43358,
									["Amani Power"] = 98279,
									["Flame Buffet"] = 43299,
									["Frostbolt"] = 43428,
									["Consecration"] = 43429,
									["Flame Whirl"] = 44090,
									["Crunch Armor"] = 42747,
									["Tranquilizing Poison"] = 97481,
									["Sigil Shatter"] = 98033,
									["Electrical Storm"] = 43648,
									["Paralyzed"] = 97634,
									["Psychic Wail"] = 43590,
									["Deafening Roar"] = 42398,
									["Sleep"] = 20989,
									["Moonfire"] = 43545,
									["Lacerating Slash"] = 97811,
									["Mind-numbing Poison"] = 25810,
									["Bane of Doom"] = 43439,
									["Knockdown"] = 35011,
									["Fixate"] = 97486,
									["Heroic Leap"] = 97524,
									["Sunder Armor"] = 11971,
									["Siphon Soul"] = 43501,
									["Rain of Fire"] = 43440,
								},
								["Temple of the Jade Serpent"] = {
									["Energizing Spores"] = 135678,
									["Shattered Resolve"] = 110125,
									["Roar of Courage"] = 93435,
									["Sha Residue"] = 106653,
									["Blessing of the Waterspeaker"] = 121483,
									["Stormlash Totem"] = 120676,
									["Jade Spirit"] = 104993,
									["Serrated Slash"] = 128051,
									["Songbird Serenade"] = 114826,
									["Cackling Howl"] = 128432,
									["Serpent Strike"] = 106823,
									["Jade Serpent Strike"] = 106841,
									["Stone Bulwark"] = 114893,
									["Colossus"] = 116631,
									["Lorewalkers' Alacrity"] = 122714,
									["Touch of Nothingness"] = 106113,
									["Fortitude"] = 137593,
									["Shadows of Doubt"] = 110099,
									["Purified Water"] = 118714,
									["Healing Stream Totem"] = 119523,
									["Dancing Steel"] = 120032,
									["Sanctuary of the Ox"] = 126119,
								},
								["Trial of the Crusader"] = {
									["Impale"] = 66331,
									["Head Crack"] = 66407,
								},
								["Hellfire Ramparts"] = {
									["Kidney Shot"] = 30621,
									["Disarm"] = 6713,
									["Drain Life"] = 35748,
									["Shadow Word: Death"] = 32409,
									["Mortal Strike"] = 16856,
									["Fear"] = 30615,
									["Shadow Word: Pain"] = 14032,
									["Mortal Wound"] = 30641,
									["Demoralizing Shout"] = 16244,
									["Rain of Fire"] = 31598,
									["Carnivorous Bite"] = 30639,
								},
								["Karazhan"] = {
									["Shield Slam"] = 29684,
									["Holy Fire"] = 29522,
									["Hamstring"] = 9080,
									["Demoralizing Shout"] = 29584,
									["Net"] = 41580,
									["Rend"] = 29578,
									["Left Hook"] = 29555,
									["Impending Betrayal"] = 29491,
									["Holy Ground"] = 29512,
									["Impale"] = 29583,
									["Bewitching Aura"] = 29486,
									["Alluring Aura"] = 29485,
									["Ethereal Curse"] = 29716,
									["Loose Mana"] = 29882,
									["Drain Mana"] = 29881,
									["Repentance"] = 29511,
								},
								["Mana-Tombs"] = {
									["Faerie Fire"] = 25602,
									["Shadow Word: Pain"] = 34942,
									["Singe"] = 33865,
									["Immolate"] = 17883,
									["Curse of Impotence"] = 34925,
									["Earthquake"] = 33919,
									["Slow"] = 25603,
									["Phantom Strike"] = 33925,
									["Soul Strike"] = 32315,
									["Shadow Word: Death"] = 32409,
									["Shadows Embrace"] = 34922,
									["Frostbolt"] = 32364,
									["Charge"] = 22911,
									["Blast Wave"] = 17145,
									["Frost Nova"] = 32365,
									["Crystal Prison"] = 32361,
									["Gouge"] = 34940,
									["Psychic Scream"] = 34322,
								},
								["Heart of Fear"] = {
									["Web"] = 4167,
									["Swiftmend"] = 142423,
									["Deadly Poison"] = 34655,
									["Slam"] = 125081,
									["Riposte"] = 123436,
									["Cry Havoc"] = 125907,
									["Blood Plague"] = 55078,
									["Jade Spirit"] = 104993,
									["Silversage Incense"] = 127769,
									["Legion Strike"] = 30213,
									["Spirit Beast Blessing"] = 127830,
									["Fiery Seduction"] = 47057,
									["Power Word: Barrier"] = 81782,
									["Gale Force Winds"] = 123497,
									["Dancing Steel"] = 120032,
									["Parasitic Growth"] = 121949,
									["Charge"] = 53148,
									["Frost Fever"] = 55095,
									["Visions of Demise"] = 124862,
									["Fortitude"] = 137593,
									["Consuming Terror"] = 124849,
									["Eyes of the Empress"] = 123707,
									["Pheromones of Zeal"] = 123812,
									["Dissonance Field"] = 123184,
									["Colossus"] = 116631,
									["Gouge Throat"] = 123434,
									["Light of the Ancient Kings"] = 86678,
									["Poison-Drenched Armor"] = 124821,
									["Soothing Mist"] = 125950,
									["Reshape Life"] = 122784,
									["Convert"] = 122740,
									["Mortal Rend"] = 126901,
									["Roar of Courage"] = 93435,
									["Burning Sting"] = 125490,
									["Exhale"] = 122761,
									["Stone Bulwark"] = 114893,
									["Arterial Bleeding"] = 123422,
									["Anti-Magic Zone"] = 50461,
									["Dismantled Armor"] = 123417,
									["Crackling Tiger Lightning"] = 123996,
									["Grievous Whirl"] = 126912,
									["Poison Bomb"] = 124777,
									["Stormlash Totem"] = 120676,
									["Serpent's Swiftness"] = 128433,
									["Sha Corruption"] = 125283,
									["Roar of Sacrifice"] = 53480,
									["Stunning Strike"] = 123420,
									["Cry of Terror"] = 123788,
									["Mortal Wounds"] = 115804,
									["Blackout Kick"] = 128531,
									["Fixate"] = 125390,
									["Rising Sun Kick"] = 130320,
									["Healing Stream Totem"] = 119523,
									["Sanctuary of the Ox"] = 126119,
									["Spirit Mend"] = 90361,
								},
								["Hour of Twilight"] = {
									["Blessing of the Moonwell"] = 100403,
									["Garrote"] = 102925,
									["Twilight Shear"] = 103363,
									["Seeking Shadows"] = 102984,
									["Rising Fire"] = 103817,
									["Hungering Shadows"] = 103021,
									["Staggering Blow"] = 103000,
									["Mark of Silence"] = 102726,
									["Squeeze Lifeless"] = 102861,
									["Freezing Trap"] = 43415,
									["Mortal Strike"] = 103002,
									["Demonic Pact"] = 53646,
									["Silenced"] = 103587,
									["Mind Flay"] = 103024,
									["Bloodlust"] = 103834,
									["Righteous Shear"] = 103151,
									["Bash"] = 102990,
									["Torrent of Frost"] = 103904,
									["Choking Smoke Bomb"] = 103790,
									["Tentacle Smash"] = 102848,
									["Water Shell"] = 103744,
									["Garrote - Silence"] = 102926,
									["Shadow Bore"] = 102995,
									["Chains of Frost"] = 102582,
								},
								["The Vortex Pinnacle"] = {
									["Shockwave"] = 92782,
									["Charge"] = 87930,
									["Lethargic Poison"] = 92774,
									["Hurricane"] = 92773,
									["Wind Blast"] = 92761,
									["Cyclone Shield"] = 93991,
									["Static Cling"] = 87618,
									["Zephyr"] = 85740,
									["Healing Well"] = 88201,
									["Upwind of Altairus"] = 88282,
									["Starfall"] = 92783,
									["Shadow Word: Death"] = 32409,
									["Typhoon"] = 92784,
									["Grounding Field"] = 87726,
									["Asphyxiate"] = 92757,
									["Crusader Strike"] = 92762,
									["Sunder Armor"] = 76622,
									["Cyclone"] = 88010,
								},
								["The Stonecore"] = {
									["Force Grip"] = 79351,
									["Shadowfury"] = 92644,
									["Spinning Slash"] = 92623,
									["Frostbolt Volley"] = 92642,
									["Crystal Barrage"] = 92648,
									["Dust Storm"] = 92624,
									["Curse of Blood"] = 92663,
									["Ignite"] = 92636,
									["Fracture"] = 81711,
									["Beat Down"] = 80221,
									["Crystal Shards"] = 92122,
									["Paralyze"] = 92426,
									["Dampening Wave"] = 92650,
									["Elementium Spike Shield"] = 92660,
									["Rock Bore"] = 92630,
									["Fear"] = 81442,
								},
								["Firelands"] = {
									["Flaming Spear"] = 99695,
									["Burning Wound"] = 101238,
									["Blazing Claw"] = 99844,
									["Magma"] = 100388,
									["Power Word: Barrier"] = 81782,
									["Magma Blast"] = 101246,
									["Rend Flesh"] = 100057,
									["Imprinted"] = 100359,
									["Fieroblast"] = 100094,
									["Melt Armor"] = 100767,
									["Blazing Heat"] = 100981,
									["Lava Wave"] = 100292,
									["Seeping Venom"] = 97079,
									["Gushing Wound"] = 99308,
									["Blood Pact"] = 6307,
									["Fel Intelligence"] = 54424,
									["Soul Link"] = 25228,
									["Harsh Winds"] = 100640,
									["Totemic Wrath"] = 77747,
									["Shadow Word: Death"] = 32409,
									["Fixate"] = 99526,
									["Blazing Power"] = 99461,
									["Conflagration"] = 99625,
									["Fiery Web Spin"] = 97202,
									["Fieroclast Barrage"] = 100095,
								},
								["Dun Morogh"] = {
									["Tempus Repit"] = 137590,
									["Drain Blood"] = 112896,
									["Jade Spirit"] = 104993,
									["Hekima's Brand"] = 139555,
									["Pounce"] = 75008,
									["Frostbolt Blast"] = 141621,
									["Frost Armor"] = 12544,
									["Freezing Circle"] = 34779,
								},
								["Blackrock Caverns"] = {
									["Head Crack"] = 77568,
									["Red-Hot Poker"] = 76478,
									["Stone Blow"] = 76185,
									["Heat Exhaustion"] = 87381,
									["Twilight Corruption"] = 93613,
									["Immolate"] = 93663,
									["Infected Wound"] = 76512,
									["Mortal Strike"] = 13737,
									["Twilight Evolution"] = 75732,
									["Aura of Acceleration"] = 87376,
									["Inflict Pain"] = 76497,
									["Little Big Flame Breath"] = 93667,
									["Terrifying Roar"] = 93586,
									["Shadow Prison"] = 93674,
									["Gravity Strike"] = 93656,
									["Blast Wave"] = 76473,
									["Frost Nova"] = 76509,
									["Bludgeoning Strike"] = 93637,
									["Frostbolt"] = 76508,
									["Quake"] = 75272,
									["Frost Buffet"] = 58025,
									["Rend"] = 93670,
									["Sunder Armor"] = 76622,
									["Lava Drool"] = 93666,
									["Grievous Whirl"] = 93658,
									["Force Blast"] = 93648,
									["Wounding Strike"] = 75571,
									["Crepuscular Veil"] = 76189,
									["Bore"] = 93638,
									["Flame Buffet"] = 87379,
									["Shadow Word: Death"] = 32409,
									["Magma Spit"] = 76031,
									["Shackles"] = 76484,
									["Blood of the Evolved"] = 93635,
									["Thunderclap"] = 76186,
									["Gouge"] = 76582,
									["Spirit Walk"] = 58875,
									["Frostbomb"] = 93651,
									["Dark Command"] = 93462,
								},
								["Lost City of the Tol'vir"] = {
									["Shockwave"] = 90024,
									["Wailing Winds"] = 83089,
									["Dragon's Breath"] = 90026,
									["Serum of Torment"] = 89994,
									["Infectious Plague"] = 82768,
									["Scent of Blood"] = 89998,
									["Paralytic Venom"] = 90022,
									["Disease Breath"] = 90005,
									["Forked Fire-Shot"] = 89992,
									["Impale"] = 89990,
									["Eagle Claw"] = 89988,
									["Hex"] = 82760,
									["Hard Impact"] = 91258,
									["Plague of Ages"] = 89996,
									["Ritual of Bloodletting"] = 89993,
									["Vicious Bite"] = 89999,
									["Soul Sever"] = 82255,
									["Hallowed Ground"] = 90010,
									["Skull Crack"] = 82670,
									["Viscous Poison"] = 90004,
									["Rampage"] = 29801,
									["Branded Tongue"] = 90037,
									["Toxic Blow Dart"] = 89991,
									["Lightning Charge"] = 91871,
									["Paralytic Blow Dart"] = 89989,
									["Wing Clip"] = 82764,
									["Repentance"] = 81947,
								},
								["Unga Ingoo"] = {
									["Ooked in the Dook!"] = 119681,
									["Jade Spirit"] = 104993,
									["Sail Knife"] = 130632,
									["Unbearable Stench"] = 130577,
									["Angry Monkey Stare"] = 121937,
									["Net Toss"] = 122254,
								},
								["Gruul's Lair"] = {
									["Ground Slam"] = 33525,
									["Greater Polymorph"] = 33173,
									["Death Coil"] = 33130,
									["Cave In"] = 36240,
									["Totemic Wrath"] = 77747,
									["Intimidating Roar"] = 16508,
									["Arcane Shock"] = 33175,
									["Charge"] = 24193,
									["Blast Wave"] = 33061,
									["Dark Decay"] = 33129,
								},
								["Siege of Orgrimmar"] = {
									["Projection"] = 146822,
									["Shadowflame"] = 145551,
									["Reaching Attack"] = 144774,
									["Sha Residue"] = 143459,
									["Stormlash Totem"] = 120676,
									["Jade Spirit"] = 104993,
									["Soothing Mist"] = 125950,
									["Test of Reliance"] = 144850,
									["Shadow Weakness"] = 144176,
									["Lingering Corruption"] = 144514,
									["Disheartening Laugh"] = 146707,
									["Self Doubt"] = 146124,
									["Power of the Titans"] = 144364,
									["Test of Serenity"] = 144849,
									["Explosive Tar"] = 144498,
									["Swirl"] = 143413,
									["River's Song"] = 116660,
									["Purified"] = 146022,
									["Stone Bulwark"] = 114893,
									["Purified Residue"] = 143524,
									["Lesser Sha Residue"] = 147083,
									["Fortitude"] = 137593,
									["Bottomless Pit"] = 146703,
									["Gift of the Titans"] = 144359,
									["Sha Splash"] = 143297,
									["Sha Sear"] = 143423,
									["Lesser Purified Residue"] = 147155,
									["Earthbind"] = 116947,
									["Debilitation"] = 147383,
									["Ignite Armor"] = 144467,
									["Dancing Steel"] = 120032,
									["Corrosive Blast"] = 143437,
									["Froststorm Strike"] = 144215,
									["Soul Link"] = 108446,
									["Overcome"] = 144843,
									["Mark of Arrogance"] = 144351,
									["Toxic Mist"] = 144089,
									["Corrupted Prison"] = 144574,
									["Self-Absorbed"] = 145861,
									["Defiled Ground"] = 143959,
									["Corrupted Touch"] = 149207,
									["Corruption Kick"] = 143010,
									["Test of Confidence"] = 144851,
									["Rend"] = 140276,
									["Entangling Roots"] = 113770,
									["Cutter Laser Target"] = 146325,
									["Vengeful Strikes"] = 144396,
									["Shadow Word: Bane"] = 143434,
									["Energizing Spores"] = 135678,
									["Noxious Poison"] = 143239,
									["Seeping Sha"] = 143286,
									["Cutter Laser"] = 144918,
									["Corrupted Brew"] = 143023,
									["Meditative Field"] = 143564,
									["Power Word: Barrier"] = 81782,
									["Resistance Totem"] = 145730,
									["Efflorescence"] = 81262,
									["Mark of Anguish"] = 143840,
									["Gouge"] = 143301,
									["Foul Geyser"] = 143990,
									["Earthgrab"] = 64695,
									["Despair"] = 145725,
									["Full of Meat"] = 81252,
									["Garrote"] = 143198,
									["Bribe"] = 145553,
									["Fixate"] = 143292,
									["Sanctuary of the Ox"] = 126119,
									["Healing Stream Totem"] = 119523,
									["Mortal Strike"] = 15708,
									["Laser Burn"] = 144459,
								},
								["Dragon Soul"] = {
									["Shockwave"] = 108046,
									["Blood Corruption: Earth"] = 106200,
									["Fel Intelligence"] = 54424,
									["Chronohunter"] = 108687,
									["Frostflake"] = 109325,
									["Shrapnel"] = 110141,
									["Spark"] = 109368,
									["Fading Light"] = 105925,
									["Soul Link"] = 25228,
									["Disguise"] = 121308,
									["Ice Tomb"] = 104451,
									["Searing Plasma"] = 105479,
									["Void Bolt"] = 108383,
									["Spirit Bond"] = 24529,
									["Blessing of the Moonwell"] = 100403,
									["Ferocious Inspiration"] = 75447,
									["Demonic Pact"] = 53646,
									["Degeneration"] = 108861,
									["Sunder Armor"] = 108043,
									["Grasping Tendrils"] = 109454,
									["Shatter"] = 109331,
									["Blood Corruption: Death"] = 106199,
									["Brutal Strike"] = 109209,
									["Power Word: Barrier"] = 81782,
									["Ice Lance"] = 107061,
									["Impale"] = 106400,
									["Deep Corruption"] = 108220,
									["Tetanus"] = 109603,
									["Twilight Barrage"] = 107439,
									["Lightning Conduit"] = 108569,
									["Consuming Shroud"] = 110214,
									["Shadow Word: Death"] = 32409,
									["Lightning Storm"] = 108568,
									["Shackles of Ice"] = 109423,
									["Shattered Ice"] = 108567,
									["Blistering Heat"] = 109585,
									["Totemic Wrath"] = 77747,
									["Tornado"] = 109442,
									["Fiery Grip"] = 105490,
									["Target"] = 105285,
									["Degenerative Bite"] = 109625,
									["Frost Corruption"] = 109333,
									["Looming Darkness"] = 106498,
									["Faded Into Twilight"] = 105927,
									["Degradation"] = 106005,
								},
								["Blackwing Descent"] = {
									["Dark Sludge"] = 92987,
									["Shadowflame"] = 80270,
									["Engulfing Darkness"] = 92982,
									["Stoneclaw Stun"] = 39796,
									["Dominion"] = 79318,
									["Mangle"] = 89773,
									["Flamethrower"] = 79505,
									["Mind Spike"] = 87178,
									["Finkle's Mixture"] = 82705,
									["Lightning Conductor"] = 79888,
									["Acid Nova"] = 93012,
									["Frost Fever"] = 55095,
									["Hungering Cold"] = 51209,
									["Curse of Mending"] = 80295,
									["Massive Crash"] = 88287,
									["Insect Swarm"] = 5570,
									["Caustic Slime"] = 88916,
									["Brittle Bones"] = 81326,
									["Mind Trauma"] = 48301,
									["Explosive Cinders"] = 79339,
									["Stormbolt"] = 91890,
									["Flash Freeze"] = 92979,
									["Overcharged Power Generator"] = 91858,
									["Consuming Flames"] = 92972,
									["Totemic Wrath"] = 77747,
									["Shadow Infusion"] = 92048,
									["Spirit Walk"] = 58875,
									["Parasitic Infection"] = 78941,
									["Time Lapse"] = 80329,
									["Mortality"] = 82890,
									["Biting Chill"] = 77760,
									["Living Bomb"] = 44457,
									["Mortal Strike"] = 80390,
									["Grievous Wound"] = 80051,
									["Master Adventurer Award"] = 89798,
									["Roaring Flame"] = 92484,
									["Encasing Shadows"] = 92023,
									["Unstable Affliction"] = 30108,
									["Break"] = 82881,
									["Power Generator"] = 79629,
									["Blast Wave"] = 91893,
									["Tracking"] = 78092,
									["Acquiring Target"] = 79501,
									["Mocking Shadows"] = 91307,
									["Seed of Corruption"] = 27243,
									["Soaked In Poison"] = 80011,
									["Spell Lock"] = 24259,
									["Constricting Chains"] = 79589,
									["Frostbolt"] = 59638,
									["Drakonid Rush"] = 79630,
									["Debilitating Slime"] = 77615,
									["Burden of the Crown"] = 80718,
									["Execution Sentence"] = 80727,
									["Rend"] = 92990,
									["Trauma"] = 46857,
									["Power Word: Barrier"] = 81782,
									["Frost Burn"] = 91896,
									["Chemical Cloud"] = 80161,
									["Tail Lash"] = 94129,
									["Aura of Dread"] = 78495,
									["Bash"] = 58861,
									["Fungal Growth"] = 81281,
									["Flame Cap"] = 28714,
									["Burning Embers"] = 85421,
									["Shadow of Cowardice"] = 79353,
									["Flame Buffet"] = 80127,
									["Shadow Word: Death"] = 32409,
									["Searing Flame"] = 92422,
									["Thunderclap"] = 79604,
									["Corrosive Acid"] = 95060,
									["Fixate"] = 80094,
									["Overhead Smash"] = 79580,
									["Flash Bomb"] = 91885,
									["Chilblains"] = 50435,
									["Piercing Grip"] = 80145,
								},
								["Scholomance"] = {
									["Polyformic Acid Potion"] = 114800,
									["Colossus"] = 116631,
									["Dark Blaze"] = 111585,
									["Roar of Courage"] = 93435,
									["Rend"] = 114860,
									["Immolate"] = 113141,
									["Piercing Howl"] = 23600,
									["Sanctuary of the Ox"] = 126119,
									["Rend Flesh"] = 111762,
									["Unholy Blade"] = 111801,
									["Impale"] = 111813,
									["Shatter Soul"] = 111594,
									["Leader of the Pack"] = 24932,
									["Fixate Anger"] = 115350,
									["Backhand"] = 18103,
									["Stone Bulwark"] = 114893,
									["Toxic Potion"] = 114873,
									["Ice Wrath"] = 111610,
									["Stormlash Totem"] = 120676,
									["Tempus Repit"] = 137590,
									["Healing Stream Totem"] = 119523,
									["Skin Like Wax"] = 114479,
									["Gravity Flux"] = 114038,
									["Dark Plague"] = 114493,
									["Wrack Soul"] = 111631,
									["Jade Spirit"] = 104993,
									["Dancing Steel"] = 120032,
								},
								["Blackwing Lair"] = {
									["Brood Affliction: Red"] = 23155,
									["Flame Breath"] = 23461,
									["Conflagration"] = 23023,
									["Brood Power: Bronze"] = 22642,
									["Mortal Strike"] = 24573,
									["Brood Affliction: Blue"] = 23153,
									["Flamestrike"] = 22275,
									["Greater Polymorph"] = 22274,
									["Suppression Aura"] = 22247,
									["Ignite Flesh"] = 23316,
									["Brood Affliction: Black"] = 23154,
									["Flame Buffet"] = 23341,
									["War Stomp"] = 24375,
									["Essence of the Red"] = 23513,
									["Brood Affliction: Bronze"] = 23170,
									["Shadow of Ebonroc"] = 23340,
									["Blast Wave"] = 23331,
									["Slow"] = 13747,
									["Bottle of Poison"] = 22335,
									["Growing Flames"] = 22442,
									["Rain of Fire"] = 19717,
								},
								["Throne of the Tides"] = {
									["Wave of Corruption"] = 91455,
									["Demonic Pact"] = 53646,
									["Lacerate"] = 91430,
									["Squeeze"] = 91484,
									["Water Bolt"] = 76535,
									["Curse of Fatigue"] = 76094,
									["Tidal Surge"] = 76133,
									["Enslave"] = 76207,
									["Aura of Dread"] = 83971,
									["Waterlogged"] = 91443,
									["Emberstrike"] = 76165,
									["Magma Splash"] = 76170,
									["Veil of Shadow"] = 83926,
									["Fungal Spores"] = 91470,
									["Bubble Shield"] = 84507,
									["Lightning Surge"] = 75992,
									["Poisoned Spear"] = 76516,
									["Hex"] = 91435,
									["Mind Fog"] = 76230,
									["Waterspout"] = 90479,
								},
								["Halls of Origination"] = {
									["Consume Life Energy"] = 75718,
									["Searing Flames"] = 89849,
									["Debilitating Venom"] = 89856,
									["Curse of the Runecaster"] = 95181,
									["Entangling Shot"] = 89865,
									["Curse of Exhaustion"] = 90006,
									["Reverberating Hymn"] = 90008,
									["Raging Inferno"] = 91159,
									["Anti-Magic Prison"] = 76903,
									["Reverberating Stomp"] = 89851,
									["Noxious Spores"] = 89889,
									["Seed of Chaos"] = 89867,
									["Divine Reckoning"] = 94949,
									["Omega Stance"] = 91207,
									["Spore Blast"] = 89864,
									["Thorn Slash"] = 90007,
									["Serrated Slash"] = 74542,
									["Impale"] = 91163,
									["Bubble Bound"] = 91158,
									["Sun Strike"] = 90009,
									["Quicksand"] = 75548,
									["Blessing of the Sun"] = 89879,
									["Blinding Toxin"] = 89859,
									["Whirling Winds"] = 91153,
									["Corrosive Spray"] = 89857,
									["Poison-tipped Fangs"] = 91167,
									["Crumbling Ruin"] = 91206,
									["Nemesis Strike"] = 91174,
									["Clobber"] = 91169,
									["Wither"] = 76043,
									["Alpha Beams"] = 91177,
									["Firestorm"] = 73861,
									["Supernova"] = 74137,
								},
								["Ragefire Chasm"] = {
									["Shield Slam"] = 8242,
									["Curse of Weakness"] = 11980,
									["Earthborer Acid"] = 18070,
									["Poison"] = 744,
									["Immolate"] = 20800,
									["Curse of Agony"] = 18266,
								},
								["Stormstout Brewery"] = {
									["Bloat"] = 106546,
									["Ground Pound"] = 106808,
									["Water Strike"] = 107046,
									["Stone Bulwark"] = 114893,
									["Blackout Brew"] = 106851,
									["Roar of Sacrifice"] = 53480,
									["Furious Howl"] = 24604,
									["Blackout Drunk"] = 106857,
									["Stormlash Totem"] = 120676,
									["Explosive Brew"] = 114291,
									["Carbonation"] = 116170,
									["Wall of Suds"] = 114466,
									["Healing Stream Totem"] = 119523,
									["Brew Explosion"] = 106648,
									["Brew Bolt"] = 114548,
								},
								["Ahn'Qiraj"] = {
									["Sundering Cleave"] = 25174,
									["Debilitating Charge"] = 1906,
									["Blizzard"] = 26607,
									["Arcane Burst"] = 568,
									["Mortal Strike"] = 24573,
									["Pierce Armor"] = 6016,
									["Mortal Wound"] = 25646,
									["Fear"] = 26580,
									["Acid Spit"] = 26050,
									["Toxic Volley"] = 25812,
									["Poison Bolt Volley"] = 25991,
									["Toxin"] = 25989,
									["Wyvern Sting"] = 26180,
									["Cause Insanity"] = 26079,
									["Unbalancing Strike"] = 26613,
									["Entangle"] = 1121,
									["Plague"] = 26556,
									["Knockdown"] = 19128,
									["Ravage"] = 3242,
									["Poison Bolt"] = 26601,
									["Noxious Poison"] = 26053,
									["Toxic Vapors"] = 25786,
									["Impale"] = 26025,
								},
								["Well of Eternity"] = {
									["Blessing of the Moonwell"] = 100403,
									["Corrupting Touch"] = 108101,
									["Blizzard"] = 102267,
									["Firebomb"] = 102263,
									["Coldflame"] = 102466,
									["Totemic Wrath"] = 77747,
									["Arcane Bomb"] = 102455,
									["Fel Decay"] = 105544,
									["Drain Essence"] = 104905,
									["Fel Addled"] = 105545,
									["Choking Perfume"] = 102233,
									["Strike Fear"] = 103913,
									["Gift of Sargeras"] = 105009,
								},
								["Baradin Hold"] = {
									["Consuming Darkness"] = 88954,
									["Blessing of the Moonwell"] = 100403,
									["Meteor Slash"] = 88942,
									["Fel Intelligence"] = 54424,
									["Gaze of Occu'thar"] = 97028,
									["Shadow Word: Death"] = 32409,
									["Totemic Wrath"] = 77747,
									["Arcane Amplifier"] = 89354,
									["Searing Shadows"] = 101007,
								},
								["Vale of Eternal Blossoms"] = {
									["Heart of Y'Shaarj"] = 142154,
									["Howl of Horror"] = 142152,
									["Veil of Darkness"] = 142201,
									["Dancing Steel"] = 120032,
									["Molten Hatred"] = 141612,
									["Stormlash Totem"] = 120676,
									["Jade Spirit"] = 104993,
									["Malevolent Force"] = 142202,
									["Berserking"] = 132952,
									["Healing Stream Totem"] = 119523,
									["Restoration"] = 132958,
									["Stone Rain"] = 142139,
								},
								["Shadowfang Keep"] = {
									["Word of Shame"] = 93852,
									["Tenderize"] = 91348,
									["Cowering Roar"] = 91220,
									["Blinding Shadows"] = 93953,
									["Frostbolt"] = 15497,
									["Arcane Tactics"] = 82930,
									["Spectral Ravaging"] = 93930,
									["Mortal Strike"] = 91801,
									["Shadowy Touch"] = 91324,
									["Rotting Bile"] = 91099,
									["Fetid Cloud"] = 91554,
									["Mortal Wound"] = 93771,
									["Fear"] = 38595,
									["Ravage"] = 3242,
									["Bone Flurry"] = 91425,
									["Shadow Vortex"] = 91325,
									["Haunting Spirits"] = 91293,
									["Toxic Catalyst"] = 93689,
									["Wracking Pain"] = 93720,
									["Pustulant Spit"] = 91678,
									["Drain Life"] = 91291,
									["Forsaken Ability"] = 7054,
									["Shadow Word: Death"] = 32409,
									["Cursed Bullets"] = 93761,
									["Pain and Suffering"] = 93712,
									["Toxic Coagulant"] = 93617,
									["Soul Drain"] = 93920,
									["Asphyxiate"] = 93710,
									["Cursed Veil"] = 93956,
									["Living Bomb"] = 91563,
									["Desecration"] = 94370,
								},
								["Gnomeregan"] = {
									["Toxic Volley"] = 21687,
									["Radiation Cloud"] = 10341,
									["Irradiated"] = 9775,
									["Toxic Nova"] = 81039,
									["Poison"] = 744,
								},
								["Terrace of Endless Spring"] = {
									["Terrorize"] = 123011,
									["Grip of Fear"] = 130115,
									["Anti-Magic Zone"] = 50461,
									["Reaching Attack"] = 119775,
									["Overwhelming Corruption"] = 117353,
									["Stormlash Totem"] = 120676,
									["Jade Spirit"] = 104993,
									["Soothing Mist"] = 125950,
									["Fright"] = 123036,
									["Overwhelming Fear"] = 125758,
									["Sunbeam"] = 122789,
									["Spray"] = 123121,
									["Light of the Ancient Kings"] = 86678,
									["Roar of Courage"] = 93435,
									["Sha Globe"] = 129189,
									["Lightning Prison"] = 111850,
									["Penetrating Bolt"] = 119086,
									["Dread Spray"] = 119983,
									["Shadow Breath"] = 122752,
									["Swiftmend"] = 142423,
									["Dread Shadows"] = 122768,
									["River's Song"] = 116660,
									["Healing Stream Totem"] = 119523,
									["Purified"] = 117235,
									["Stone Bulwark"] = 114893,
									["Enveloping Darkness"] = 125760,
									["Bathed in Light"] = 122858,
									["Dancing Steel"] = 120032,
									["Nightmares"] = 122777,
									["Spirit Beast Blessing"] = 127830,
									["Breath of Fear"] = 119414,
									["Touch of Sha"] = 117519,
									["Colossus"] = 116631,
									["Cleansing Waters"] = 117283,
									["Sanctuary of the Ox"] = 126119,
									["Spirit Mend"] = 90361,
								},
								["Scarlet Halls"] = {
									["Colossus"] = 116631,
									["Piercing Throw"] = 114004,
									["Anti-Magic Zone"] = 50461,
									["Disarm"] = 6713,
									["Carrying Bucket"] = 128164,
									["Greater Dragon's Breath"] = 113653,
									["Jade Spirit"] = 104993,
									["Flamestrike"] = 111667,
									["Dancing Steel"] = 120032,
									["Staggering Shot"] = 113642,
									["Holy Fire"] = 128232,
									["Stone Bulwark"] = 114893,
									["Pyroblast"] = 113690,
									["Shield Breaker"] = 125507,
									["Jolt"] = 114000,
									["Inquisition"] = 111341,
									["Stormlash Totem"] = 120676,
									["Bleeding Wound"] = 113855,
									["Slash Armor"] = 114011,
									["Bloody Mess"] = 114056,
									["Healing Stream Totem"] = 119523,
									["Beatdown"] = 114184,
									["Sanctuary of the Ox"] = 126119,
								},
								["Shado-Pan Monastery"] = {
									["Ice Arrow"] = 126115,
									["Touch of Weakness"] = 113022,
									["Stormlash Totem"] = 120676,
									["Jade Spirit"] = 104993,
									["Whirling Steel"] = 106699,
									["Smoke Blades"] = 106827,
									["Spirit Beast Blessing"] = 127830,
									["Fire Arrow"] = 131241,
									["Dancing Steel"] = 120032,
									["Healing Stream Totem"] = 119523,
									["Tempus Repit"] = 137590,
									["Stone Bulwark"] = 114893,
									["Terrifying Roar"] = 90309,
									["Roar of Sacrifice"] = 53480,
									["Black Cleave"] = 113020,
									["Chase Down"] = 118961,
									["Disorienting Smash"] = 106872,
									["Thundering Fist"] = 115509,
									["Weakened Defenses"] = 115630,
									["Furious Howl"] = 24604,
									["Magnetic Shroud"] = 107140,
									["Consumption"] = 106929,
									["Curse of Agony"] = 112999,
								},
								["The Slave Pens"] = {
									["Head Crack"] = 16172,
									["Decayed Intellect"] = 31555,
									["Rend"] = 13738,
									["Immolate"] = 17883,
									["Entangling Roots"] = 32173,
									["Lightning Cloud"] = 32193,
									["Frightening Shout"] = 29544,
									["Hamstring"] = 9080,
									["Piercing Jab"] = 31551,
									["Shield Slam"] = 15655,
									["Earthgrab"] = 31983,
									["Shadow Word: Death"] = 32409,
									["Cripple"] = 33787,
									["Domination"] = 30923,
									["Frost Nova"] = 32192,
									["Frostbolt"] = 15497,
									["Psychic Horror"] = 34984,
									["Sunder Armor"] = 16145,
									["Decayed Strength"] = 35760,
									["Rain of Fire"] = 16005,
								},
								["Magtheridon's Lair"] = {
									["Shadow Word: Pain"] = 34441,
									["Death Coil"] = 34437,
									["Unstable Affliction"] = 34439,
									["Rain of Fire"] = 34435,
								},
								["Throne of the Four Winds"] = {
									["Deafening Winds"] = 93192,
									["Ferocious Inspiration"] = 75447,
									["Stormling"] = 93272,
									["Fel Intelligence"] = 54424,
									["Wind Chill"] = 84645,
									["Slicing Gale"] = 93058,
									["Permafrost"] = 86082,
									["Lightning Rod"] = 89668,
									["Soul Link"] = 25228,
									["Totemic Wrath"] = 77747,
									["Blood Pact"] = 6307,
									["Hurricane"] = 86481,
									["Electrocute"] = 88427,
									["Withering Winds"] = 93183,
									["Toxic Spores"] = 86282,
									["Spirit Walk"] = 58875,
									["Shadow Word: Death"] = 32409,
									["Acid Rain"] = 88301,
								},
								["Zul'Farrak"] = {
									["Shadow Word: Pain"] = 14032,
									["Hex"] = 11641,
									["Infected Wound"] = 3427,
								},
								["The Bastion of Twilight"] = {
									["Entomb"] = 93327,
									["Blackout"] = 86788,
									["Cho's Blast"] = 82518,
									["Tremors"] = 87931,
									["Hungering Shadows"] = 84856,
									["Gravity Core"] = 92075,
									["Lightning Rod"] = 83099,
									["Twilight Shift"] = 88436,
									["Elemental Stasis"] = 82285,
									["Fiery Barrier"] = 87231,
									["Essence of the Red"] = 87946,
									["Static Overload"] = 92067,
									["Vaporize"] = 93306,
									["Deep Wounds"] = 12721,
									["Phased Burn"] = 85799,
									["Frost Whirl"] = 93331,
									["Unleash Essence"] = 92947,
									["Roar of Courage"] = 93435,
									["Burning Blood"] = 82660,
									["Heart of Ice"] = 82665,
									["Soul Blade"] = 84850,
									["Gall's Blast"] = 82523,
									["Totemic Wrath"] = 77747,
									["Dark Pool"] = 84853,
									["Sunder Armor"] = 76622,
									["Swirling Winds"] = 83500,
									["Cold-Touched"] = 93381,
									["Frost Beacon"] = 92307,
									["Blood Pact"] = 6307,
									["Malevolent Strikes"] = 86159,
									["Piercing Howl"] = 12323,
									["Gripping Shadows"] = 87629,
									["Mind Sear"] = 85643,
									["Waterlogged"] = 82762,
									["Magnetic Pull"] = 83587,
									["Stormlash Totem"] = 120676,
									["Soul Link"] = 25228,
									["Bash"] = 58861,
									["Jade Spirit"] = 104993,
									["Fiery Seduction"] = 47057,
									["Debilitating Beam"] = 82411,
									["Shadow Volley"] = 85482,
									["Crimson Flames"] = 93348,
									["Charge Stun"] = 7922,
									["Frozen"] = 82772,
									["Shifted Reality"] = 85564,
									["Twilight Zone"] = 92887,
									["Fungal Growth"] = 81281,
									["Wrack"] = 92955,
									["Soothing Mist"] = 125950,
									["Rend"] = 94009,
									["Twist Phase"] = 84838,
									["Crippling Poison"] = 25809,
									["Dismantle"] = 84832,
									["Stasis Strike"] = 93344,
									["Corruption: Accelerated"] = 81836,
									["Earthliving"] = 51945,
									["Frostfire Bolt"] = 88079,
									["Petrify Skin"] = 87917,
									["Twilight Spit"] = 92953,
									["Burning Twilight"] = 88219,
									["Shockwave"] = 93325,
									["Grounded"] = 83581,
									["Hamstring"] = 95769,
									["Flame Cap"] = 28714,
									["Wyvern Sting"] = 90488,
									["Gravity Crush"] = 84948,
									["Earthbind"] = 3600,
									["Shadow Word: Death"] = 32409,
									["Mind-numbing Poison"] = 25810,
									["Power Word: Barrier"] = 81782,
									["Corruption: Absolute"] = 82170,
									["Trauma"] = 46857,
									["Furious Roar"] = 86171,
									["Ferocious Inspiration"] = 75447,
									["Rending Gale"] = 93277,
									["Flame Shock"] = 95767,
								},
								["Gate of the Setting Sun"] = {
									["Screeching Swarm"] = 111600,
									["River's Song"] = 116660,
									["Furious Howl"] = 24604,
									["Gale Force"] = 115419,
									["Roar of Courage"] = 93435,
									["Viscous Fluid"] = 107122,
									["Healing Stream Totem"] = 119523,
									["Sabotage"] = 107119,
									["Battering Headbutt"] = 130772,
									["Stormlash Totem"] = 120676,
									["Jade Spirit"] = 104993,
									["Fixate"] = 111723,
									["Prey Time"] = 106933,
									["Tempus Repit"] = 137590,
									["Dancing Steel"] = 120032,
									["Savage Cleave"] = 115436,
								},
								["Crypt of Forgotten Kings"] = {
									["Destroy Armor"] = 142882,
									["Air Vent"] = 121029,
									["Stone Bulwark"] = 114893,
									["Fire Trap"] = 119667,
									["Stormlash Totem"] = 120676,
									["Horrendous Shout"] = 120310,
									["Relentless"] = 120817,
									["Uncontrolled Anger"] = 129025,
									["Dancing Steel"] = 120032,
									["Fear"] = 125204,
								},
								["Throne of Thunder"] = {
									["Swiftmend"] = 81262,
									["Storm Energy"] = 139322,
									["Anti-Magic Zone"] = 50461,
									["Crush Armor"] = 33661,
									["Crashing Thunder"] = 135153,
									["Bright Light"] = 133737,
									["Stone Gaze"] = 136708,
									["Stormlash Totem"] = 120676,
									["Electrical Shock"] = 136914,
									["Foul Venom"] = 139310,
									["Touch of the Animus"] = 138659,
									["Infrared Light"] = 133732,
									["Frigid Assault"] = 136903,
									["Thundering Throw"] = 137371,
									["Arcing Lightning"] = 136193,
									["Horrifying Roar"] = 140673,
									["Static Shock"] = 135695,
									["Choking Mists"] = 140682,
									["Burning Winds"] = 136261,
									["Slumber Spores"] = 136722,
									["Sonic Screech"] = 136751,
									["Anima Font"] = 138691,
									["Infected Talons"] = 140092,
									["Horn of Winter"] = 57330,
									["Fortitude"] = 137593,
									["Anima Ring"] = 136962,
									["Shockwave"] = 139215,
									["Infected Bite"] = 139314,
									["Blazing Sunlight"] = 136719,
									["Power Word: Barrier"] = 81782,
									["Violent Gale Winds"] = 136889,
									["Dancing Steel"] = 120032,
									["Entrapped"] = 136857,
									["Slimed"] = 138309,
									["Deadly Plague"] = 136710,
									["Primal Nutriment"] = 140741,
									["Volatile Pathogen"] = 136228,
									["Lingering Gaze"] = 134626,
									["Burning Cinders"] = 137668,
									["Harmony"] = 128182,
									["Corrosive Breath"] = 140686,
									["Static Burst"] = 137162,
									["Rending Charge"] = 136654,
									["Fan of Flames"] = 137408,
									["Talon Rake"] = 134366,
									["Electrified"] = 136615,
									["Spray Water"] = 140814,
									["Devoured"] = 134415,
									["Lightning Storm"] = 138234,
									["Invoke Tiger Spirit"] = 138264,
									["Marked Soul"] = 137359,
									["Mark of the Prophet"] = 140400,
									["Overcharge"] = 136326,
									["Healing Stream Totem"] = 119523,
									["Carnivorous Bite"] = 122962,
									["Illuminated Healing"] = 86273,
									["Arterial Cut"] = 133768,
									["Torment"] = 139550,
									["Scorched"] = 134647,
									["Jade Spirit"] = 104993,
									["Fiery Core"] = 138610,
									["Soothing Mist"] = 125950,
									["Freeze"] = 135145,
									["Frost Bulwark"] = 138668,
									["Icy Shadows"] = 137440,
									["Blue Rays"] = 133675,
									["Serious Wound"] = 133767,
									["Overloaded Circuits"] = 137176,
									["Fusion Slash"] = 136478,
									["Frozen Bolt"] = 136573,
									["Eternal Prison"] = 140629,
									["Harsh Light"] = 137152,
									["Decapitate"] = 134912,
									["Glacial Freeze"] = 138687,
									["Flames of Passion"] = 137417,
									["Dark Winds"] = 139485,
									["Impale"] = 134691,
									["Rushing Winds"] = 137654,
									["Windburn"] = 140208,
									["Serpent's Swiftness"] = 128433,
									["Bloody Dancing Steel"] = 142530,
									["Choking Sands"] = 138742,
									["Matter Swap"] = 138609,
									["Arctic Freeze"] = 139843,
									["Invoke Crane Spirit"] = 138189,
									["Gnawed Upon"] = 134668,
									["Energizing Spores"] = 135678,
									["Implosion"] = 137507,
									["Rot Armor"] = 139840,
									["Life Drain"] = 137727,
									["Mortal Strike"] = 136670,
									["Beacon of Light"] = 53563,
									["Biting Cold"] = 136992,
									["Electrified Waters"] = 138006,
									["Feed Pool"] = 138319,
									["Discharged Energy"] = 134821,
									["Ancient Venom"] = 139888,
									["Visions of Grandeur"] = 139205,
									["Frostbite"] = 136922,
									["Cinders"] = 139822,
									["Wind Storm"] = 136577,
									["Ensnared"] = 136878,
									["Lightning Burst"] = 138196,
									["Dead Zone"] = 135147,
									["Quicksand"] = 136860,
									["Slashing Talons"] = 136753,
									["Quake Stomp"] = 134920,
									["Focused Lightning"] = 137422,
									["Shale Shards"] = 140616,
									["Tempus Repit"] = 137590,
									["Stormcloud"] = 139900,
									["Malformed Blood"] = 136050,
									["Lightning Bolt"] = 136853,
									["Roar of Courage"] = 93435,
									["Bloodletting"] = 138693,
									["Light of the Ancient Kings"] = 86678,
									["Frozen Blood"] = 137664,
									["River's Song"] = 116660,
									["Beast of Nightmares"] = 137375,
									["Cocoon"] = 112844,
									["Stone Bulwark"] = 114893,
									["Storm Cloud"] = 137669,
									["Hex of Confusion"] = 136512,
									["Ignite Flesh"] = 137731,
									["Retrieve Spear"] = 137072,
									["Overcharged"] = 136295,
									["Triple Puncture"] = 136767,
									["Static Wound"] = 138349,
									["Mark of the Loa"] = 139213,
									["Putrify"] = 139317,
									["Kick Shell"] = 134030,
									["Fungi Spores"] = 140620,
									["Wounding Strike"] = 140049,
									["Spirit Beast Blessing"] = 127830,
									["Corrupted Healing"] = 137360,
									["Terrifying Roar"] = 90309,
									["Fully Mutated"] = 140546,
									["Frostbolt"] = 136952,
									["Colossus"] = 116631,
									["Venom Bolt Volley"] = 136587,
									["Amplifier"] = 138070,
									["Sanctuary of the Ox"] = 126119,
									["Explosive Slam"] = 138569,
									["Conductivity"] = 139508,
								},
								["Tempest Keep"] = {
									["Arcane Disruption"] = 36834,
									["Blizzard"] = 37263,
									["Frostbolt"] = 36990,
									["Flame Strike"] = 36731,
									["Flame Patch"] = 35383,
									["Bellowing Roar"] = 44863,
									["Silence"] = 30225,
									["Melt Armor"] = 35410,
									["Remote Toy"] = 37027,
									["Starfall"] = 37124,
									["Mind Flay"] = 37276,
									["Flame Buffet"] = 34121,
									["Rend"] = 36965,
									["Frostbolt Volley"] = 37262,
									["Mind Control"] = 36797,
									["Conflagration"] = 37018,
									["Deep Wounds"] = 12721,
									["Frost Attack"] = 39087,
									["Arcane Burst"] = 36970,
									["Shadow Word: Pain"] = 37275,
									["Immolation"] = 37155,
								},
							},
							["alert_RaidDebuff"] = {
								["color"] = {
									["b"] = 0.03137254901960784,
									["r"] = 1,
								},
							},
						},
					},
				},
				["GridMBFrame"] = {
					["profiles"] = {
						["aegerUIB"] = {
							["side"] = "Bottom",
							["size"] = 0.1,
						},
						["aegerUIH"] = {
							["side"] = "Bottom",
							["size"] = 0.1,
						},
						["aegerUI"] = {
							["side"] = "Bottom",
							["size"] = 0.1,
						},
					},
				},
				["GridStatusHealth"] = {
					["profiles"] = {
						[""] = {
							["alert_feignDeath"] = {
								["enable"] = true,
								["icon"] = "Interface\\Icons\\Ability_Rogue_FeignDeath",
								["color"] = {
									["a"] = 1,
									["r"] = 0.5,
									["g"] = 0.5,
									["b"] = 0.5,
								},
								["text"] = "FD",
								["range"] = false,
								["priority"] = 55,
							},
							["debug"] = false,
							["unit_healthDeficit"] = {
								["threshold"] = 80,
								["useClassColors"] = true,
								["enable"] = true,
								["priority"] = 30,
								["range"] = false,
								["color"] = {
									["a"] = 1,
									["r"] = 1,
									["g"] = 1,
									["b"] = 1,
								},
							},
							["alert_offline"] = {
								["enable"] = true,
								["color"] = {
									["a"] = 0.6,
									["r"] = 1,
									["g"] = 1,
									["b"] = 1,
								},
								["text"] = "Offline",
								["range"] = false,
								["priority"] = 60,
							},
							["alert_lowHealth"] = {
								["threshold"] = 80,
								["color"] = {
									["a"] = 1,
									["r"] = 1,
									["g"] = 1,
									["b"] = 1,
								},
								["enable"] = true,
								["text"] = "Low HP",
								["range"] = false,
								["priority"] = 30,
							},
							["alert_death"] = {
								["enable"] = true,
								["icon"] = "Interface\\TargetingFrame\\UI-TargetingFrame-Skull",
								["color"] = {
									["a"] = 1,
									["r"] = 0.5,
									["g"] = 0.5,
									["b"] = 0.5,
								},
								["text"] = "DEAD",
								["range"] = false,
								["priority"] = 50,
							},
							["unit_health"] = {
								["deadAsFullHealth"] = true,
								["color"] = {
									["a"] = 1,
									["r"] = 1,
									["g"] = 1,
									["b"] = 1,
								},
								["enable"] = true,
								["priority"] = 30,
								["range"] = false,
								["useClassColors"] = true,
							},
						},
						["aegerUIH"] = {
							["alert_offline"] = {
								["color"] = {
									["a"] = 0.7000000000000001,
									["g"] = 0.8117647058823529,
									["b"] = 0.4235294117647059,
								},
								["priority"] = 99,
							},
							["unit_healthDeficit"] = {
								["threshold"] = 100,
								["useClassColors"] = false,
								["priority"] = 60,
								["color"] = {
									["b"] = 0.807843137254902,
									["g"] = 0.807843137254902,
									["r"] = 0.807843137254902,
								},
							},
							["alert_lowHealth"] = {
								["enable"] = false,
							},
							["alert_death"] = {
								["color"] = {
									["a"] = 0.7000000000000001,
									["b"] = 0,
									["g"] = 0.01176470588235294,
									["r"] = 0.7568627450980392,
								},
								["priority"] = 99,
							},
							["unit_health"] = {
								["color"] = {
									["b"] = 0.7333333333333333,
									["g"] = 0.7333333333333333,
									["r"] = 0.7333333333333333,
								},
								["useClassColors"] = false,
							},
						},
						["aegerUI"] = {
							["alert_offline"] = {
								["priority"] = 99,
								["color"] = {
									["a"] = 0.7000000000000001,
									["b"] = 0.4235294117647059,
									["g"] = 0.8117647058823529,
								},
							},
							["unit_healthDeficit"] = {
								["threshold"] = 100,
								["useClassColors"] = false,
								["color"] = {
									["r"] = 0.807843137254902,
									["g"] = 0.807843137254902,
									["b"] = 0.807843137254902,
								},
								["priority"] = 60,
							},
							["alert_lowHealth"] = {
								["enable"] = false,
							},
							["alert_death"] = {
								["priority"] = 80,
								["color"] = {
									["a"] = 0.7000000000000001,
									["r"] = 0.7568627450980392,
									["g"] = 0.01176470588235294,
									["b"] = 0,
								},
							},
							["unit_health"] = {
								["color"] = {
									["r"] = 0.7333333333333333,
									["g"] = 0.7333333333333333,
									["b"] = 0.7333333333333333,
								},
								["useClassColors"] = false,
							},
						},
						["aegerUIB"] = {
							["alert_offline"] = {
								["priority"] = 99,
								["color"] = {
									["a"] = 0.7000000000000001,
									["b"] = 0.4235294117647059,
									["g"] = 0.8117647058823529,
								},
							},
							["unit_healthDeficit"] = {
								["threshold"] = 100,
								["useClassColors"] = false,
								["color"] = {
									["r"] = 0.807843137254902,
									["g"] = 0.807843137254902,
									["b"] = 0.807843137254902,
								},
								["priority"] = 60,
							},
							["alert_death"] = {
								["priority"] = 99,
								["color"] = {
									["a"] = 0.7000000000000001,
									["r"] = 0.7568627450980392,
									["g"] = 0.01176470588235294,
									["b"] = 0,
								},
							},
							["alert_lowHealth"] = {
								["enable"] = false,
							},
							["unit_health"] = {
								["color"] = {
									["r"] = 0.7333333333333333,
									["g"] = 0.7333333333333333,
									["b"] = 0.7333333333333333,
								},
								["useClassColors"] = false,
							},
						},
					},
				},
				["GridStatusName"] = {
					["profiles"] = {
						[""] = {
							["debug"] = false,
							["unit_name"] = {
								["enable"] = true,
								["priority"] = 1,
								["color"] = {
									["a"] = 1,
									["r"] = 1,
									["g"] = 1,
									["b"] = 1,
								},
								["class"] = true,
								["range"] = false,
								["text"] = "Unit Name",
							},
						},
					},
				},
				["GridStatusRange"] = {
					["profiles"] = {
						[""] = {
							["alert_range_100"] = {
								["color"] = {
									["a"] = 0.1090909090909091,
									["r"] = 0,
									["g"] = 0,
									["b"] = 0,
								},
								["priority"] = 90,
								["enable"] = false,
								["text"] = "100 yards",
								["range"] = false,
								["desc"] = "More than 100 yards away",
							},
							["alert_range_10"] = {
								["color"] = {
									["a"] = 0.8181818181818181,
									["r"] = 0.1,
									["g"] = 0.2,
									["b"] = 0.3,
								},
								["priority"] = 81,
								["enable"] = false,
								["text"] = "10 yards",
								["range"] = false,
								["desc"] = "More than 10 yards away",
							},
							["debug"] = false,
							["alert_range_40"] = {
								["color"] = {
									["a"] = 0.2727272727272727,
									["r"] = 0.4,
									["g"] = 0.8,
									["b"] = 0.2,
								},
								["priority"] = 84,
								["enable"] = true,
								["text"] = "40 yards",
								["range"] = false,
								["desc"] = "More than 40 yards away",
							},
							["alert_range_28"] = {
								["color"] = {
									["a"] = 0.490909090909091,
									["r"] = 0.28,
									["g"] = 0.5600000000000001,
									["b"] = 0.84,
								},
								["priority"] = 83,
								["enable"] = false,
								["text"] = "28 yards",
								["range"] = false,
								["desc"] = "More than 28 yards away",
							},
							["alert_range_38"] = {
								["color"] = {
									["a"] = 0.3090909090909091,
									["r"] = 0.38,
									["g"] = 0.76,
									["b"] = 0.14,
								},
								["priority"] = 84,
								["enable"] = false,
								["text"] = "38 yards",
								["range"] = false,
								["desc"] = "More than 38 yards away",
							},
							["alert_range_30"] = {
								["color"] = {
									["a"] = 0.4545454545454546,
									["r"] = 0.3,
									["g"] = 0.6,
									["b"] = 0.9,
								},
								["priority"] = 83,
								["enable"] = false,
								["text"] = "30 yards",
								["range"] = false,
								["desc"] = "More than 30 yards away",
							},
							["frequency"] = 0.5,
						},
						["aegerUIH"] = {
							["alert_range_10"] = {
								["enable"] = false,
								["text"] = "10 yards",
								["color"] = {
									["a"] = 0.8181818181818181,
									["r"] = 0.1,
									["g"] = 0.2,
									["b"] = 0.3,
								},
								["priority"] = 81,
								["range"] = false,
								["desc"] = "More than 10 yards away",
							},
							["alert_range_38"] = {
								["enable"] = false,
								["text"] = "38 yards",
								["color"] = {
									["a"] = 0.3090909090909091,
									["r"] = 0.38,
									["g"] = 0.76,
									["b"] = 0.14,
								},
								["priority"] = 84,
								["range"] = false,
								["desc"] = "More than 38 yards away",
							},
							["alert_range_25"] = {
								["enable"] = false,
								["text"] = "25 yards",
								["color"] = {
									["a"] = 0.5454545454545454,
									["r"] = 0.25,
									["g"] = 0.5,
									["b"] = 0.75,
								},
								["priority"] = 82,
								["range"] = false,
								["desc"] = "More than 25 yards away",
							},
							["alert_range_40"] = {
								["enable"] = true,
								["text"] = "40 yards",
								["color"] = {
									["a"] = 0.2727272727272727,
									["r"] = 0.4,
									["g"] = 0.8,
									["b"] = 0.2,
								},
								["priority"] = 84,
								["range"] = false,
								["desc"] = "More than 40 yards away",
							},
							["alert_range_20"] = {
								["enable"] = false,
								["text"] = "20 yards",
								["color"] = {
									["a"] = 0.6363636363636364,
									["b"] = 0.6,
									["g"] = 0.4,
									["r"] = 0.2,
								},
								["priority"] = 82,
								["range"] = false,
								["desc"] = "More than 20 yards away",
							},
							["alert_range_28"] = {
								["enable"] = false,
								["text"] = "28 yards",
								["color"] = {
									["a"] = 0.490909090909091,
									["r"] = 0.28,
									["g"] = 0.5600000000000001,
									["b"] = 0.84,
								},
								["priority"] = 83,
								["range"] = false,
								["desc"] = "More than 28 yards away",
							},
							["alert_range_30"] = {
								["enable"] = false,
								["text"] = "30 yards",
								["color"] = {
									["a"] = 0.4545454545454546,
									["r"] = 0.3,
									["g"] = 0.6,
									["b"] = 0.9,
								},
								["priority"] = 83,
								["range"] = false,
								["desc"] = "More than 30 yards away",
							},
							["alert_range_60"] = {
								["enable"] = true,
								["text"] = "60 yards",
								["color"] = {
									["a"] = 0.8363636363636364,
									["b"] = 0.8,
									["g"] = 0.2,
									["r"] = 0.6,
								},
								["priority"] = 86,
								["range"] = false,
								["desc"] = "More than 60 yards away",
							},
							["alert_range_100"] = {
								["enable"] = false,
								["text"] = "100 yards",
								["color"] = {
									["a"] = 0.1090909090909091,
									["r"] = 0,
									["g"] = 0,
									["b"] = 0,
								},
								["priority"] = 90,
								["range"] = false,
								["desc"] = "More than 100 yards away",
							},
						},
						["aegerUI"] = {
							["alert_range_10"] = {
								["enable"] = false,
								["text"] = "10 yards",
								["color"] = {
									["a"] = 0.8181818181818181,
									["b"] = 0.3,
									["g"] = 0.2,
									["r"] = 0.1,
								},
								["priority"] = 81,
								["range"] = false,
								["desc"] = "More than 10 yards away",
							},
							["alert_range"] = {
								["priority"] = 99,
							},
							["alert_range_38"] = {
								["enable"] = false,
								["text"] = "38 yards",
								["color"] = {
									["a"] = 0.3090909090909091,
									["b"] = 0.14,
									["g"] = 0.76,
									["r"] = 0.38,
								},
								["priority"] = 84,
								["range"] = false,
								["desc"] = "More than 38 yards away",
							},
							["alert_range_25"] = {
								["enable"] = false,
								["text"] = "25 yards",
								["color"] = {
									["a"] = 0.5454545454545454,
									["b"] = 0.75,
									["g"] = 0.5,
									["r"] = 0.25,
								},
								["priority"] = 82,
								["range"] = false,
								["desc"] = "More than 25 yards away",
							},
							["alert_range_40"] = {
								["enable"] = true,
								["text"] = "40 yards",
								["color"] = {
									["a"] = 0.2727272727272727,
									["b"] = 0.2,
									["g"] = 0.8,
									["r"] = 0.4,
								},
								["priority"] = 84,
								["range"] = false,
								["desc"] = "More than 40 yards away",
							},
							["alert_range_20"] = {
								["enable"] = false,
								["text"] = "20 yards",
								["color"] = {
									["a"] = 0.6363636363636364,
									["r"] = 0.2,
									["g"] = 0.4,
									["b"] = 0.6,
								},
								["priority"] = 82,
								["range"] = false,
								["desc"] = "More than 20 yards away",
							},
							["alert_range_28"] = {
								["enable"] = false,
								["text"] = "28 yards",
								["color"] = {
									["a"] = 0.490909090909091,
									["b"] = 0.84,
									["g"] = 0.5600000000000001,
									["r"] = 0.28,
								},
								["priority"] = 83,
								["range"] = false,
								["desc"] = "More than 28 yards away",
							},
							["alert_range_30"] = {
								["enable"] = false,
								["text"] = "30 yards",
								["color"] = {
									["a"] = 0.4545454545454546,
									["b"] = 0.9,
									["g"] = 0.6,
									["r"] = 0.3,
								},
								["priority"] = 83,
								["range"] = false,
								["desc"] = "More than 30 yards away",
							},
							["alert_range_60"] = {
								["enable"] = true,
								["text"] = "60 yards",
								["color"] = {
									["a"] = 0.8363636363636364,
									["r"] = 0.6,
									["g"] = 0.2,
									["b"] = 0.8,
								},
								["priority"] = 86,
								["range"] = false,
								["desc"] = "More than 60 yards away",
							},
							["alert_range_100"] = {
								["enable"] = false,
								["text"] = "100 yards",
								["color"] = {
									["a"] = 0.1090909090909091,
									["b"] = 0,
									["g"] = 0,
									["r"] = 0,
								},
								["priority"] = 90,
								["range"] = false,
								["desc"] = "More than 100 yards away",
							},
						},
						["aegerUIB"] = {
							["alert_range_10"] = {
								["enable"] = false,
								["text"] = "10 yards",
								["color"] = {
									["a"] = 0.8181818181818181,
									["r"] = 0.1,
									["g"] = 0.2,
									["b"] = 0.3,
								},
								["priority"] = 81,
								["range"] = false,
								["desc"] = "More than 10 yards away",
							},
							["alert_range_38"] = {
								["enable"] = false,
								["text"] = "38 yards",
								["color"] = {
									["a"] = 0.3090909090909091,
									["r"] = 0.38,
									["g"] = 0.76,
									["b"] = 0.14,
								},
								["priority"] = 84,
								["range"] = false,
								["desc"] = "More than 38 yards away",
							},
							["alert_range_25"] = {
								["enable"] = false,
								["text"] = "25 yards",
								["color"] = {
									["a"] = 0.5454545454545454,
									["r"] = 0.25,
									["g"] = 0.5,
									["b"] = 0.75,
								},
								["priority"] = 82,
								["range"] = false,
								["desc"] = "More than 25 yards away",
							},
							["alert_range_40"] = {
								["enable"] = true,
								["text"] = "40 yards",
								["color"] = {
									["a"] = 0.2727272727272727,
									["r"] = 0.4,
									["g"] = 0.8,
									["b"] = 0.2,
								},
								["priority"] = 84,
								["range"] = false,
								["desc"] = "More than 40 yards away",
							},
							["alert_range_100"] = {
								["enable"] = false,
								["text"] = "100 yards",
								["color"] = {
									["a"] = 0.1090909090909091,
									["r"] = 0,
									["g"] = 0,
									["b"] = 0,
								},
								["priority"] = 90,
								["range"] = false,
								["desc"] = "More than 100 yards away",
							},
							["alert_range_28"] = {
								["enable"] = false,
								["text"] = "28 yards",
								["color"] = {
									["a"] = 0.490909090909091,
									["r"] = 0.28,
									["g"] = 0.5600000000000001,
									["b"] = 0.84,
								},
								["priority"] = 83,
								["range"] = false,
								["desc"] = "More than 28 yards away",
							},
							["alert_range_30"] = {
								["enable"] = false,
								["text"] = "30 yards",
								["color"] = {
									["a"] = 0.4545454545454546,
									["r"] = 0.3,
									["g"] = 0.6,
									["b"] = 0.9,
								},
								["priority"] = 83,
								["range"] = false,
								["desc"] = "More than 30 yards away",
							},
							["alert_range_60"] = {
								["enable"] = true,
								["text"] = "60 yards",
								["color"] = {
									["a"] = 0.8363636363636364,
									["b"] = 0.8,
									["g"] = 0.2,
									["r"] = 0.6,
								},
								["priority"] = 86,
								["range"] = false,
								["desc"] = "More than 60 yards away",
							},
							["alert_range_20"] = {
								["enable"] = false,
								["text"] = "20 yards",
								["color"] = {
									["a"] = 0.6363636363636364,
									["b"] = 0.6,
									["g"] = 0.4,
									["r"] = 0.2,
								},
								["priority"] = 82,
								["range"] = false,
								["desc"] = "More than 20 yards away",
							},
						},
					},
				},
				["GridStatusAFK"] = {
					["profiles"] = {
						[""] = {
							["debug"] = false,
							["alert_afk"] = {
								["enable"] = false,
								["color"] = {
									["a"] = 0.5,
									["r"] = 0.5,
									["g"] = 0.5,
									["b"] = 0.5,
								},
								["text"] = "<AFK>",
								["range"] = false,
								["priority"] = 20,
							},
						},
					},
				},
				["GridIndicatorCornerIcons"] = {
					["profiles"] = {
						["aegerUIB"] = {
							["enableIconStackText"] = true,
							["IconStackTextXaxis"] = 3,
							["IconStackTextSize"] = 11,
							["iconSizeBottomRightCorner"] = 14,
							["IconStackTextYaxis"] = 0,
							["xoffset"] = 2,
							["yoffset"] = -2,
						},
						["aegerUI"] = {
							["enableIconStackText"] = true,
							["IconStackTextXaxis"] = 3,
							["IconStackTextSize"] = 11,
							["iconSizeBottomRightCorner"] = 14,
							["IconStackTextYaxis"] = 0,
							["xoffset"] = 2,
							["yoffset"] = -2,
						},
						["aegerUIH"] = {
							["enableIconStackText"] = true,
							["IconStackTextXaxis"] = 3,
							["IconStackTextSize"] = 11,
							["iconSizeBottomRightCorner"] = 14,
							["xoffset"] = 2,
							["IconStackTextYaxis"] = 0,
							["yoffset"] = -2,
						},
					},
				},
				["GridStatusVoiceComm"] = {
					["profiles"] = {
						[""] = {
							["debug"] = false,
							["alert_voice"] = {
								["enable"] = false,
								["color"] = {
									["a"] = 1,
									["r"] = 0.5,
									["g"] = 1,
									["b"] = 0.5,
								},
								["text"] = "Talking",
								["range"] = false,
								["priority"] = 50,
							},
						},
					},
				},
				["GridStatus"] = {
					["profiles"] = {
						[""] = {
							["colors"] = {
								["UNKNOWN_UNIT"] = {
									["a"] = 1,
									["r"] = 0.5,
									["g"] = 0.5,
									["b"] = 0.5,
								},
								["Humanoid"] = {
									["a"] = 1,
									["r"] = 0.91764705882353,
									["g"] = 0.67450980392157,
									["b"] = 0.84705882352941,
								},
								["PALADIN"] = {
									["b"] = 0.73,
									["g"] = 0.55,
									["r"] = 0.96,
								},
								["MAGE"] = {
									["b"] = 0.94,
									["g"] = 0.8,
									["r"] = 0.41,
								},
								["Not specified"] = {
									["a"] = 1,
									["r"] = 0.4,
									["g"] = 0.4,
									["b"] = 0.4,
								},
								["Demon"] = {
									["a"] = 1,
									["r"] = 0.54509803921569,
									["g"] = 0.25490196078431,
									["b"] = 0.68627450980392,
								},
								["Undead"] = {
									["a"] = 1,
									["r"] = 0.8,
									["g"] = 0.2,
									["b"] = 0,
								},
								["DRUID"] = {
									["b"] = 0.04,
									["g"] = 0.49,
									["r"] = 1,
								},
								["DEATHKNIGHT"] = {
									["b"] = 0.23,
									["g"] = 0.12,
									["r"] = 0.77,
								},
								["Elemental"] = {
									["a"] = 1,
									["r"] = 0.8,
									["g"] = 1,
									["b"] = 1,
								},
								["HUNTER"] = {
									["b"] = 0.45,
									["g"] = 0.83,
									["r"] = 0.67,
								},
								["PRIEST"] = {
									["b"] = 1,
									["g"] = 1,
									["r"] = 1,
								},
								["SHAMAN"] = {
									["b"] = 0.87,
									["g"] = 0.44,
									["r"] = 0,
								},
								["Dragonkin"] = {
									["a"] = 1,
									["r"] = 0.8,
									["g"] = 0.8,
									["b"] = 0.8,
								},
								["WARLOCK"] = {
									["b"] = 0.79,
									["g"] = 0.51,
									["r"] = 0.58,
								},
								["UNKNOWN_PET"] = {
									["a"] = 1,
									["r"] = 0,
									["g"] = 1,
									["b"] = 0,
								},
								["WARRIOR"] = {
									["b"] = 0.43,
									["g"] = 0.61,
									["r"] = 0.78,
								},
								["ROGUE"] = {
									["b"] = 0.41,
									["g"] = 0.96,
									["r"] = 1,
								},
								["Beast"] = {
									["a"] = 1,
									["r"] = 0.93725490196078,
									["g"] = 0.75686274509804,
									["b"] = 0.27843137254902,
								},
								["PetColorType"] = "Using Fallback color",
							},
							["debug"] = false,
							["range"] = false,
						},
						["Default"] = {
							["colors"] = {
								["HUNTER"] = {
									["r"] = 0.67,
									["g"] = 0.83,
									["b"] = 0.45,
								},
								["WARRIOR"] = {
									["r"] = 0.78,
									["g"] = 0.61,
									["b"] = 0.43,
								},
								["PALADIN"] = {
									["r"] = 0.96,
									["g"] = 0.55,
									["b"] = 0.73,
								},
								["MAGE"] = {
									["r"] = 0.41,
									["g"] = 0.8,
									["b"] = 0.94,
								},
								["PRIEST"] = {
									["r"] = 1,
									["g"] = 1,
									["b"] = 1,
								},
								["WARLOCK"] = {
									["r"] = 0.58,
									["g"] = 0.51,
									["b"] = 0.79,
								},
								["ROGUE"] = {
									["r"] = 1,
									["g"] = 0.96,
									["b"] = 0.41,
								},
								["SHAMAN"] = {
									["r"] = 0,
									["g"] = 0.44,
									["b"] = 0.87,
								},
								["DRUID"] = {
									["r"] = 1,
									["g"] = 0.49,
									["b"] = 0.04,
								},
								["MONK"] = {
									["r"] = 0,
									["g"] = 1,
									["b"] = 0.59,
								},
								["DEATHKNIGHT"] = {
									["r"] = 0.77,
									["g"] = 0.12,
									["b"] = 0.23,
								},
							},
						},
						["aegerUIB"] = {
							["colors"] = {
								["HUNTER"] = {
									["b"] = 0.45,
									["g"] = 0.83,
									["r"] = 0.67,
								},
								["ROGUE"] = {
									["b"] = 0.41,
									["g"] = 0.96,
									["r"] = 1,
								},
								["MAGE"] = {
									["b"] = 0.94,
									["g"] = 0.8,
									["r"] = 0.41,
								},
								["Not specified"] = {
									["r"] = 0,
									["g"] = 0.00392156862745098,
									["b"] = 0.8235294117647058,
								},
								["DRUID"] = {
									["b"] = 0.04,
									["g"] = 0.49,
									["r"] = 1,
								},
								["MONK"] = {
									["r"] = 0,
									["g"] = 1,
									["b"] = 0.59,
								},
								["DEATHKNIGHT"] = {
									["b"] = 0.23,
									["g"] = 0.12,
									["r"] = 0.77,
								},
								["PRIEST"] = {
									["b"] = 1,
									["g"] = 1,
									["r"] = 1,
								},
								["SHAMAN"] = {
									["b"] = 0.87,
									["g"] = 0.44,
									["r"] = 0,
								},
								["WARLOCK"] = {
									["b"] = 0.79,
									["g"] = 0.51,
									["r"] = 0.58,
								},
								["UNKNOWN_UNIT"] = {
									["r"] = 0.3215686274509804,
									["g"] = 0.3215686274509804,
									["b"] = 0.3215686274509804,
								},
								["WARRIOR"] = {
									["b"] = 0.43,
									["g"] = 0.61,
									["r"] = 0.78,
								},
								["PALADIN"] = {
									["b"] = 0.73,
									["g"] = 0.55,
									["r"] = 0.96,
								},
							},
						},
						["aegerUI"] = {
							["colors"] = {
								["UNKNOWN_UNIT"] = {
									["r"] = 0.3215686274509804,
									["g"] = 0.3215686274509804,
									["b"] = 0.3215686274509804,
								},
								["PALADIN"] = {
									["r"] = 0.96,
									["g"] = 0.55,
									["b"] = 0.73,
								},
								["MAGE"] = {
									["r"] = 0.41,
									["g"] = 0.8,
									["b"] = 0.94,
								},
								["Not specified"] = {
									["r"] = 0,
									["g"] = 0.00392156862745098,
									["b"] = 0.8235294117647058,
								},
								["DRUID"] = {
									["r"] = 1,
									["g"] = 0.49,
									["b"] = 0.04,
								},
								["MONK"] = {
									["b"] = 0.59,
									["g"] = 1,
									["r"] = 0,
								},
								["DEATHKNIGHT"] = {
									["r"] = 0.77,
									["g"] = 0.12,
									["b"] = 0.23,
								},
								["PRIEST"] = {
									["r"] = 1,
									["g"] = 1,
									["b"] = 1,
								},
								["ROGUE"] = {
									["r"] = 1,
									["g"] = 0.96,
									["b"] = 0.41,
								},
								["WARLOCK"] = {
									["r"] = 0.58,
									["g"] = 0.51,
									["b"] = 0.79,
								},
								["HUNTER"] = {
									["r"] = 0.67,
									["g"] = 0.83,
									["b"] = 0.45,
								},
								["WARRIOR"] = {
									["r"] = 0.78,
									["g"] = 0.61,
									["b"] = 0.43,
								},
								["SHAMAN"] = {
									["r"] = 0,
									["g"] = 0.44,
									["b"] = 0.87,
								},
							},
						},
						["aegerUIH"] = {
							["colors"] = {
								["HUNTER"] = {
									["b"] = 0.45,
									["g"] = 0.83,
									["r"] = 0.67,
								},
								["WARRIOR"] = {
									["b"] = 0.43,
									["g"] = 0.61,
									["r"] = 0.78,
								},
								["PALADIN"] = {
									["b"] = 0.73,
									["g"] = 0.55,
									["r"] = 0.96,
								},
								["MAGE"] = {
									["b"] = 0.94,
									["g"] = 0.8,
									["r"] = 0.41,
								},
								["Not specified"] = {
									["b"] = 0.8235294117647058,
									["g"] = 0.00392156862745098,
									["r"] = 0,
								},
								["PRIEST"] = {
									["b"] = 1,
									["g"] = 1,
									["r"] = 1,
								},
								["SHAMAN"] = {
									["b"] = 0.87,
									["g"] = 0.44,
									["r"] = 0,
								},
								["WARLOCK"] = {
									["b"] = 0.79,
									["g"] = 0.51,
									["r"] = 0.58,
								},
								["UNKNOWN_UNIT"] = {
									["b"] = 0.3215686274509804,
									["g"] = 0.3215686274509804,
									["r"] = 0.3215686274509804,
								},
								["ROGUE"] = {
									["b"] = 0.41,
									["g"] = 0.96,
									["r"] = 1,
								},
								["DRUID"] = {
									["b"] = 0.04,
									["g"] = 0.49,
									["r"] = 1,
								},
								["MONK"] = {
									["r"] = 0,
									["g"] = 1,
									["b"] = 0.59,
								},
								["DEATHKNIGHT"] = {
									["b"] = 0.23,
									["g"] = 0.12,
									["r"] = 0.77,
								},
							},
						},
					},
				},
				["GridStatusAggro"] = {
					["profiles"] = {
						[""] = {
							["debug"] = false,
							["alert_aggro"] = {
								["color"] = {
									["a"] = 1,
									["r"] = 1,
									["g"] = 0,
									["b"] = 0,
								},
								["threat"] = false,
								["priority"] = 99,
								["threattexts"] = {
									"High", -- [1]
									"Aggro", -- [2]
									"Tank", -- [3]
								},
								["enable"] = true,
								["text"] = "Aggro",
								["range"] = false,
								["threatcolors"] = {
									{
										["a"] = 1,
										["r"] = 0.9999978030100465,
										["g"] = 0.9999978030100465,
										["b"] = 0.4666656414046884,
									}, -- [1]
									{
										["a"] = 1,
										["r"] = 0.9999978030100465,
										["g"] = 0.5999986818060279,
										["b"] = 0,
									}, -- [2]
									{
										["a"] = 1,
										["r"] = 0.9999978030100465,
										["g"] = 0,
										["b"] = 0,
									}, -- [3]
								},
							},
						},
						["aegerUIH"] = {
							["alert_aggro"] = {
								["threatcolors"] = {
									{
										["b"] = 0.4666656414046884,
									}, -- [1]
								},
							},
						},
						["aegerUI"] = {
							["alert_aggro"] = {
								["threatcolors"] = {
									{
										["b"] = 0.4666656414046884,
									}, -- [1]
								},
							},
						},
						["aegerUIB"] = {
							["alert_aggro"] = {
								["threatcolors"] = {
									{
										["b"] = 0.4666656414046884,
									}, -- [1]
								},
							},
						},
					},
				},
				["GridStatusHots"] = {
					["profiles"] = {
						[""] = {
							["alert_fol"] = {
								["threshold2"] = 4,
								["enable"] = true,
								["text"] = "Buff: My Flash of Light",
								["range"] = false,
								["desc"] = "Buff: My Flash of Light",
								["color2"] = {
									["a"] = 1,
									["r"] = 1,
									["g"] = 1,
									["b"] = 0,
								},
								["color3"] = {
									["a"] = 1,
									["r"] = 1,
									["g"] = 0,
									["b"] = 0,
								},
								["color"] = {
									["a"] = 1,
									["r"] = 0,
									["g"] = 1,
									["b"] = 0,
								},
								["priority"] = 95,
								["threshold3"] = 2,
								["totshow"] = true,
							},
							["alert_pom"] = {
								["color6"] = {
									["a"] = 1,
									["r"] = 0,
									["g"] = 1,
									["b"] = 0,
								},
								["enable"] = true,
								["text"] = "Buff: My Prayer of Mending",
								["range"] = false,
								["desc"] = "Buff: My Prayer of Mending",
								["color2"] = {
									["a"] = 1,
									["r"] = 1,
									["g"] = 0.5,
									["b"] = 0,
								},
								["color3"] = {
									["a"] = 1,
									["r"] = 1,
									["g"] = 1,
									["b"] = 0,
								},
								["color"] = {
									["a"] = 1,
									["r"] = 1,
									["g"] = 0,
									["b"] = 0,
								},
								["priority"] = 70,
								["color5"] = {
									["a"] = 1,
									["r"] = 0.5,
									["g"] = 1,
									["b"] = 0,
								},
								["color4"] = {
									["a"] = 1,
									["r"] = 0,
									["g"] = 1,
									["b"] = 1,
								},
							},
							["alert_beacon"] = {
								["threshold2"] = 10,
								["color"] = {
									["a"] = 1,
									["r"] = 0,
									["g"] = 1,
									["b"] = 0,
								},
								["text"] = "Buff: My Beacon of Light",
								["range"] = false,
								["desc"] = "Buff: My Beacon of Light",
								["color2"] = {
									["a"] = 1,
									["r"] = 1,
									["g"] = 1,
									["b"] = 0,
								},
								["color3"] = {
									["a"] = 1,
									["r"] = 1,
									["g"] = 0,
									["b"] = 0,
								},
								["threshold3"] = 5,
								["priority"] = 96,
								["enable"] = true,
							},
							["alert_wgrowth"] = {
								["threshold2"] = 4,
								["enable"] = true,
								["text"] = "Buff: My Wild Growth",
								["range"] = false,
								["desc"] = "Buff: My Wild Growth",
								["color2"] = {
									["a"] = 1,
									["r"] = 1,
									["g"] = 1,
									["b"] = 0,
								},
								["color3"] = {
									["a"] = 1,
									["r"] = 1,
									["g"] = 0,
									["b"] = 0,
								},
								["color"] = {
									["a"] = 1,
									["r"] = 0,
									["g"] = 1,
									["b"] = 1,
								},
								["priority"] = 96,
								["threshold3"] = 2,
								["totshow"] = true,
							},
							["alert_rejuv"] = {
								["threshold2"] = 4,
								["enable"] = true,
								["text"] = "Buff: My Rejuvenation",
								["range"] = false,
								["desc"] = "Buff: My Rejuvenation",
								["color2"] = {
									["a"] = 1,
									["r"] = 1,
									["g"] = 1,
									["b"] = 0,
								},
								["color3"] = {
									["a"] = 1,
									["r"] = 1,
									["g"] = 0,
									["b"] = 0,
								},
								["color"] = {
									["a"] = 1,
									["r"] = 0,
									["g"] = 0,
									["b"] = 1,
								},
								["priority"] = 98,
								["threshold3"] = 2,
								["totshow"] = true,
							},
							["alert_lifebl"] = {
								["threshold2"] = 4,
								["enable"] = true,
								["text"] = "Buff: My Lifebloom",
								["range"] = false,
								["desc"] = "Buff: My Lifebloom",
								["color2"] = {
									["a"] = 1,
									["r"] = 1,
									["g"] = 1,
									["b"] = 0,
								},
								["color3"] = {
									["a"] = 1,
									["r"] = 0,
									["g"] = 1,
									["b"] = 0,
								},
								["color"] = {
									["a"] = 1,
									["r"] = 1,
									["g"] = 0,
									["b"] = 0,
								},
								["priority"] = 99,
								["threshold3"] = 2,
								["totshow"] = true,
							},
							["alert_gift"] = {
								["threshold2"] = 4,
								["enable"] = true,
								["text"] = "Buff: My Gift of the Naaru",
								["range"] = false,
								["desc"] = "Buff: My Gift of the Naaru",
								["color2"] = {
									["a"] = 1,
									["r"] = 1,
									["g"] = 1,
									["b"] = 0,
								},
								["color3"] = {
									["a"] = 1,
									["r"] = 1,
									["g"] = 0,
									["b"] = 0,
								},
								["color"] = {
									["a"] = 1,
									["r"] = 0,
									["g"] = 1,
									["b"] = 0,
								},
								["priority"] = 91,
								["threshold3"] = 2,
								["totshow"] = true,
							},
							["alert_tothots"] = {
								["desc"] = "Buff: Hot Count",
								["color"] = {
									["a"] = 1,
									["r"] = 0,
									["g"] = 1,
									["b"] = 0,
								},
								["text"] = "Buff: Hot Count",
								["enable"] = true,
								["priority"] = 95,
								["range"] = false,
								["lbeach"] = false,
							},
							["alert_gracestack"] = {
								["color2"] = {
									["a"] = 1,
									["r"] = 1,
									["g"] = 1,
									["b"] = 0.52,
								},
								["color3"] = {
									["a"] = 1,
									["r"] = 0.5,
									["g"] = 1,
									["b"] = 0.23,
								},
								["text"] = "Buff: My Grace Stack",
								["enable"] = true,
								["priority"] = 90,
								["range"] = false,
								["color"] = {
									["a"] = 1,
									["r"] = 1,
									["g"] = 0.41,
									["b"] = 0.28,
								},
							},
							["alert_sashield"] = {
								["threshold2"] = 4,
								["folshow"] = true,
								["color"] = {
									["a"] = 1,
									["r"] = 0,
									["g"] = 1,
									["b"] = 0,
								},
								["text"] = "Buff: My Sacred Shield",
								["range"] = false,
								["desc"] = "Buff: My Sacred Shield",
								["color2"] = {
									["a"] = 1,
									["r"] = 1,
									["g"] = 1,
									["b"] = 0,
								},
								["color3"] = {
									["a"] = 1,
									["r"] = 1,
									["g"] = 0,
									["b"] = 0,
								},
								["threshold3"] = 2,
								["priority"] = 98,
								["enable"] = true,
							},
							["frequency"] = 0.5,
							["alert_lifebl_stack"] = {
								["threshold2"] = 4,
								["enable"] = true,
								["text"] = "Buff: My Lifebloom Stack Colored",
								["range"] = false,
								["desc"] = "Buff: My Lifebloom Stack Colored",
								["color2"] = {
									["a"] = 1,
									["r"] = 1,
									["g"] = 1,
									["b"] = 0,
								},
								["color3"] = {
									["a"] = 1,
									["r"] = 0,
									["g"] = 1,
									["b"] = 0,
								},
								["color"] = {
									["a"] = 1,
									["r"] = 1,
									["g"] = 0,
									["b"] = 0,
								},
								["priority"] = 99,
								["threshold3"] = 2,
								["totshow"] = true,
							},
							["alert_gracedurstack"] = {
								["threshold2"] = 5.5,
								["enable"] = true,
								["text"] = "Buff: My Grace Duration + Stack",
								["range"] = false,
								["color2"] = {
									["a"] = 1,
									["r"] = 1,
									["g"] = 1,
									["b"] = 0.52,
								},
								["color3"] = {
									["a"] = 1,
									["r"] = 1,
									["g"] = 0.41,
									["b"] = 0.28,
								},
								["threshold3"] = 3,
								["priority"] = 90,
								["color"] = {
									["a"] = 1,
									["r"] = 0.5,
									["g"] = 1,
									["b"] = 0.23,
								},
							},
							["alert_earthshield"] = {
								["threshold2"] = 2,
								["color"] = {
									["a"] = 1,
									["r"] = 1,
									["g"] = 0,
									["b"] = 0,
								},
								["text"] = "Buff: My Earth Shield",
								["range"] = false,
								["desc"] = "Buff: My Earth Shield",
								["color2"] = {
									["a"] = 1,
									["r"] = 1,
									["g"] = 0.5,
									["b"] = 0,
								},
								["color4"] = {
									["a"] = 1,
									["r"] = 0,
									["g"] = 1,
									["b"] = 1,
								},
								["enable"] = true,
								["threshold3"] = 1,
								["priority"] = 91,
								["color5"] = {
									["a"] = 1,
									["r"] = 0,
									["g"] = 1,
									["b"] = 0,
								},
								["color3"] = {
									["a"] = 1,
									["r"] = 1,
									["g"] = 1,
									["b"] = 0,
								},
							},
							["alert_renew"] = {
								["threshold2"] = 4,
								["enable"] = true,
								["text"] = "Buff: My Renew",
								["range"] = false,
								["desc"] = "Buff: My Renew",
								["color2"] = {
									["a"] = 1,
									["r"] = 1,
									["g"] = 1,
									["b"] = 0,
								},
								["color3"] = {
									["a"] = 1,
									["r"] = 1,
									["g"] = 0,
									["b"] = 0,
								},
								["color"] = {
									["a"] = 1,
									["r"] = 0,
									["g"] = 1,
									["b"] = 0,
								},
								["priority"] = 99,
								["threshold3"] = 2,
								["totshow"] = true,
							},
							["alert_slight"] = {
								["threshold2"] = 4,
								["enable"] = true,
								["text"] = "Buff: My Sheath of Light",
								["range"] = false,
								["desc"] = "Buff: My Sheath of Light",
								["color2"] = {
									["a"] = 1,
									["r"] = 1,
									["g"] = 1,
									["b"] = 0,
								},
								["color3"] = {
									["a"] = 1,
									["r"] = 1,
									["g"] = 0,
									["b"] = 0,
								},
								["color"] = {
									["a"] = 1,
									["r"] = 0,
									["g"] = 1,
									["b"] = 0,
								},
								["priority"] = 99,
								["threshold3"] = 2,
								["totshow"] = true,
							},
							["alert_earthliving"] = {
								["threshold2"] = 4,
								["enable"] = true,
								["text"] = "Buff: My Earthliving",
								["range"] = false,
								["desc"] = "Buff: My Earthliving",
								["color2"] = {
									["a"] = 1,
									["r"] = 1,
									["g"] = 1,
									["b"] = 0,
								},
								["color3"] = {
									["a"] = 1,
									["r"] = 1,
									["g"] = 0,
									["b"] = 0,
								},
								["color"] = {
									["a"] = 1,
									["r"] = 0,
									["g"] = 1,
									["b"] = 0,
								},
								["priority"] = 98,
								["threshold3"] = 2,
								["totshow"] = true,
							},
							["alert_regrow"] = {
								["threshold2"] = 4,
								["enable"] = true,
								["text"] = "Buff: My Regrowth",
								["range"] = false,
								["desc"] = "Buff: My Regrowth",
								["color2"] = {
									["a"] = 1,
									["r"] = 1,
									["g"] = 1,
									["b"] = 0,
								},
								["color3"] = {
									["a"] = 1,
									["r"] = 1,
									["g"] = 0,
									["b"] = 0,
								},
								["color"] = {
									["a"] = 1,
									["r"] = 1,
									["g"] = 1,
									["b"] = 1,
								},
								["priority"] = 97,
								["threshold3"] = 2,
								["totshow"] = true,
							},
							["alert_riptide"] = {
								["threshold2"] = 4,
								["enable"] = true,
								["text"] = "Buff: My Riptide",
								["range"] = false,
								["desc"] = "Buff: My Riptide",
								["color2"] = {
									["a"] = 1,
									["r"] = 1,
									["g"] = 1,
									["b"] = 0,
								},
								["color3"] = {
									["a"] = 1,
									["r"] = 1,
									["g"] = 0,
									["b"] = 0,
								},
								["color"] = {
									["a"] = 1,
									["r"] = 0,
									["g"] = 1,
									["b"] = 0,
								},
								["priority"] = 99,
								["threshold3"] = 2,
								["totshow"] = true,
							},
						},
						["aegerUIH"] = {
							["alert_earthshield"] = {
								["color2"] = {
									["g"] = 0.01568627450980392,
								},
								["range"] = true,
								["color4"] = {
									["r"] = 0.9411764705882353,
									["b"] = 0,
								},
								["color3"] = {
									["g"] = 0.4941176470588236,
								},
							},
						},
						["aegerUI"] = {
							["alert_earthshield"] = {
								["color2"] = {
									["g"] = 0.01568627450980392,
								},
								["range"] = true,
								["color3"] = {
									["g"] = 0.4941176470588236,
								},
								["color4"] = {
									["r"] = 0.9411764705882353,
									["b"] = 0,
								},
							},
						},
					},
				},
				["GridStatusReadyCheck"] = {
					["profiles"] = {
						[""] = {
							["ready_check"] = {
								["color"] = {
									["a"] = 1,
									["r"] = 1,
									["g"] = 1,
									["b"] = 1,
								},
								["colors"] = {
									["ready"] = {
										["a"] = 1,
										["b"] = 0,
										["r"] = 0,
										["g"] = 1,
										["ignore"] = true,
									},
									["afk"] = {
										["a"] = 1,
										["b"] = 0,
										["r"] = 1,
										["g"] = 0,
										["ignore"] = true,
									},
									["waiting"] = {
										["a"] = 1,
										["b"] = 0,
										["r"] = 1,
										["g"] = 1,
										["ignore"] = true,
									},
									["not_ready"] = {
										["a"] = 1,
										["b"] = 0,
										["r"] = 1,
										["g"] = 0,
										["ignore"] = true,
									},
								},
								["delay"] = 5,
								["enable"] = true,
								["text"] = "Ready Check",
								["range"] = false,
								["priority"] = 95,
							},
							["debug"] = false,
						},
					},
				},
				["GridStatusHeals"] = {
					["profiles"] = {
						[""] = {
							["debug"] = false,
							["alert_heals"] = {
								["ignore_self"] = false,
								["enable"] = true,
								["priority"] = 50,
								["color"] = {
									["a"] = 1,
									["r"] = 0,
									["g"] = 1,
									["b"] = 0,
								},
								["text"] = "Incoming heals",
								["range"] = false,
								["heal_filter"] = {
									["direct"] = true,
									["channeled"] = true,
									["hot"] = true,
								},
							},
						},
						["aegerUIH"] = {
							["alert_heals"] = {
								["color"] = {
									["a"] = 0.5,
									["g"] = 0.7019607843137254,
								},
								["priority"] = 99,
							},
						},
						["aegerUI"] = {
							["alert_heals"] = {
								["color"] = {
									["a"] = 0.5,
									["g"] = 0.7019607843137254,
								},
								["priority"] = 99,
								["enable"] = false,
							},
						},
						["aegerUIB"] = {
							["alert_heals"] = {
								["color"] = {
									["a"] = 0.5,
									["g"] = 0.7019607843137254,
								},
								["priority"] = 99,
								["enable"] = false,
							},
						},
					},
				},
				["GridIndicatorSideIcons"] = {
					["profiles"] = {
						[""] = {
							["iconSizeTop"] = 8,
							["enableIconStackText"] = false,
							["yoffsetTB"] = 0,
							["xoffsetTB"] = 0,
							["yoffsetLR"] = 0,
							["iconSizeLeft"] = 8,
							["iconSizeRight"] = 8,
							["iconBorderSize"] = 0,
							["xoffsetLR"] = 0,
							["iconSizeBottom"] = 8,
							["enableIconCooldown"] = false,
						},
					},
				},
				["GridLayout"] = {
					["profiles"] = {
						[""] = {
							["hideTab"] = false,
							["anchorRel"] = "TOPLEFT",
							["BorderB"] = 0.5,
							["layouts"] = {
								["party"] = "By Group 5",
								["solo"] = "By Group 5",
								["raid"] = "By Group 10",
								["heroic_raid"] = "By Group 25",
								["bg"] = "By Group 40",
								["arena"] = "By Group 5",
							},
							["BackgroundR"] = 0.1,
							["ScaleSize"] = 1,
							["FrameLock"] = false,
							["BorderA"] = 1,
							["BorderR"] = 0.5,
							["Spacing"] = 10,
							["anchor"] = "TOPLEFT",
							["clamp"] = true,
							["groupAnchor"] = "TOPLEFT",
							["PosY"] = -399.9999771982986,
							["layout"] = "By Group 5",
							["BackgroundB"] = 0.1,
							["BackgroundG"] = 0.1,
							["BackgroundA"] = 0.65,
							["Padding"] = 1,
							["BorderG"] = 0.5,
							["borderTexture"] = "Blizzard Tooltip",
							["horizontal"] = false,
							["PosX"] = 500.0000322365193,
							["debug"] = false,
						},
						["Default"] = {
							["anchorRel"] = "TOPLEFT",
							["PosY"] = -412,
							["layout"] = "By Group 5",
						},
						["aegerUIB"] = {
							["layouts"] = {
								["raid_outside"] = true,
								["raid_25"] = "By Group 40",
								["heroic_raid"] = "By Group 25 w/Pets",
								["raid_10"] = "By Group 40",
								["party"] = "None",
								["arena"] = "By Group 40",
								["raid"] = "By Group 25 w/Pets",
								["solo"] = "None",
							},
							["FrameLock"] = true,
							["borderTexture"] = "None",
							["backgroundColor"] = {
								["a"] = 0,
								["r"] = 0,
								["g"] = 0,
								["b"] = 0,
							},
							["PosY"] = 0,
							["layout"] = "None",
							["anchorRel"] = "TOPLEFT",
							["Spacing"] = 0,
							["borderColor"] = {
								["a"] = 0,
								["r"] = 0.4745098039215686,
								["g"] = 0.4745098039215686,
								["b"] = 0.4745098039215686,
							},
							["horizontal"] = true,
							["PosX"] = 0,
							["Padding"] = 0,
						},
						["aegerUI"] = {
							["layouts"] = {
								["raid_outside"] = true,
								["raid_25"] = "By Group 40",
								["heroic_raid"] = "By Group 25 w/Pets",
								["party"] = "None",
								["arena"] = "By Group 10",
								["raid"] = "By Group 25 w/Pets",
								["solo"] = "None",
							},
							["FrameLock"] = true,
							["borderTexture"] = "None",
							["anchor"] = "BOTTOMLEFT",
							["backgroundColor"] = {
								["a"] = 0,
								["r"] = 0,
								["g"] = 0,
								["b"] = 0,
							},
							["groupAnchor"] = "BOTTOMLEFT",
							["PosY"] = -2,
							["layout"] = "None",
							["anchorRel"] = "BOTTOMLEFT",
							["Spacing"] = 4,
							["PosX"] = -2,
							["Padding"] = 0,
							["horizontal"] = true,
							["borderColor"] = {
								["a"] = 0,
								["r"] = 0.4745098039215686,
								["g"] = 0.4745098039215686,
								["b"] = 0.4745098039215686,
							},
						},
						["aegerUIH"] = {
							["anchorRel"] = "BOTTOMRIGHT",
							["PosY"] = 100,
							["layouts"] = {
								["raid"] = "By Group 25 w/Pets",
								["party"] = "By Group 40",
								["solo"] = "None",
								["arena"] = "By Group 40",
								["raid_25"] = "By Group 40",
								["heroic_raid"] = "By Group 25 w/Pets",
								["raid_10"] = "By Group 40",
								["raid_outside"] = true,
							},
							["layout"] = "None",
							["Spacing"] = 4,
							["PosX"] = -439,
							["FrameLock"] = true,
							["horizontal"] = true,
							["borderColor"] = {
								["a"] = 0,
								["r"] = 0.4745098039215686,
								["g"] = 0.4745098039215686,
								["b"] = 0.4745098039215686,
							},
							["borderTexture"] = "None",
							["anchor"] = "BOTTOMRIGHT",
							["Padding"] = 0,
							["backgroundColor"] = {
								["a"] = 0,
								["r"] = 0,
								["g"] = 0,
								["b"] = 0,
							},
							["groupAnchor"] = "BOTTOMRIGHT",
						},
					},
				},
				["GridRange"] = {
				},
				["GridBuffIconStatus"] = {
					["profiles"] = {
						[""] = {
							["unit_buff_icons"] = {
								["color"] = {
									["a"] = 1,
									["r"] = 1,
									["g"] = 1,
									["b"] = 1,
								},
								["enable"] = true,
								["text"] = "BuffIcons",
								["range"] = false,
								["priority"] = 30,
							},
							["debug"] = false,
							["iconsize"] = 9,
							["color"] = {
								["a"] = 1,
								["r"] = 0,
								["g"] = 0.5,
								["b"] = 1,
							},
							["rcolor"] = {
								["a"] = 1,
								["r"] = 1,
								["g"] = 0,
								["b"] = 0,
							},
							["alpha"] = 0.8,
							["offsety"] = -1,
							["orientation"] = "VERTICAL",
							["ecolor"] = {
								["a"] = 1,
								["r"] = 1,
								["g"] = 1,
								["b"] = 0,
							},
							["iconnum"] = 4,
							["anchor"] = "TOPRIGHT",
							["offsetx"] = -1,
							["bufffilter"] = true,
							["iconperrow"] = 2,
						},
						["aegerUI"] = {
							["namefilter"] = "Bloodlust,Horn of Winter,",
							["offsety"] = -2,
							["iconsize"] = 11,
							["anchor"] = "BOTTOMLEFT",
							["offsetx"] = -2,
							["alpha"] = 1,
							["showbuff"] = true,
						},
						["aegerUIH"] = {
							["namefilter"] = "Bloodlust,Horn of Winter,",
							["offsety"] = -2,
							["iconsize"] = 11,
							["anchor"] = "BOTTOMLEFT",
							["offsetx"] = -2,
							["alpha"] = 1,
							["showbuff"] = true,
						},
					},
				},
			},
			["global"] = {
				["debug"] = {
					["GridStatus"] = false,
				},
			},

			["profiles"] = {
				["aegerUIB"] = {
					["minimap"] = {
						["minimapPos"] = 251.8577611576079,
						["hide"] = true,
					},
				},
				["aegerUI"] = {
					["minimap"] = {
						["minimapPos"] = 251.8577611576079,
						["hide"] = true,
					},
				},
				["aegerUIH"] = {
					["minimap"] = {
						["minimapPos"] = 251.8577611576079,
						["hide"] = true,
					},
				},
				["Default"] = {
				},
			},
		}
		
	for k,v in pairs(AUI_Grid_Install) do
		GridDB[k] = v
		aegerUI.db.global.addonProfileVersion.Grid = profileVersion
	end
	end
end